// WARNING! All changes made in this file will be lost!
// Created from 'chat.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

#include "styles/style_basic.h"
#include "styles/style_widgets.h"

namespace style {
namespace internal {

void init_style_chat(int scale);

} // namespace internal

struct TextStyle;
struct TextPalette;
struct PopupMenu;
struct ScrollArea;
struct Toast;
struct RoundButton;
struct TwoIconButton;
struct InnerDropdown;
struct PeerListItem;
struct InputField;
struct FlatButton;
struct FlatLabel;
struct IconButton;
struct IconButtonWithText;
struct BotKeyboardButton;
struct CrossButton;
struct Radio;
struct InfiniteRadialAnimation;
struct MenuSeparator;
struct MultiSelect;
struct MultiSelectItem;
struct PeerList;

struct MessageBar {
	style::TextStyle title;
	style::color titleFg;
	style::TextStyle text;
	style::color textFg;
	style::TextPalette textPalette;
	int duration;
};

struct GroupCallUserpics {
	int size;
	int shift;
	int stroke;
	style::align align;
};

struct HistoryFileLayout {
	style::margins padding;
	int nameTop;
	int statusTop;
	int linkTop;
	int thumbSize;
	int thumbSkip;
};

struct SliderForTTL {
	style::font font;
	style::color textFg;
	int pointSize;
	int chosenSize;
	int skip;
	int stroke;
	style::color activeFg;
	style::color inactiveFg;
	int dashOn;
	int dashOff;
};

struct WhoRead {
	style::GroupCallUserpics userpics;
	int photoLeft;
	int photoSize;
	int photoSkip;
	int nameLeft;
	style::point iconPosition;
	style::margins itemPadding;
};

struct SendAsButton {
	int width;
	int height;
	int size;
	style::color activeBg;
	style::color activeFg;
	style::CrossAnimation cross;
	int duration;
};

} // namespace style

namespace st {
extern const int &msgMaxWidth;
extern const style::font &msgFont;
extern const style::font &msgNameFont;
extern const style::TextStyle &msgNameStyle;
extern const style::font &msgServiceFont;
extern const style::font &msgServiceNameFont;
extern const int &msgServicePhotoWidth;
extern const style::font &msgDateFont;
extern const int &msgMinWidth;
extern const int &msgPhotoSize;
extern const int &msgPhotoSkip;
extern const style::margins &msgPadding;
extern const style::margins &msgMargin;
extern const int &msgMarginTopAttached;
extern const int &msgLnkPadding;
extern const int &msgShadow;
extern const style::margins &msgReplyPadding;
extern const style::point &msgReplyBarPos;
extern const style::size &msgReplyBarSize;
extern const int &msgReplyBarSkip;
extern const style::margins &msgServicePadding;
extern const style::margins &msgServiceMargin;
extern const int &msgDateSpace;
extern const style::point &msgDateDelta;
extern const int &msgDateImgDelta;
extern const style::point &msgDateImgPadding;
extern const int &msgDateImgCheckSpace;
extern const style::TextStyle &messageTextStyle;
extern const style::TextStyle &msgDateTextStyle;
extern const style::TextPalette &serviceTextPalette;
extern const style::TextStyle &serviceTextStyle;
extern const style::TextPalette &inTextPalette;
extern const style::TextPalette &inTextPaletteSelected;
extern const style::TextPalette &outTextPalette;
extern const style::TextPalette &outTextPaletteSelected;
extern const style::TextStyle &fwdTextStyle;
extern const style::TextPalette &inFwdTextPalette;
extern const style::TextPalette &outFwdTextPalette;
extern const style::TextPalette &inFwdTextPaletteSelected;
extern const style::TextPalette &outFwdTextPaletteSelected;
extern const style::TextPalette &inReplyTextPalette;
extern const style::TextPalette &inReplyTextPaletteSelected;
extern const style::TextPalette &outReplyTextPalette;
extern const style::TextPalette &outReplyTextPaletteSelected;
extern const style::TextPalette &imgReplyTextPalette;
extern const style::TextPalette &inSemiboldPalette;
extern const style::TextPalette &outSemiboldPalette;
extern const style::TextPalette &historyComposeAreaPalette;
extern const int &mediaCaptionSkip;
extern const int &mediaInBubbleSkip;
extern const int &mediaThumbSize;
extern const int &mediaNameTop;
extern const int &mediaDetailsShift;
extern const int &mediaUnreadSize;
extern const int &mediaUnreadSkip;
extern const int &mediaUnreadTop;
extern const style::TextPalette &mediaInPalette;
extern const style::TextPalette &mediaInPaletteSelected;
extern const style::MessageBar &defaultMessageBar;
extern const int &minPhotoSize;
extern const int &minVideoSize;
extern const int &maxMediaSize;
extern const int &maxStickerSize;
extern const int &maxAnimatedEmojiSize;
extern const int &maxGifSize;
extern const int &maxVideoMessageSize;
extern const int &maxSignatureSize;
extern const int &maxWallPaperWidth;
extern const int &maxWallPaperHeight;
extern const style::size &historyThemeSize;
extern const style::margins &extendedPreviewButtonPadding;
extern const int &extendedPreviewButtonMargin;
extern const int &historyMinimalWidth;
extern const style::PopupMenu &reactionMenu;
extern const style::ScrollArea &historyScroll;
extern const int &historyResizeWidth;
extern const int &historyPaddingBottom;
extern const style::Toast &historyPremiumToast;
extern const style::RoundButton &historyPremiumViewSet;
extern const style::point &historyToDownPosition;
extern const style::icon &historyToDownAbove;
extern const style::icon &historyToDownAboveOver;
extern const int &historyToDownPaddingTop;
extern const style::icon &historyToDownBelow;
extern const style::icon &historyToDownBelowOver;
extern const style::TwoIconButton &historyToDown;
extern const style::font &historyToDownBadgeFont;
extern const int &historyToDownBadgeSize;
extern const int &historyToDownShownAfter;
constexpr int historyToDownDuration = 150;
extern const style::icon &dialogsToUpAbove;
extern const style::icon &dialogsToUpAboveOver;
extern const style::TwoIconButton &dialogsToUp;
extern const style::TwoIconButton &historyUnreadMentions;
extern const style::TwoIconButton &historyUnreadReactions;
extern const int &historyUnreadThingsSkip;
extern const int &membersInnerWidth;
extern const int &membersInnerHeightMax;
extern const style::InnerDropdown &membersInnerDropdown;
extern const style::PeerListItem &membersInnerItem;
extern const style::icon &historyFileOutImage;
extern const style::icon &historyFileOutImageSelected;
extern const style::icon &historyFileInImage;
extern const style::icon &historyFileInImageSelected;
extern const style::icon &historyFileOutDocument;
extern const style::icon &historyFileOutDocumentSelected;
extern const style::icon &historyFileInDocument;
extern const style::icon &historyFileInDocumentSelected;
extern const style::icon &historyFileOutDownload;
extern const style::icon &historyFileOutDownloadSelected;
extern const style::icon &historyFileInDownload;
extern const style::icon &historyFileInDownloadSelected;
extern const style::icon &historyFileOutCancel;
extern const style::icon &historyFileOutCancelSelected;
extern const style::icon &historyFileInCancel;
extern const style::icon &historyFileInCancelSelected;
extern const style::icon &historyFileOutPause;
extern const style::icon &historyFileOutPauseSelected;
extern const style::icon &historyFileInPause;
extern const style::icon &historyFileInPauseSelected;
extern const style::icon &historyFileOutPlay;
extern const style::icon &historyFileOutPlaySelected;
extern const style::icon &historyFileInPlay;
extern const style::icon &historyFileInPlaySelected;
extern const style::icon &historyFileOutWaiting;
extern const style::icon &historyFileOutWaitingSelected;
extern const style::icon &historyFileInWaiting;
extern const style::icon &historyFileInWaitingSelected;
extern const style::icon &historyFileThumbPause;
extern const style::icon &historyFileThumbPauseSelected;
extern const style::icon &historyFileThumbDownload;
extern const style::icon &historyFileThumbDownloadSelected;
extern const style::icon &historyFileThumbCancel;
extern const style::icon &historyFileThumbCancelSelected;
extern const style::icon &historyFileThumbPlay;
extern const style::icon &historyFileThumbPlaySelected;
extern const style::icon &historyFileThumbWaiting;
extern const style::icon &historyFileThumbWaitingSelected;
extern const int &historySendStateSpace;
extern const style::point &historySendStatePosition;
extern const style::icon &historySentIcon;
extern const style::icon &historySentSelectedIcon;
extern const style::icon &historySentInvertedIcon;
extern const style::icon &historyReceivedIcon;
extern const style::icon &historyReceivedSelectedIcon;
extern const style::icon &historyReceivedInvertedIcon;
extern const int &historyScheduledUntilOnlineStateSpace;
extern const int &historyViewsSpace;
extern const int &historyViewsWidth;
extern const int &historyPinWidth;
extern const int &historyViewsTop;
extern const style::icon &historyViewsInIcon;
extern const style::icon &historyViewsInSelectedIcon;
extern const style::icon &historyViewsOutIcon;
extern const style::icon &historyViewsOutSelectedIcon;
extern const style::icon &historyViewsInvertedIcon;
extern const style::icon &historyRepliesInIcon;
extern const style::icon &historyRepliesInSelectedIcon;
extern const style::icon &historyRepliesOutIcon;
extern const style::icon &historyRepliesOutSelectedIcon;
extern const style::icon &historyRepliesInvertedIcon;
extern const int &historyPinTop;
extern const style::icon &historyPinInIcon;
extern const style::icon &historyPinInSelectedIcon;
extern const style::icon &historyPinOutIcon;
extern const style::icon &historyPinOutSelectedIcon;
extern const style::icon &historyPinInvertedIcon;
extern const style::InputField &historyComposeField;
extern const int &historyComposeFieldMaxHeight;
extern const int &historySendPadding;
extern const int &historySendRight;
extern const int &historyBotMenuSkip;
extern const int &historyBotMenuMaxWidth;
extern const style::RoundButton &historyBotMenuButton;
extern const style::FlatButton &historyComposeButton;
extern const style::FlatLabel &historyComposeButtonLabel;
extern const style::FlatButton &historyUnblock;
extern const style::FlatButton &historyContactStatusButton;
extern const style::FlatButton &historyContactStatusBlock;
extern const style::FlatLabel &historyContactStatusLabel;
extern const style::FlatLabel &historyEmojiStatusInfoLabel;
extern const int &historyContactStatusMinSkip;
extern const style::icon &historySendIcon;
extern const style::icon &historySendIconOver;
extern const style::point &historySendIconPosition;
extern const style::size &historySendSize;
extern const style::icon &historyScheduleIcon;
extern const style::point &historyScheduleIconPosition;
extern const style::icon &historyEditSaveIcon;
extern const style::icon &historyEditSaveIconOver;
extern const style::IconButton &historyAttach;
extern const style::IconButton &historyAttachEmoji;
extern const style::IconButtonWithText &historyMessagesTTL;
extern const int &historyMessagesTTLPickerHeight;
extern const int &historyMessagesTTLPickerItemHeight;
extern const style::FlatLabel &historyMessagesTTLLabel;
extern const style::color &historyAttachEmojiFgActive;
extern const style::icon &historyAttachEmojiActive;
extern const int &historyAttachEmojiTooltipDelta;
extern const style::size &historyEmojiCircle;
constexpr int historyEmojiCirclePeriod = 1500;
constexpr int historyEmojiCircleDuration = 500;
extern const int &historyEmojiCircleTop;
constexpr double historyEmojiCircleLine = 1.5;
extern const style::color &historyEmojiCircleFg;
extern const style::color &historyEmojiCircleFgOver;
constexpr double historyEmojiCirclePart = 3.5;
extern const style::IconButton &historyBotKeyboardShow;
extern const style::IconButton &historyBotKeyboardHide;
extern const style::IconButton &historyBotCommandStart;
extern const style::IconButton &historyScheduledToggle;
extern const style::color &historyRecordVoiceFg;
extern const style::color &historyRecordVoiceFgOver;
extern const style::color &historyRecordVoiceFgInactive;
extern const style::color &historyRecordVoiceFgActive;
extern const style::color &historyRecordVoiceFgActiveIcon;
constexpr int historyRecordVoiceShowDuration = 120;
constexpr int historyRecordVoiceDuration = 120;
extern const style::icon &historyRecordVoice;
extern const style::icon &historyRecordVoiceOver;
extern const style::icon &historyRecordVoiceActive;
extern const style::point &historyRecordSendIconPosition;
extern const style::color &historyRecordVoiceRippleBgActive;
extern const int &historyRecordSignalRadius;
extern const style::color &historyRecordCancel;
extern const style::color &historyRecordCancelActive;
extern const style::font &historyRecordFont;
extern const int &historyRecordDurationSkip;
extern const style::color &historyRecordDurationFg;
extern const int &historyRecordMainBlobMinRadius;
extern const int &historyRecordMainBlobMaxRadius;
extern const int &historyRecordMinorBlobMinRadius;
extern const int &historyRecordMinorBlobMaxRadius;
extern const int &historyRecordMajorBlobMinRadius;
extern const int &historyRecordMajorBlobMaxRadius;
extern const style::TextStyle &historyRecordTextStyle;
extern const int &historyRecordTextWidthForWrap;
extern const int &historyRecordTextLeft;
extern const int &historyRecordTextRight;
constexpr int historyRecordLockShowDuration = 150;
extern const style::size &historyRecordLockSize;
extern const style::color &historyRecordLockIconFg;
extern const style::size &historyRecordLockIconSize;
extern const int &historyRecordLockIconBottomHeight;
extern const int &historyRecordLockIconLineHeight;
extern const int &historyRecordLockIconLineSkip;
extern const int &historyRecordLockIconLineWidth;
extern const int &historyRecordLockIconArcHeight;
extern const int &historyRecordStopIconWidth;
extern const style::icon &historyRecordLockTopShadow;
extern const style::icon &historyRecordLockTop;
extern const style::icon &historyRecordLockBottomShadow;
extern const style::icon &historyRecordLockBottom;
extern const style::icon &historyRecordLockBodyShadow;
extern const style::icon &historyRecordLockBody;
extern const style::margins &historyRecordLockMargin;
extern const style::icon &historyRecordLockArrow;
extern const style::margins &historyRecordLockRippleMargin;
extern const style::IconButton &historyRecordDelete;
extern const int &historyRecordWaveformRightSkip;
extern const style::margins &historyRecordWaveformBgMargins;
extern const int &historyRecordWaveformBar;
extern const style::point &historyRecordLockPosition;
extern const int &historyRecordCancelButtonWidth;
extern const style::color &historyRecordCancelButtonFg;
extern const style::IconButton &historySilentToggle;
extern const style::icon &historySilentToggleOn;
extern const style::icon &historySilentToggleOnOver;
extern const int &historyReplySkip;
extern const style::color &historyReplyNameFg;
extern const int &historyReplyHeight;
extern const int &historyReplyTop;
extern const int &historyReplyBottom;
extern const style::point &historyReplyIconPosition;
extern const style::icon &historyReplyIcon;
extern const style::icon &historyForwardIcon;
extern const style::icon &historyEditIcon;
extern const style::IconButton &historyReplyCancel;
extern const style::IconButton &historyPinnedShowAll;
extern const style::RoundButton &historyPinnedBotButton;
extern const int &historyPinnedBotButtonMaxWidth;
constexpr int msgBotKbDuration = 200;
extern const style::font &msgBotKbFont;
extern const int &msgBotKbIconPadding;
extern const style::icon &msgBotKbUrlIcon;
extern const style::icon &msgBotKbSwitchPmIcon;
extern const style::icon &msgBotKbPaymentIcon;
extern const style::icon &msgBotKbWebviewIcon;
extern const style::BotKeyboardButton &msgBotKbButton;
constexpr int botKbDuration = 200;
extern const style::TextStyle &botKbStyle;
extern const style::BotKeyboardButton &botKbButton;
extern const style::BotKeyboardButton &botKbTinyButton;
extern const style::ScrollArea &botKbScroll;
constexpr int historyScrollDateHideTimeout = 1000;
constexpr int historyDateFadeDuration = 200;
extern const style::Toast &historyDiceToast;
extern const style::Toast &historyInfoToast;
extern const int &bubbleRadiusSmall;
extern const int &bubbleRadiusLarge;
extern const int &historyPhotoLeft;
extern const int &historyPhotoBubbleMinWidth;
extern const style::icon &historyBubbleTailInLeft;
extern const style::icon &historyBubbleTailInLeftSelected;
extern const style::icon &historyBubbleTailOutLeft;
extern const style::icon &historyBubbleTailOutLeftSelected;
extern const style::icon &historyBubbleTailInRight;
extern const style::icon &historyBubbleTailInRightSelected;
extern const style::icon &historyBubbleTailOutRight;
extern const style::icon &historyBubbleTailOutRightSelected;
extern const style::font &historyPeerUserpicFont;
extern const style::icon &historyPsaIconIn;
extern const style::icon &historyPsaIconInSelected;
extern const style::icon &historyPsaIconOut;
extern const style::icon &historyPsaIconOutSelected;
extern const int &historyPsaIconSkip1;
extern const int &historyPsaIconSkip2;
extern const style::point &historyPsaIconPosition1;
extern const style::point &historyPsaIconPosition2;
extern const style::color &historyStatusFg;
extern const style::color &historyStatusFgActive;
extern const style::color &historyStatusFgTyping;
extern const int &historyUnreadBarHeight;
extern const int &historyUnreadBarMargin;
extern const style::font &historyUnreadBarFont;
extern const style::margins &historyForwardChooseMargins;
extern const style::font &historyForwardChooseFont;
extern const style::icon &historyCallArrowIn;
extern const style::icon &historyCallArrowInSelected;
extern const style::icon &historyCallArrowMissedIn;
extern const style::icon &historyCallArrowMissedInSelected;
extern const style::icon &historyCallArrowOut;
extern const style::icon &historyCallArrowOutSelected;
extern const int &historyCallWidth;
extern const int &historyCallHeight;
extern const style::icon &historyCallInIcon;
extern const style::icon &historyCallInIconSelected;
extern const style::icon &historyCallOutIcon;
extern const style::icon &historyCallOutIconSelected;
extern const style::icon &historyCallCameraInIcon;
extern const style::icon &historyCallCameraInIconSelected;
extern const style::icon &historyCallCameraOutIcon;
extern const style::icon &historyCallCameraOutIconSelected;
extern const style::point &historyCallIconPosition;
extern const int &historyCallLeft;
extern const int &historyCallTop;
extern const int &historyCallStatusTop;
extern const int &historyCallStatusSkip;
extern const style::point &historyCallArrowPosition;
extern const int &msgFileThumbRadiusSmall;
extern const int &msgFileThumbRadiusLarge;
extern const style::HistoryFileLayout &msgFileLayout;
extern const style::HistoryFileLayout &msgFileThumbLayout;
extern const style::HistoryFileLayout &msgFileLayoutGrouped;
extern const style::HistoryFileLayout &msgFileThumbLayoutGrouped;
extern const style::HistoryFileLayout &attachPreviewLayout;
extern const style::HistoryFileLayout &attachPreviewThumbLayout;
extern const style::size &msgFileMenuSize;
extern const int &msgFileMinWidth;
extern const int &msgFileTopMinus;
constexpr int msgFileOverDuration = 200;
extern const int &msgFileRadialLine;
extern const style::size &msgVideoSize;
extern const int &msgWaveformBar;
extern const int &msgWaveformSkip;
extern const int &msgWaveformMin;
extern const int &msgWaveformMax;
extern const int &historyTranscribeSkip;
extern const style::size &historyTranscribeSize;
extern const int &historyTranscribeRadius;
extern const style::icon &historyTranscribeInIcon;
extern const style::icon &historyTranscribeInIconSelected;
extern const style::icon &historyTranscribeOutIcon;
extern const style::icon &historyTranscribeOutIconSelected;
extern const style::icon &historyTranscribeInHide;
extern const style::icon &historyTranscribeInHideSelected;
extern const style::icon &historyTranscribeOutHide;
extern const style::icon &historyTranscribeOutHideSelected;
extern const style::icon &historyVideoMessageMute;
extern const style::icon &historyVideoMessageMuteSelected;
extern const int &historyVideoMessageMuteSize;
constexpr double historyVideoMessageProgressOpacity = 0.72;
extern const int &historyAdminLogEmptyWidth;
extern const style::margins &historyAdminLogEmptyPadding;
extern const style::CrossButton &historyAdminLogCancelSearch;
extern const int &historyAdminLogSearchTop;
constexpr int historyAdminLogSearchSlideDuration = 150;
extern const int &historyFastShareSize;
extern const int &historyFastShareLeft;
extern const int &historyFastShareBottom;
extern const style::icon &historyFastShareIcon;
extern const style::icon &historyGoToOriginalIcon;
extern const style::icon &historyFastCommentsIcon;
extern const style::icon &historyFastTranscribeIcon;
extern const style::font &historySavedFont;
extern const int &historyGroupWidthMax;
extern const int &historyGroupWidthMin;
extern const int &historyGroupSkip;
extern const int &historyGroupRadialSize;
extern const int &historyGroupRadialLine;
extern const style::icon &historyMapPoint;
extern const style::icon &historyMapPointInner;
extern const style::TextPalette &historyPsaForwardPalette;
extern const int &webPageLeft;
extern const int &webPageBar;
extern const style::font &webPageTitleFont;
extern const style::TextStyle &webPageTitleStyle;
extern const style::font &webPageDescriptionFont;
extern const style::TextStyle &webPageDescriptionStyle;
extern const int &webPagePhotoSize;
extern const int &webPagePhotoDelta;
extern const style::font &historyPollQuestionFont;
extern const style::TextStyle &historyPollQuestionStyle;
extern const style::TextStyle &historyPollAnswerStyle;
extern const int &historyPollQuestionTop;
extern const int &historyPollSubtitleSkip;
extern const style::margins &historyPollAnswerPadding;
extern const int &historyPollAnswersSkip;
extern const style::font &historyPollPercentFont;
extern const int &historyPollPercentSkip;
extern const int &historyPollPercentTop;
extern const int &historyPollTotalVotesSkip;
extern const int &historyPollFillingMin;
extern const int &historyPollFillingHeight;
extern const int &historyPollFillingRadius;
extern const int &historyPollFillingBottom;
extern const int &historyPollFillingRight;
extern const style::Radio &historyPollRadio;
constexpr double historyPollRadioOpacity = 0.7;
constexpr double historyPollRadioOpacityOver = 1;
constexpr int historyPollDuration = 300;
extern const style::InfiniteRadialAnimation &historyPollRadialAnimation;
constexpr double historyPollRippleOpacity = 0.3;
extern const int &historyPollRecentVotersSkip;
extern const int &historyPollRecentVoterSize;
extern const int &historyPollRecentVoterSkip;
extern const int &historyPollBottomButtonSkip;
extern const int &historyPollBottomButtonTop;
extern const style::icon &historyPollChoiceRight;
extern const style::icon &historyPollChoiceWrong;
extern const style::icon &historyPollOutChoiceRight;
extern const style::icon &historyPollOutChoiceRightSelected;
extern const style::icon &historyPollInChoiceRight;
extern const style::icon &historyPollInChoiceRightSelected;
extern const style::icon &historyPollOutChosen;
extern const style::icon &historyPollOutChosenSelected;
extern const style::icon &historyPollInChosen;
extern const style::icon &historyPollInChosenSelected;
extern const int &historyViewButtonHeight;
extern const style::margins &historyViewButtonMargins;
extern const style::margins &historyViewButtonOutline;
extern const style::TextStyle &historyViewButtonTextStyle;
extern const int &historyCommentsButtonHeight;
extern const int &historyCommentsSkipLeft;
extern const int &historyCommentsSkipText;
extern const int &historyCommentsSkipRight;
extern const style::GroupCallUserpics &historyCommentsUserpics;
extern const style::IconButton &boxAttachEmoji;
extern const int &boxAttachEmojiTop;
extern const int &historyGroupAboutMargin;
extern const style::margins &historyGroupAboutPadding;
extern const int &historyGroupAboutBulletSkip;
extern const int &historyGroupAboutHeaderSkip;
extern const int &historyGroupAboutTextSkip;
extern const int &historyGroupAboutSkip;
extern const int &historyVideoDownloadSize;
extern const int &historyVideoMuteSize;
extern const style::icon &historyVideoCancel;
extern const style::icon &historyVideoCancelSelected;
extern const style::icon &historyVideoDownload;
extern const style::icon &historyVideoDownloadSelected;
extern const int &historyVideoRadialLine;
extern const int &historyAudioDownloadSize;
extern const int &historyAudioRadialLine;
extern const int &historyAudioDownloadShift;
extern const style::icon &historyAudioInCancel;
extern const style::icon &historyAudioInCancelSelected;
extern const style::icon &historyAudioOutCancel;
extern const style::icon &historyAudioOutCancelSelected;
extern const style::icon &historyAudioInDownload;
extern const style::icon &historyAudioInDownloadSelected;
extern const style::icon &historyAudioOutDownload;
extern const style::icon &historyAudioOutDownloadSelected;
extern const style::icon &historyQuizExplainIn;
extern const style::icon &historyQuizExplainInSelected;
extern const style::icon &historyQuizExplainOut;
extern const style::icon &historyQuizExplainOutSelected;
extern const style::icon &historyQuizTimerIn;
extern const style::icon &historyQuizTimerInSelected;
extern const style::icon &historyQuizTimerOut;
extern const style::icon &historyQuizTimerOutSelected;
extern const style::icon &historyCommentsIn;
extern const style::icon &historyCommentsInSelected;
extern const style::icon &historyCommentsOut;
extern const style::icon &historyCommentsOutSelected;
extern const style::icon &historyCommentsOpenIn;
extern const style::icon &historyCommentsOpenInSelected;
extern const style::icon &historyCommentsOpenOut;
extern const style::icon &historyCommentsOpenOutSelected;
extern const style::margins &historySlowmodeCounterMargins;
extern const style::GroupCallUserpics &historyGroupCallUserpics;
extern const int &historyGroupCallBlobMinRadius;
extern const int &historyGroupCallBlobMaxRadius;
extern const int &largeEmojiSize;
extern const int &largeEmojiOutline;
extern const style::margins &largeEmojiPadding;
extern const int &largeEmojiSkip;
extern const style::icon &youtubeIcon;
extern const style::icon &videoIcon;
extern const style::SliderForTTL &defaultSliderForTTL;
extern const style::margins &ttlDividerLabelPadding;
extern const style::margins &ttlItemPadding;
extern const style::font &ttlItemTimerFont;
extern const style::MenuSeparator &expandedMenuSeparator;
extern const style::PopupMenu &popupMenuExpandedSeparator;
extern const style::WhoRead &defaultWhoRead;
extern const style::PopupMenu &whoReadMenu;
extern const style::icon &whoReadChecks;
extern const style::icon &whoReadChecksOver;
extern const style::icon &whoReadChecksDisabled;
extern const style::icon &whoReadPlayed;
extern const style::icon &whoReadPlayedOver;
extern const style::icon &whoReadPlayedDisabled;
extern const style::icon &whoReadReactions;
extern const style::icon &whoReadReactionsOver;
extern const style::icon &whoReadReactionsDisabled;
extern const style::icon &reactionsTabAll;
extern const style::icon &reactionsTabAllSelected;
extern const style::icon &reactionsTabPlayed;
extern const style::icon &reactionsTabPlayedSelected;
extern const style::icon &reactionsTabChecks;
extern const style::icon &reactionsTabChecksSelected;
extern const style::MultiSelect &reactionsTabs;
extern const int &reactionsTabIconSkip;
extern const style::GroupCallUserpics &historyRequestsUserpics;
extern const int &historyRequestsHeight;
extern const style::SendAsButton &sendAsButton;
extern const style::margins &reactionInlinePadding;
extern const int &reactionInlineSize;
extern const int &reactionInlineImage;
extern const int &reactionInlineSkip;
extern const int &reactionInlineBetween;
extern const int &reactionInlineInBubbleLeft;
extern const style::margins &reactionInlineUserpicsPadding;
extern const style::GroupCallUserpics &reactionInlineUserpics;
extern const int &reactionInfoSize;
extern const int &reactionInfoImage;
extern const int &reactionInfoSkip;
extern const int &reactionInfoDigitSkip;
extern const int &reactionInfoBetween;
extern const style::size &reactionCornerSize;
extern const style::point &reactionCornerCenter;
extern const int &reactionCornerImage;
extern const style::margins &reactionCornerShadow;
extern const style::margins &reactionCornerActiveAreaPadding;
extern const int &reactionCornerAddedHeightMax;
extern const int &reactionCornerSkip;
extern const int &reactionExpandedSkip;
extern const int &reactionGradientStart;
extern const int &reactionGradientSize;
extern const int &reactionGradientFadeSize;
extern const int &reactionAppearStartSkip;
extern const int &reactionMainAppearShift;
extern const int &reactionCollapseFadeThreshold;
extern const int &reactionFlyUp;
extern const style::icon &reactionPremiumLocked;
extern const style::icon &reactionExpandPanel;
extern const style::icon &reactionsExpandDropdown;
extern const style::MultiSelectItem &searchInChatMultiSelectItem;
extern const style::MultiSelect &searchInChatMultiSelect;
extern const style::PeerListItem &searchInChatPeerListItem;
extern const style::PeerList &searchInChatPeerList;
extern const style::size &msgServiceGiftBoxSize;
extern const int &msgServiceGiftBoxRadius;
extern const int &msgServiceGiftBoxTopSkip;
extern const int &msgServiceGiftBoxButtonHeight;
extern const style::margins &msgServiceGiftBoxButtonMargins;
extern const style::margins &msgServiceGiftBoxButtonPadding;
extern const style::margins &msgServiceGiftBoxTitlePadding;
extern const int &msgServiceGiftBoxStickerTop;
extern const style::size &msgServiceGiftBoxStickerSize;
extern const style::FlatLabel &historyHasCustomEmoji;
extern const style::point &historyHasCustomEmojiPosition;
} // namespace st
