// WARNING! All changes made in this file will be lost!
// Created from 'dialogs.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

namespace style {
namespace internal {

void init_style_dialogs(int scale);

} // namespace internal

struct RippleAnimation;
struct TextStyle;
struct TextPalette;
struct FlatLabel;
struct IconButton;
struct InputField;
struct CrossButton;
struct FlatButton;
struct InfiniteRadialAnimation;
struct PeerListItem;
struct PeerList;

struct DialogRow {
	int height;
	style::margins padding;
	int photoSize;
	int nameLeft;
	int nameTop;
	int textLeft;
	int textTop;
};

struct ForumTopicIcon {
	int size;
	style::font font;
	int textTop;
};

} // namespace style

namespace st {
extern const style::ForumTopicIcon &defaultForumTopicIcon;
extern const style::ForumTopicIcon &largeForumTopicIcon;
extern const style::ForumTopicIcon &infoForumTopicIcon;
extern const style::font &dialogsUnreadFont;
extern const int &dialogsUnreadHeight;
extern const int &dialogsUnreadPadding;
extern const style::RippleAnimation &dialogsRipple;
extern const style::font &dialogsTextFont;
extern const style::TextStyle &dialogsTextStyle;
extern const style::font &dialogsDateFont;
extern const int &dialogsDateSkip;
extern const int &dialogsRowHeight;
extern const style::point &dialogsFilterPadding;
extern const int &dialogsFilterSkip;
extern const style::DialogRow &defaultDialogRow;
extern const int &dialogsOnlineBadgeStroke;
extern const int &dialogsOnlineBadgeSize;
extern const style::point &dialogsOnlineBadgeSkip;
constexpr int dialogsOnlineBadgeDuration = 150;
extern const int &dialogsCallBadgeSize;
extern const style::point &dialogsCallBadgeSkip;
extern const int &dialogsSpeakingStrokeNumerator;
constexpr double dialogsSpeakingDenominator = 8;
extern const int &dialogsImportantBarHeight;
constexpr int dialogsWidthDuration = 120;
extern const int &dialogsTextWidthMin;
extern const style::TextPalette &dialogsTextPalette;
extern const style::TextPalette &dialogsTextPaletteOver;
extern const style::TextPalette &dialogsTextPaletteActive;
extern const style::TextPalette &dialogsTextPaletteDraft;
extern const style::TextPalette &dialogsTextPaletteDraftOver;
extern const style::TextPalette &dialogsTextPaletteDraftActive;
extern const style::TextPalette &dialogsTextPaletteTaken;
extern const style::TextPalette &dialogsTextPaletteTakenOver;
extern const style::TextPalette &dialogsTextPaletteTakenActive;
extern const style::TextPalette &dialogsTextPaletteArchive;
extern const style::TextPalette &dialogsTextPaletteArchiveOver;
extern const style::TextPalette &dialogsTextPaletteArchiveActive;
extern const int &dialogsEmptyHeight;
extern const int &dialogsEmptySkip;
extern const style::FlatLabel &dialogsEmptyLabel;
extern const style::IconButton &dialogsMenuToggle;
extern const style::icon &dialogsMenuToggleUnread;
extern const style::icon &dialogsMenuToggleUnreadMuted;
extern const style::IconButton &dialogsLock;
extern const style::icon &dialogsUnlockIcon;
extern const style::icon &dialogsUnlockIconOver;
extern const style::IconButton &dialogsCalendar;
extern const style::IconButton &dialogsSearchFrom;
extern const style::IconButton &dialogsSearchForNarrowFilters;
extern const style::margins &dialogsSearchFromPadding;
extern const style::InputField &dialogsFilter;
extern const style::IconButton &dialogsCancelSearchInPeer;
extern const style::CrossButton &dialogsCancelSearch;
extern const style::IconButton &dialogCalendar;
extern const style::IconButton &dialogSearchFrom;
extern const int &dialogsChatTypeSkip;
extern const style::icon &dialogsChatIcon;
extern const style::icon &dialogsChatIconOver;
extern const style::icon &dialogsChatIconActive;
extern const style::icon &dialogsChannelIcon;
extern const style::icon &dialogsChannelIconOver;
extern const style::icon &dialogsChannelIconActive;
extern const style::icon &dialogsBotIcon;
extern const style::icon &dialogsBotIconOver;
extern const style::icon &dialogsBotIconActive;
extern const style::icon &dialogsForumIcon;
extern const style::icon &dialogsForumIconOver;
extern const style::icon &dialogsForumIconActive;
extern const style::icon &dialogsArchiveUserpic;
extern const style::icon &dialogsRepliesUserpic;
extern const int &dialogsSendStateSkip;
extern const style::icon &dialogsSendingIcon;
extern const style::icon &dialogsSendingIconOver;
extern const style::icon &dialogsSendingIconActive;
extern const style::icon &dialogsSentIcon;
extern const style::icon &dialogsSentIconOver;
extern const style::icon &dialogsSentIconActive;
extern const style::icon &dialogsReceivedIcon;
extern const style::icon &dialogsReceivedIconOver;
extern const style::icon &dialogsReceivedIconActive;
extern const style::icon &dialogsPinnedIcon;
extern const style::icon &dialogsPinnedIconOver;
extern const style::icon &dialogsPinnedIconActive;
extern const style::icon &dialogsLockIcon;
extern const style::icon &dialogsLockIconOver;
extern const style::icon &dialogsLockIconActive;
extern const style::icon &dialogsVerifiedIcon;
extern const style::icon &dialogsVerifiedIconOver;
extern const style::icon &dialogsVerifiedIconActive;
extern const style::icon &dialogsPremiumIcon;
extern const style::icon &dialogsPremiumIconOver;
extern const style::icon &dialogsPremiumIconActive;
extern const style::icon &historySendingIcon;
extern const style::icon &historySendingInvertedIcon;
extern const style::icon &historyViewsSendingIcon;
extern const style::icon &historyViewsSendingInvertedIcon;
extern const style::FlatButton &dialogsUpdateButton;
extern const style::icon &dialogsInstallUpdate;
extern const style::icon &dialogsInstallUpdateOver;
extern const style::FlatButton &dialogsLoadMoreButton;
extern const style::icon &dialogsLoadMore;
extern const style::InfiniteRadialAnimation &dialogsLoadMoreLoading;
extern const int &dialogsForwardHeight;
extern const int &dialogsForwardTextLeft;
extern const int &dialogsForwardTextTop;
extern const style::IconButton &dialogsForwardCancel;
extern const style::font &dialogsForwardFont;
extern const int &dialogsSearchInHeight;
extern const int &dialogsSearchInPhotoSize;
extern const int &dialogsSearchInPhotoPadding;
extern const int &dialogsSearchInSkip;
extern const style::TextStyle &dialogsSearchFromStyle;
extern const style::TextPalette &dialogsSearchFromPalette;
extern const style::margins &dialogsScamPadding;
extern const style::font &dialogsScamFont;
extern const int &dialogsScamSkip;
extern const int &dialogsScamRadius;
extern const int &dialogsMiniPreviewTop;
extern const int &dialogsMiniPreview;
extern const int &dialogsMiniPreviewRadius;
extern const int &dialogsMiniPreviewSkip;
extern const int &dialogsMiniPreviewRight;
extern const style::icon &dialogsMiniPlay;
extern const style::icon &dialogsUnreadMention;
extern const style::icon &dialogsUnreadMentionOver;
extern const style::icon &dialogsUnreadMentionActive;
extern const style::icon &dialogsUnreadReaction;
extern const style::icon &dialogsUnreadReactionOver;
extern const style::icon &dialogsUnreadReactionActive;
extern const int &downloadBarHeight;
extern const style::icon &downloadArrow;
extern const style::icon &downloadArrowOver;
extern const int &downloadArrowRight;
extern const int &downloadTitleLeft;
extern const int &downloadTitleTop;
extern const style::TextStyle &downloadInfoStyle;
extern const int &downloadInfoLeft;
extern const int &downloadInfoTop;
extern const int &downloadLoadingLeft;
extern const int &downloadLoadingSize;
extern const int &downloadLoadingLine;
extern const int &downloadLoadedSize;
extern const style::icon &downloadIconDocument;
extern const int &downloadIconSize;
extern const int &downloadIconSizeDone;
extern const style::DialogRow &forumTopicRow;
extern const style::point &forumTopicIconPosition;
extern const style::margins &editTopicTitleMargin;
extern const style::point &editTopicIconPosition;
extern const int &editTopicMaxHeight;
extern const style::PeerListItem &chooseTopicListItem;
extern const style::PeerList &chooseTopicList;
extern const style::icon &dialogsTopicArrow;
extern const int &dialogsTopicArrowSkip;
extern const int &dialogsTopicArrowTop;
} // namespace st
