// WARNING! All changes made in this file will be lost!
// Created from 'editor.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#include "style_editor.h"

#include "styles/palette.h"
#include "styles/style_basic.h"
#include "styles/style_widgets.h"
#include "styles/style_dialogs.h"
#include "styles/style_menu_icons.h"
#include "styles/style_chat.h"
#include "styles/style_layers.h"
#include "styles/style_intro.h"
#include "styles/style_boxes.h"
#include "styles/style_window.h"

namespace {

bool inited = false;

class Module_style_editor : public style::internal::ModuleBase {
public:
	Module_style_editor() { style::internal::registerModule(this); }

	void start(int scale) override {
		style::internal::init_style_editor(scale);
	}
};
Module_style_editor registrator;

int _photoEditorControlsHeight = 0;
int _photoEditorControlsBottomSkip = 0;
int _photoEditorControlsCenterSkip = 0;
style::margins _photoEditorContentMargins = { 0, 0, 0, 0 };
style::color _photoEditorButtonIconFg = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgOver = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgActive = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgInactive = { Qt::Uninitialized };
int _photoEditorButtonBarHeight = 0;
int _photoEditorButtonBarWidth = 0;
style::margins _photoEditorButtonBarPadding = { 0, 0, 0, 0 };
style::margins _photoEditorTextButtonPadding = { 0, 0, 0, 0 };
style::IconButton _photoEditorRotateButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorFlipButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorFlipIconActive = { Qt::Uninitialized };
style::IconButton _photoEditorPaintModeButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorPaintIconActive = { Qt::Uninitialized };
style::IconButton _photoEditorUndoButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorRedoButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorStickersButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorStickersIconActive = { Qt::Uninitialized };
style::icon _photoEditorUndoButtonInactive = { Qt::Uninitialized };
style::icon _photoEditorRedoButtonInactive = { Qt::Uninitialized };
int _photoEditorColorPickerWidth = 0;
int _photoEditorColorPickerLineHeight = 0;
int _photoEditorColorPickerCanvasHeight = 0;
int _photoEditorColorPickerCircleSize = 0;
int _photoEditorColorPickerCircleBigSize = 0;
int _photoEditorColorPickerCircleSkip = 0;
int _photoEditorCropPointSize = 0;
int _photoEditorCropMinSize = 0;
int _photoEditorItemHandleSize = 0;

} // namespace

namespace st {
const int &photoEditorControlsHeight(_photoEditorControlsHeight);
const int &photoEditorControlsBottomSkip(_photoEditorControlsBottomSkip);
const int &photoEditorControlsCenterSkip(_photoEditorControlsCenterSkip);
const style::margins &photoEditorContentMargins(_photoEditorContentMargins);
const style::color &photoEditorButtonIconFg(_photoEditorButtonIconFg);
const style::color &photoEditorButtonIconFgOver(_photoEditorButtonIconFgOver);
const style::color &photoEditorButtonIconFgActive(_photoEditorButtonIconFgActive);
const style::color &photoEditorButtonIconFgInactive(_photoEditorButtonIconFgInactive);
const int &photoEditorButtonBarHeight(_photoEditorButtonBarHeight);
const int &photoEditorButtonBarWidth(_photoEditorButtonBarWidth);
const style::margins &photoEditorButtonBarPadding(_photoEditorButtonBarPadding);
const style::margins &photoEditorTextButtonPadding(_photoEditorTextButtonPadding);
const style::IconButton &photoEditorRotateButton(_photoEditorRotateButton);
const style::IconButton &photoEditorFlipButton(_photoEditorFlipButton);
const style::icon &photoEditorFlipIconActive(_photoEditorFlipIconActive);
const style::IconButton &photoEditorPaintModeButton(_photoEditorPaintModeButton);
const style::icon &photoEditorPaintIconActive(_photoEditorPaintIconActive);
const style::IconButton &photoEditorUndoButton(_photoEditorUndoButton);
const style::IconButton &photoEditorRedoButton(_photoEditorRedoButton);
const style::IconButton &photoEditorStickersButton(_photoEditorStickersButton);
const style::icon &photoEditorStickersIconActive(_photoEditorStickersIconActive);
const style::icon &photoEditorUndoButtonInactive(_photoEditorUndoButtonInactive);
const style::icon &photoEditorRedoButtonInactive(_photoEditorRedoButtonInactive);
const int &photoEditorColorPickerWidth(_photoEditorColorPickerWidth);
const int &photoEditorColorPickerLineHeight(_photoEditorColorPickerLineHeight);
const int &photoEditorColorPickerCanvasHeight(_photoEditorColorPickerCanvasHeight);
const int &photoEditorColorPickerCircleSize(_photoEditorColorPickerCircleSize);
const int &photoEditorColorPickerCircleBigSize(_photoEditorColorPickerCircleBigSize);
const int &photoEditorColorPickerCircleSkip(_photoEditorColorPickerCircleSkip);
const int &photoEditorCropPointSize(_photoEditorCropPointSize);
const int &photoEditorCropMinSize(_photoEditorCropMinSize);
const int &photoEditorItemHandleSize(_photoEditorItemHandleSize);
} // namespace st

namespace style {
namespace internal {

namespace {
int pxm1 = -1;
int px0 = 0;
int px2 = 2;
int px5 = 5;
int px6 = 6;
int px10 = 10;
int px20 = 20;
int px22 = 22;
int px24 = 24;
int px40 = 40;
int px50 = 50;
int px146 = 146;
int px250 = 250;
int px300 = 300;
void initPxValues(int scale) {
	pxm1 = ConvertScale(-1, scale);
	px0 = ConvertScale(0, scale);
	px2 = ConvertScale(2, scale);
	px5 = ConvertScale(5, scale);
	px6 = ConvertScale(6, scale);
	px10 = ConvertScale(10, scale);
	px20 = ConvertScale(20, scale);
	px22 = ConvertScale(22, scale);
	px24 = ConvertScale(24, scale);
	px40 = ConvertScale(40, scale);
	px50 = ConvertScale(50, scale);
	px146 = ConvertScale(146, scale);
	px250 = ConvertScale(250, scale);
	px300 = ConvertScale(300, scale);
}

const uchar iconMask2Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0b, 0xe4, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x6d, 0x4c, 0x13, 0xc9, 0x1f, 0xc7, 0xa7, 0xa5, 0xb5, 0x02, 0x2d, 0x0f,
0xa7, 0x78, 0x02, 0xe9, 0x1d, 0x08, 0x2a, 0x48, 0x22, 0x52, 0x40, 0x41, 0x81,
0x70, 0x51, 0x4f, 0xc5, 0xa7, 0x4b, 0x8e, 0x03, 0x02, 0xe1, 0xbc, 0x68, 0x8c,
0x04, 0x11, 0xe2, 0x79, 0x2f, 0x2e, 0xf1, 0x0e, 0x89, 0x89, 0x12, 0x22, 0x44,
0xc2, 0xd3, 0xc9, 0x43, 0x3c, 0x95, 0xf8, 0x80, 0x82, 0xa0, 0x72, 0xe8, 0x8b,
0x23, 0xd4, 0x07, 0x82, 0x01, 0x4e, 0x3d, 0x2c, 0xf8, 0x00, 0xa8, 0xa0, 0x95,
0xd3, 0x1e, 0x50, 0x4b, 0x01, 0x21, 0x7d, 0xb8, 0x17, 0xfb, 0xcf, 0xfe, 0xd7,
0x6d, 0xd9, 0xee, 0xb4, 0x0b, 0x94, 0xed, 0x7c, 0x5e, 0xed, 0x74, 0x7e, 0xf3,
0xdb, 0xdf, 0x7e, 0xbb, 0xb3, 0x33, 0xbb, 0x3b, 0x33, 0x0b, 0x00, 0x02, 0x81,
0x40, 0x20, 0xac, 0x16, 0x3b, 0x28, 0xeb, 0xac, 0xac, 0x2c, 0x47, 0x47, 0xc7,
0xee, 0xee, 0xee, 0x69, 0x8a, 0x66, 0xce, 0x23, 0x97, 0xcb, 0xcb, 0xca, 0xca,
0x66, 0x3b, 0x8a, 0x19, 0x85, 0x6b, 0xf8, 0x93, 0xaf, 0xaf, 0x6f, 0x59, 0x59,
0xd9, 0xdd, 0xbb, 0x77, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x0f, 0x1f, 0x3e,
0x6c, 0xb4, 0xa4, 0x50, 0x28, 0xec, 0xe9, 0xe9, 0x51, 0x28, 0x14, 0xfe, 0xfe,
0xfe, 0x00, 0x80, 0xbc, 0xbc, 0x3c, 0xb5, 0x5a, 0xbd, 0x63, 0xc7, 0x8e, 0xe9,
0x8d, 0x77, 0xc6, 0xe1, 0x91, 0xd2, 0xcb, 0x97, 0x2f, 0x6f, 0x6b, 0x6b, 0xd3,
0x6a, 0xb5, 0x7f, 0xfd, 0xf5, 0x97, 0x4e, 0xa7, 0x03, 0x00, 0x8c, 0x8f, 0x8f,
0x4f, 0x55, 0x98, 0xcb, 0xe5, 0x72, 0xb9, 0x5c, 0x0e, 0x87, 0x83, 0x6f, 0x73,
0xb9, 0x46, 0x14, 0x67, 0x15, 0xe5, 0xe5, 0xe5, 0x83, 0x83, 0x83, 0xee, 0xee,
0xee, 0x46, 0x73, 0x49, 0x55, 0x8c, 0xc3, 0xe1, 0x60, 0xea, 0x60, 0xb0, 0x52,
0x1d, 0xf2, 0x21, 0xf9, 0xfa, 0xfa, 0x3e, 0x7e, 0xfc, 0x78, 0x60, 0x60, 0x80,
0x4e, 0x61, 0xbd, 0x5e, 0xaf, 0xd7, 0xeb, 0xf1, 0xa4, 0x9b, 0x9b, 0xdb, 0x4c,
0x6a, 0xe4, 0xe2, 0xe2, 0x92, 0x91, 0x91, 0xb1, 0x76, 0xed, 0xda, 0x69, 0xdd,
0x0b, 0xf9, 0x78, 0x88, 0x67, 0x04, 0x14, 0x01, 0x01, 0x01, 0x6f, 0xdf, 0xbe,
0x2d, 0x28, 0x28, 0xb0, 0x38, 0x24, 0xba, 0x14, 0x17, 0x17, 0xe7, 0xe7, 0xe7,
0x37, 0x35, 0x35, 0x2d, 0x5e, 0xbc, 0x78, 0xfa, 0xf6, 0xc2, 0xd8, 0x1f, 0x6e,
0x67, 0x67, 0xc7, 0xe5, 0x72, 0xf9, 0x7c, 0x3e, 0x53, 0x0e, 0x4d, 0xb2, 0x74,
0xe9, 0x52, 0x00, 0xc0, 0xbc, 0x79, 0xf3, 0xc4, 0x62, 0xf1, 0xf4, 0xed, 0x85,
0x7c, 0x91, 0x36, 0x9b, 0x8e, 0x8e, 0x0e, 0x2f, 0x2f, 0x2f, 0xb9, 0x5c, 0xce,
0x94, 0x43, 0xcb, 0xc1, 0x1a, 0x10, 0xad, 0x56, 0x6b, 0x98, 0x65, 0x67, 0x67,
0x67, 0xf4, 0x77, 0x43, 0x18, 0x13, 0x08, 0x00, 0xd0, 0xd7, 0xd7, 0x67, 0x49,
0x71, 0x6f, 0x6f, 0xef, 0x2d, 0x5b, 0xb6, 0x88, 0xc5, 0x62, 0x1e, 0xef, 0x93,
0xa8, 0x14, 0x0a, 0x45, 0x49, 0x49, 0x89, 0x5a, 0xad, 0xa6, 0xef, 0x8a, 0xc3,
0xe1, 0x94, 0x95, 0x95, 0x25, 0x27, 0x27, 0x0b, 0x04, 0x82, 0x87, 0x0f, 0x1f,
0x7e, 0xf7, 0xdd, 0x77, 0xbd, 0xbd, 0xbd, 0x58, 0xd6, 0xe2, 0xc5, 0x8b, 0x6b,
0x6a, 0x6a, 0xc2, 0xc3, 0xc3, 0x95, 0x4a, 0xe5, 0xa1, 0x43, 0x87, 0x7e, 0xff,
0xfd, 0x77, 0xb8, 0x28, 0xa5, 0x52, 0xa9, 0x54, 0x2a, 0x9d, 0x2a, 0x97, 0xa2,
0xa3, 0xe8, 0xea, 0xea, 0xfa, 0xe7, 0x9f, 0x7f, 0xc6, 0xc7, 0xc7, 0xc3, 0xed,
0x0f, 0x00, 0x00, 0x80, 0x40, 0x20, 0xc8, 0xc9, 0xc9, 0xd1, 0x68, 0x34, 0xfa,
0x29, 0xc8, 0xcb, 0xcb, 0x33, 0x2c, 0xd5, 0xda, 0xda, 0x8a, 0xe5, 0x86, 0x86,
0x86, 0x92, 0xb2, 0x36, 0x6f, 0xde, 0x4c, 0x2c, 0x5e, 0x59, 0x59, 0x89, 0x67,
0x9d, 0x3c, 0x79, 0x12, 0xff, 0x7d, 0x62, 0x62, 0xc2, 0xde, 0xde, 0x9e, 0x3a,
0x36, 0xc6, 0xce, 0x20, 0x89, 0x44, 0xb2, 0x7e, 0xfd, 0xfa, 0x91, 0x91, 0x91,
0xaa, 0xaa, 0x2a, 0xa8, 0x82, 0x02, 0x81, 0xe0, 0xde, 0xbd, 0x7b, 0x21, 0x21,
0x21, 0x14, 0x36, 0x14, 0x7d, 0x31, 0xa3, 0x90, 0x1a, 0x53, 0x62, 0x92, 0x94,
0x65, 0xb2, 0x51, 0x62, 0x4c, 0xa0, 0x3b, 0x77, 0xee, 0xfc, 0xfa, 0xeb, 0xaf,
0xf5, 0xf5, 0xf5, 0xb0, 0x05, 0xf3, 0xf2, 0xf2, 0x70, 0x75, 0x1a, 0x1b, 0x1b,
0xa5, 0x52, 0xe9, 0xc7, 0x8f, 0x1f, 0x89, 0x06, 0x0a, 0x85, 0xe2, 0xc2, 0x85,
0x0b, 0x50, 0x3e, 0x6f, 0xdd, 0xba, 0x75, 0xf6, 0xec, 0xd9, 0xc4, 0xc4, 0x44,
0x3e, 0x9f, 0x2f, 0x93, 0xc9, 0xb2, 0xb2, 0xb2, 0xf0, 0xac, 0x9c, 0x9c, 0x9c,
0xf0, 0xf0, 0xf0, 0xd0, 0xd0, 0x50, 0x95, 0x4a, 0xf5, 0xd3, 0x4f, 0x3f, 0x8d,
0x8d, 0x8d, 0xc1, 0x85, 0x6b, 0x76, 0x15, 0x33, 0x8f, 0xe5, 0xcb, 0x97, 0xe3,
0x27, 0xfc, 0xbe, 0x7d, 0xfb, 0xa0, 0xca, 0x52, 0x54, 0x31, 0x0c, 0x1e, 0x8f,
0x37, 0x7f, 0xfe, 0x7c, 0xa3, 0x59, 0x02, 0x81, 0x80, 0x66, 0x87, 0x86, 0xb1,
0x66, 0x9e, 0xc3, 0xe1, 0x24, 0x24, 0x24, 0x7c, 0xf1, 0xc5, 0x17, 0x50, 0xa5,
0xd6, 0xaf, 0x5f, 0x8f, 0x6d, 0x34, 0x34, 0x34, 0x94, 0x96, 0x96, 0x32, 0x15,
0x0c, 0x86, 0x46, 0xa3, 0x21, 0x9d, 0x8c, 0x38, 0x13, 0x13, 0x13, 0xc4, 0x2e,
0x2e, 0x05, 0x8c, 0x09, 0x14, 0x19, 0x19, 0x79, 0xf1, 0xe2, 0xc5, 0x13, 0x27,
0x4e, 0x40, 0x95, 0x72, 0x73, 0x73, 0xc3, 0x36, 0xda, 0xdb, 0xdb, 0x99, 0x8a,
0x84, 0x59, 0x18, 0x13, 0xa8, 0xbb, 0xbb, 0xbb, 0xa7, 0xa7, 0xe7, 0xee, 0xdd,
0xbb, 0x50, 0xa5, 0xf0, 0xf3, 0x9c, 0xe6, 0xff, 0xc9, 0x14, 0xcb, 0x96, 0x2d,
0x4b, 0x4a, 0x4a, 0xf2, 0xf0, 0xf0, 0x30, 0x69, 0x49, 0xbe, 0x48, 0xeb, 0x74,
0x3a, 0x3b, 0x3b, 0xb8, 0xa7, 0x68, 0x18, 0x03, 0x03, 0x03, 0x58, 0xd7, 0xd6,
0xfa, 0x59, 0xbb, 0x76, 0xad, 0x54, 0x2a, 0xe5, 0xf3, 0xf9, 0xc3, 0xc3, 0xc3,
0x81, 0x81, 0x81, 0xaf, 0x5f, 0xbf, 0xa6, 0x30, 0x26, 0x9f, 0x41, 0x5d, 0x5d,
0x5d, 0x41, 0x41, 0x41, 0x7e, 0x7e, 0x7e, 0x74, 0xf6, 0xe4, 0xe0, 0xe0, 0xe0,
0xec, 0xec, 0x8c, 0x27, 0x17, 0x2c, 0x58, 0x60, 0x46, 0xb8, 0x33, 0x4f, 0x7c,
0x7c, 0x3c, 0x76, 0x4b, 0xe4, 0xea, 0xea, 0xba, 0x6d, 0xdb, 0x36, 0x6a, 0x63,
0xb2, 0x40, 0xd9, 0xd9, 0xd9, 0xa3, 0xa3, 0xa3, 0x1d, 0x1d, 0x1d, 0x5d, 0x5d,
0x5d, 0x32, 0x99, 0x4c, 0x26, 0x93, 0x65, 0x67, 0x67, 0x1b, 0x2d, 0xe9, 0xea,
0xea, 0x2a, 0x97, 0xcb, 0xdf, 0xbf, 0x7f, 0x1f, 0x1c, 0x1c, 0x0c, 0x00, 0xa8,
0xac, 0xac, 0x54, 0x28, 0x14, 0xdf, 0x7f, 0xff, 0x3d, 0x13, 0x87, 0x30, 0xbd,
0x10, 0xab, 0x88, 0xc9, 0xc7, 0x0f, 0xe4, 0x2a, 0x26, 0x97, 0xcb, 0x57, 0xae,
0x5c, 0xb9, 0x7f, 0xff, 0x7e, 0x7f, 0x7f, 0x7f, 0xac, 0xf0, 0x8b, 0x17, 0x2f,
0x8c, 0x96, 0x1c, 0x1b, 0x1b, 0x7b, 0xfc, 0xf8, 0xb1, 0x8b, 0x8b, 0xcb, 0xe0,
0xe0, 0x20, 0x00, 0x40, 0x26, 0x93, 0xf5, 0xf6, 0xf6, 0xf6, 0xf7, 0xf7, 0x5b,
0x14, 0xfb, 0x8c, 0x50, 0x57, 0x57, 0x97, 0x9a, 0x9a, 0xca, 0xe1, 0x70, 0xc6,
0xc6, 0xc6, 0x6e, 0xdd, 0xba, 0xc5, 0xa4, 0x6b, 0xc6, 0xfb, 0x41, 0x59, 0x59,
0x59, 0x58, 0x5f, 0x86, 0xd8, 0x97, 0xa3, 0x89, 0xc9, 0x7e, 0x10, 0x05, 0xab,
0x57, 0xaf, 0x4e, 0x4f, 0x4f, 0x5f, 0xb6, 0x6c, 0x99, 0x49, 0x4b, 0xb8, 0x9e,
0x74, 0x79, 0x79, 0x79, 0x5b, 0x5b, 0x1b, 0x6c, 0x34, 0x56, 0x48, 0x6b, 0x6b,
0x6b, 0x6b, 0x6b, 0x2b, 0x1d, 0x4b, 0x38, 0x81, 0xcc, 0xf8, 0x9f, 0xe7, 0x3a,
0x2c, 0x7c, 0x8a, 0xcc, 0x2c, 0xb6, 0x28, 0x10, 0x87, 0xc3, 0xc9, 0xc8, 0xc8,
0xa8, 0xaa, 0xaa, 0xa2, 0xf3, 0x70, 0x86, 0xc9, 0x07, 0x66, 0x73, 0x85, 0x1f,
0x7e, 0xf8, 0x21, 0x3f, 0x3f, 0x1f, 0x00, 0x10, 0x17, 0x17, 0xd7, 0xd7, 0xd7,
0x77, 0xff, 0xfe, 0x7d, 0x0a, 0x63, 0x5b, 0x3c, 0x83, 0xc2, 0xc2, 0xc2, 0x8c,
0x6e, 0x1b, 0xc5, 0x16, 0x05, 0xfa, 0xf0, 0xe1, 0x83, 0xd1, 0x6d, 0xa3, 0xd8,
0xa2, 0x40, 0xa5, 0xa5, 0xa5, 0xd8, 0x8b, 0x3f, 0x99, 0x4c, 0x56, 0x53, 0x53,
0x43, 0x6d, 0x6c, 0x8b, 0xd7, 0xa0, 0xde, 0xde, 0x5e, 0x1f, 0x1f, 0x1f, 0x6f,
0x6f, 0xef, 0xe7, 0xcf, 0x9f, 0x6b, 0x34, 0x1a, 0x6a, 0x63, 0x5b, 0x14, 0x08,
0x00, 0x30, 0x3e, 0x3e, 0xde, 0xd5, 0xd5, 0x45, 0xc7, 0xd2, 0x16, 0xab, 0x18,
0x14, 0x48, 0x20, 0x13, 0xd8, 0xa2, 0x40, 0x8e, 0x8e, 0x8e, 0x97, 0x2e, 0x5d,
0xea, 0xef, 0xef, 0xcf, 0xcf, 0xcf, 0x37, 0xf9, 0xe8, 0xde, 0x16, 0x05, 0x4a,
0x4b, 0x4b, 0x8b, 0x8f, 0x8f, 0x17, 0x8b, 0xc5, 0x19, 0x19, 0x19, 0xdb, 0xb7,
0x6f, 0xa7, 0x36, 0xb6, 0x45, 0x81, 0x7c, 0x7d, 0x7d, 0x8d, 0x6e, 0x1b, 0xc5,
0x16, 0x05, 0x22, 0x3e, 0x02, 0x9c, 0xea, 0x71, 0x20, 0x8e, 0x2d, 0x36, 0xf3,
0x85, 0x85, 0x85, 0xc1, 0xc1, 0xc1, 0xeb, 0xd6, 0xad, 0xab, 0xa9, 0xa9, 0xb9,
0x76, 0xed, 0x1a, 0xb5, 0xb1, 0x2d, 0x0a, 0xa4, 0x56, 0xab, 0x63, 0x63, 0x63,
0x69, 0x1a, 0xcf, 0x72, 0x15, 0xc3, 0x07, 0xe9, 0xcc, 0xe4, 0xc8, 0x2b, 0x28,
0x66, 0x59, 0xa0, 0x37, 0x6f, 0xde, 0x60, 0x1b, 0x5f, 0x7f, 0xfd, 0xb5, 0x75,
0x8e, 0x01, 0x9d, 0xe5, 0x98, 0x1a, 0x1a, 0x1a, 0x26, 0x27, 0x27, 0x01, 0x00,
0x21, 0x21, 0x21, 0xbf, 0xfd, 0xf6, 0xdb, 0x54, 0x63, 0x0d, 0xcc, 0x80, 0xcf,
0xe7, 0x87, 0x84, 0x84, 0x44, 0x44, 0x44, 0x18, 0xbe, 0xad, 0x73, 0x76, 0x76,
0x5e, 0xb7, 0x6e, 0x1d, 0xcd, 0x77, 0x7f, 0xb3, 0x4f, 0x7a, 0x7a, 0x3a, 0x3e,
0xc0, 0xe3, 0x9f, 0x7f, 0xfe, 0xa9, 0xab, 0xab, 0xab, 0xfa, 0x94, 0xa2, 0xa2,
0xa2, 0x45, 0x8b, 0x16, 0x19, 0x16, 0xa4, 0x78, 0xab, 0xe1, 0xe8, 0xe8, 0xf8,
0xf0, 0xe1, 0x43, 0x2c, 0x57, 0xad, 0x56, 0x7f, 0xf5, 0xd5, 0x57, 0x78, 0x96,
0x44, 0x22, 0x19, 0x1e, 0x1e, 0xc6, 0xb2, 0x8a, 0x8a, 0x8a, 0xa6, 0xf7, 0xd8,
0x98, 0xe2, 0xf4, 0xe9, 0xd3, 0x53, 0x8d, 0x2d, 0xc3, 0x28, 0x29, 0x29, 0x31,
0x2c, 0x45, 0x21, 0x50, 0x6c, 0x6c, 0x2c, 0xb1, 0x78, 0x6d, 0x6d, 0x2d, 0x9e,
0x55, 0x5e, 0x5e, 0x4e, 0xcc, 0x22, 0xbe, 0x19, 0x36, 0x8a, 0x55, 0x54, 0xfb,
0xdd, 0xbb, 0x77, 0xc7, 0xc5, 0xc5, 0x51, 0x0c, 0xce, 0x7e, 0xf9, 0xf2, 0x25,
0x94, 0x43, 0xd2, 0xfb, 0x4b, 0x62, 0x92, 0xb8, 0xfd, 0xef, 0xbf, 0xff, 0x8e,
0x8e, 0x8e, 0x52, 0xbb, 0xb2, 0x96, 0x66, 0xfe, 0xca, 0x95, 0x2b, 0x57, 0xaf,
0x5e, 0x0d, 0x0e, 0x0e, 0x16, 0x8b, 0xc5, 0xa4, 0xd1, 0x13, 0x0a, 0x85, 0xa2,
0xa9, 0xa9, 0x09, 0xca, 0x5b, 0x6b, 0x6b, 0x6b, 0x4a, 0x4a, 0xca, 0xae, 0x5d,
0xbb, 0xe6, 0xcf, 0x9f, 0xdf, 0xde, 0xde, 0x9e, 0x99, 0x99, 0x89, 0x67, 0xe5,
0xe6, 0xe6, 0x2e, 0x5c, 0xb8, 0x30, 0x22, 0x22, 0x62, 0x70, 0x70, 0x30, 0x2b,
0x2b, 0xcb, 0xe4, 0xf3, 0xa0, 0x39, 0x8c, 0x25, 0x6f, 0x56, 0xe9, 0x63, 0x15,
0x55, 0xcc, 0x9a, 0x99, 0xc3, 0x02, 0x61, 0xf3, 0xfa, 0x26, 0x27, 0x27, 0xa9,
0x07, 0xf8, 0xd8, 0x2e, 0x33, 0x33, 0x99, 0x05, 0x81, 0x40, 0x20, 0x10, 0x08,
0x04, 0x02, 0x81, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02, 0x81, 0x40, 0x20, 0x10,
0x08, 0x04, 0x02, 0x81, 0x60, 0x16, 0x7b, 0x7b, 0x7b, 0x89, 0x44, 0xe2, 0xe4,
0xe4, 0x34, 0xdb, 0x81, 0x58, 0x25, 0x4b, 0x96, 0x2c, 0xe9, 0xef, 0xef, 0xd7,
0xeb, 0xf5, 0x43, 0x43, 0x43, 0x6b, 0xd6, 0xac, 0x99, 0xed, 0x70, 0xac, 0x8f,
0xa2, 0xa2, 0x22, 0x7c, 0xcc, 0xce, 0x1f, 0x7f, 0xfc, 0x31, 0xdb, 0xe1, 0xfc,
0x1f, 0x6b, 0x79, 0x37, 0xef, 0xe9, 0xe9, 0x69, 0x74, 0x7b, 0xd6, 0xb1, 0x16,
0x81, 0xac, 0x96, 0x39, 0x2c, 0x10, 0x8f, 0xc7, 0xa3, 0xb3, 0x90, 0x14, 0x8f,
0xc7, 0xb3, 0x64, 0x8c, 0x31, 0x03, 0x23, 0xcc, 0x78, 0x3c, 0x9e, 0xbf, 0xbf,
0xbf, 0xa7, 0xa7, 0xe7, 0x54, 0x63, 0x54, 0x55, 0x2a, 0x55, 0x4b, 0x4b, 0x0b,
0xec, 0x42, 0x6d, 0x14, 0x6c, 0xdc, 0xb8, 0x31, 0x2f, 0x2f, 0x2f, 0x20, 0x20,
0x80, 0xcb, 0xe5, 0x7e, 0xf8, 0xf0, 0xe1, 0xea, 0xd5, 0xab, 0x07, 0x0f, 0x1e,
0x34, 0x9c, 0x7d, 0x1a, 0x16, 0x16, 0x56, 0x50, 0x50, 0x20, 0x91, 0x48, 0xb8,
0x5c, 0x6e, 0x77, 0x77, 0xf7, 0xe1, 0xc3, 0x87, 0xab, 0xab, 0xab, 0x99, 0x8a,
0x81, 0x16, 0x62, 0xb1, 0xf8, 0xd4, 0xa9, 0x53, 0x83, 0x83, 0x83, 0xd4, 0x43,
0x30, 0xf5, 0x7a, 0xfd, 0xb3, 0x67, 0xcf, 0x5c, 0x5c, 0x5c, 0x28, 0x5c, 0xd5,
0xd6, 0xd6, 0xe2, 0xc6, 0x8f, 0x1e, 0x3d, 0xa2, 0xb0, 0xf4, 0xf3, 0xf3, 0xfb,
0xf8, 0xf1, 0x23, 0xc9, 0xbf, 0xe1, 0xd2, 0x7b, 0x1e, 0x1e, 0x1e, 0x4a, 0xa5,
0x92, 0x68, 0xa3, 0xd5, 0x6a, 0x67, 0x74, 0xac, 0x4c, 0x7a, 0x7a, 0xfa, 0xf8,
0xf8, 0xb8, 0x49, 0x69, 0x70, 0x0e, 0x1c, 0x38, 0x40, 0xe1, 0x8d, 0xbe, 0x40,
0x99, 0x99, 0x99, 0x86, 0xce, 0x35, 0x1a, 0x8d, 0x83, 0x83, 0x03, 0xd1, 0x2c,
0x25, 0x25, 0xc5, 0xd0, 0xac, 0xb8, 0xb8, 0x18, 0xf6, 0x30, 0xcd, 0xac, 0x62,
0xc5, 0xc5, 0xc5, 0xa9, 0xa9, 0xa9, 0x50, 0x45, 0x98, 0xaa, 0x62, 0x46, 0x2f,
0x3a, 0xa4, 0x85, 0x9b, 0xc1, 0x14, 0x0b, 0x03, 0x99, 0xbd, 0x94, 0x2f, 0x1c,
0x3f, 0xff, 0xfc, 0x33, 0xfd, 0x13, 0x07, 0xa3, 0xa9, 0xa9, 0x89, 0x7a, 0x14,
0x3d, 0xfd, 0x33, 0x28, 0x20, 0x20, 0x00, 0x5b, 0xc3, 0x8e, 0x88, 0xe1, 0xec,
0x6e, 0xb1, 0x58, 0xac, 0x52, 0xa9, 0x88, 0x36, 0x3a, 0x9d, 0x2e, 0x32, 0x32,
0x92, 0x81, 0xe3, 0xa7, 0xc6, 0xcf, 0xcf, 0x8f, 0x14, 0xdf, 0xfb, 0xf7, 0xef,
0x7f, 0xf9, 0xe5, 0x97, 0xe8, 0xe8, 0xe8, 0xc0, 0x29, 0xf0, 0xf6, 0xf6, 0x36,
0xe9, 0x96, 0xbe, 0x40, 0x00, 0x80, 0xad, 0x5b, 0xb7, 0x3e, 0x7b, 0xf6, 0x0c,
0x33, 0x1e, 0x1d, 0x1d, 0x3d, 0x7f, 0xfe, 0xbc, 0xab, 0xab, 0xab, 0xa1, 0x59,
0x54, 0x54, 0x54, 0x47, 0x47, 0x87, 0x4e, 0xa7, 0xd3, 0xeb, 0xf5, 0xaf, 0x5e,
0xbd, 0x4a, 0x4c, 0x4c, 0x34, 0xf3, 0x98, 0xa1, 0x38, 0x77, 0xee, 0x1c, 0xe9,
0xd4, 0xc0, 0x97, 0xfa, 0xb3, 0x04, 0x28, 0x81, 0x30, 0x1c, 0x1c, 0x1c, 0x9c,
0x9c, 0x9c, 0x4c, 0x2e, 0x49, 0x67, 0x6f, 0x6f, 0xef, 0xe8, 0xe8, 0x68, 0x79,
0x84, 0xb4, 0x10, 0x08, 0x04, 0x6a, 0xb5, 0x1a, 0x3f, 0x92, 0x97, 0x2f, 0x5f,
0x7e, 0xf6, 0xd9, 0x67, 0x8c, 0x78, 0x36, 0x43, 0xa0, 0x99, 0x01, 0xae, 0xa3,
0xe8, 0xe5, 0xe5, 0x45, 0xfc, 0x37, 0x4a, 0x4b, 0x4b, 0x87, 0x86, 0x86, 0x98,
0x0e, 0xc9, 0xba, 0x80, 0x13, 0xe8, 0xf3, 0xcf, 0x3f, 0x27, 0x26, 0x69, 0xae,
0x72, 0x35, 0xa7, 0x81, 0x13, 0x88, 0xd4, 0x76, 0x62, 0xdf, 0x95, 0x60, 0x37,
0xd6, 0x32, 0x99, 0x65, 0xfa, 0xf8, 0xf2, 0xcb, 0x2f, 0x93, 0x93, 0x93, 0x85,
0x42, 0xe1, 0x8d, 0x1b, 0x37, 0x9a, 0x9b, 0x9b, 0xa7, 0x77, 0x67, 0xd1, 0xd1,
0xd1, 0xc4, 0x26, 0x2c, 0x3a, 0x3a, 0x9a, 0x29, 0xcf, 0xd3, 0x74, 0x91, 0x0e,
0x0a, 0x0a, 0xc2, 0x7b, 0x43, 0x3a, 0x9d, 0x0e, 0x76, 0x45, 0x66, 0x30, 0xa7,
0xef, 0xe6, 0xe9, 0x70, 0xec, 0xd8, 0x31, 0x91, 0x48, 0x84, 0x6d, 0x73, 0x38,
0x9c, 0xdc, 0xdc, 0x5c, 0xd2, 0x82, 0xf9, 0x26, 0x61, 0xb9, 0x40, 0x81, 0x81,
0x81, 0xc4, 0xa4, 0x50, 0x28, 0xf4, 0xf1, 0xf1, 0x81, 0xf2, 0xc0, 0x72, 0x81,
0x0c, 0xef, 0xc8, 0x60, 0xe7, 0x56, 0xb3, 0x5c, 0xa0, 0x27, 0x4f, 0x9e, 0x10,
0x93, 0x93, 0x93, 0x93, 0x26, 0xd7, 0xa2, 0x20, 0xc1, 0x72, 0x81, 0x8e, 0x1e,
0x3d, 0x4a, 0x9c, 0x74, 0x79, 0xfc, 0xf8, 0xf1, 0x89, 0x89, 0x09, 0x28, 0x0f,
0x2c, 0x6f, 0xe6, 0xa5, 0x52, 0x69, 0x78, 0x78, 0xf8, 0xde, 0xbd, 0x7b, 0x45,
0x22, 0x51, 0x5d, 0x5d, 0xdd, 0xe5, 0xcb, 0x97, 0x61, 0x3d, 0xb0, 0x5c, 0x20,
0x00, 0x40, 0x7b, 0x7b, 0xbb, 0x25, 0x0b, 0xe6, 0xb3, 0xbc, 0x8a, 0x59, 0x0e,
0x12, 0xc8, 0x04, 0x48, 0x20, 0x13, 0x20, 0x81, 0x4c, 0xc0, 0xfe, 0x8b, 0xb4,
0xbb, 0xbb, 0x7b, 0x42, 0x42, 0x82, 0x48, 0x24, 0xaa, 0xaf, 0xaf, 0x7f, 0xf0,
0xe0, 0xc1, 0xf4, 0xee, 0x6c, 0xce, 0xdd, 0xac, 0x06, 0x04, 0x04, 0x0c, 0x0d,
0x0d, 0x61, 0x6e, 0x35, 0x1a, 0xcd, 0xae, 0x5d, 0xbb, 0x60, 0x3d, 0xb0, 0xbc,
0x8a, 0x65, 0x67, 0x67, 0xe3, 0xcf, 0xf3, 0xed, 0xec, 0xec, 0x0a, 0x0a, 0x0a,
0x60, 0x3f, 0xab, 0xc2, 0x72, 0x81, 0x24, 0x12, 0x09, 0x31, 0xe9, 0xe4, 0xe4,
0x84, 0x6e, 0x56, 0x3f, 0xc1, 0xf0, 0xe1, 0x06, 0xec, 0x40, 0x06, 0x96, 0x0b,
0xd4, 0xd3, 0xd3, 0x43, 0x4c, 0x6a, 0xb5, 0x5a, 0xd8, 0xa5, 0x88, 0x58, 0x2e,
0x50, 0x6e, 0x6e, 0x2e, 0x31, 0x59, 0x52, 0x52, 0x02, 0xfb, 0x49, 0x3a, 0x96,
0x37, 0xf3, 0x75, 0x75, 0x75, 0x31, 0x31, 0x31, 0xa9, 0xa9, 0xa9, 0x42, 0xa1,
0xf0, 0xda, 0xb5, 0x6b, 0x85, 0x85, 0x85, 0xb0, 0x1e, 0x58, 0x2e, 0x10, 0x00,
0xe0, 0xe6, 0xcd, 0x9b, 0x37, 0x6f, 0xde, 0x34, 0xbb, 0x38, 0xcb, 0xab, 0x98,
0xe5, 0x20, 0x81, 0x4c, 0x80, 0x04, 0x32, 0x01, 0x12, 0xc8, 0x04, 0xec, 0xbf,
0x48, 0x0b, 0x04, 0x82, 0xe8, 0xe8, 0x68, 0x91, 0x48, 0x74, 0xfb, 0xf6, 0x6d,
0x85, 0x42, 0x01, 0x5b, 0x9c, 0xe5, 0x02, 0xb9, 0xbb, 0xbb, 0x37, 0x36, 0x36,
0xfa, 0xfb, 0xfb, 0x03, 0x00, 0x94, 0x4a, 0x65, 0x6c, 0x6c, 0x6c, 0x63, 0x63,
0x23, 0x94, 0x07, 0x96, 0x57, 0xb1, 0x9c, 0x9c, 0x1c, 0x4c, 0x1d, 0x00, 0x80,
0x8b, 0x8b, 0xcb, 0xd9, 0xb3, 0x67, 0x61, 0x87, 0x29, 0xb2, 0x5c, 0x20, 0xd2,
0xa0, 0x44, 0x4f, 0x4f, 0x4f, 0x3a, 0xe3, 0x01, 0x89, 0xb0, 0x5c, 0x20, 0xd2,
0xd8, 0x60, 0xa3, 0xbf, 0x50, 0xc3, 0x72, 0x81, 0xfa, 0xfa, 0xfa, 0x88, 0x49,
0xbd, 0x5e, 0x0f, 0xfb, 0x1d, 0x4f, 0x96, 0x0b, 0x74, 0xea, 0xd4, 0x29, 0x62,
0xf2, 0xe2, 0xc5, 0x8b, 0x2a, 0x95, 0x0a, 0xca, 0x03, 0xcb, 0x5b, 0xb1, 0xd3,
0xa7, 0x4f, 0x73, 0xb9, 0x5c, 0xfc, 0x66, 0xf5, 0xc8, 0x91, 0x23, 0xb0, 0x1e,
0x58, 0x2e, 0x10, 0x00, 0xa0, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xc2, 0xec, 0xe2,
0x2c, 0xaf, 0x62, 0x96, 0x03, 0x27, 0x10, 0xb6, 0x40, 0x3f, 0x8e, 0x50, 0x28,
0x64, 0x34, 0x18, 0x6b, 0x04, 0x4e, 0x20, 0xfc, 0x2b, 0x0f, 0x18, 0x1b, 0x36,
0x6c, 0x60, 0x34, 0x18, 0x6b, 0x04, 0x4e, 0xa0, 0xd7, 0xaf, 0x5f, 0x13, 0x9b,
0xc9, 0x94, 0x94, 0x94, 0xd5, 0xab, 0x57, 0x33, 0x1d, 0x92, 0x75, 0x01, 0x27,
0x90, 0x5e, 0xaf, 0x3f, 0x73, 0xe6, 0x0c, 0x9e, 0x14, 0x08, 0x04, 0xf5, 0xf5,
0xf5, 0x3b, 0x77, 0xee, 0x64, 0x38, 0x28, 0x1a, 0xf8, 0xf9, 0xf9, 0x25, 0x24,
0x24, 0x24, 0x27, 0x27, 0x6f, 0xda, 0xb4, 0x09, 0x1f, 0xa6, 0x69, 0x88, 0x8f,
0x8f, 0x4f, 0x5c, 0x5c, 0x5c, 0x62, 0x62, 0x22, 0x69, 0xb0, 0x22, 0x7d, 0xa0,
0xe7, 0x4f, 0x89, 0x44, 0xa2, 0xa7, 0x4f, 0x9f, 0x7a, 0x78, 0x78, 0x10, 0x7f,
0x6c, 0x6b, 0x6b, 0xbb, 0x77, 0xef, 0xde, 0xf0, 0xf0, 0xb0, 0xd1, 0x22, 0x2a,
0x95, 0xaa, 0xb6, 0xb6, 0x96, 0xba, 0x87, 0x56, 0x5b, 0x5b, 0xfb, 0xcd, 0x37,
0xdf, 0x60, 0xdb, 0x7f, 0xff, 0xfd, 0xf7, 0xaa, 0x55, 0xab, 0x28, 0x8c, 0x0b,
0x0b, 0x0b, 0xd3, 0xd2, 0xd2, 0xf0, 0xe4, 0xc0, 0xc0, 0xc0, 0xce, 0x9d, 0x3b,
0x0d, 0xbf, 0xd2, 0x7d, 0xe4, 0xc8, 0x91, 0xcc, 0xcc, 0x4c, 0x7c, 0x50, 0xe2,
0xa5, 0x4b, 0x97, 0x92, 0x92, 0x92, 0x66, 0x62, 0xf0, 0x7b, 0x54, 0x54, 0x94,
0xe1, 0xa4, 0x48, 0x6a, 0x94, 0x4a, 0xa5, 0x97, 0x97, 0x17, 0x85, 0x4f, 0xfa,
0xaf, 0x9e, 0xb7, 0x6f, 0xdf, 0x6e, 0xe8, 0xbf, 0xb3, 0xb3, 0x93, 0x64, 0x16,
0x16, 0x16, 0x66, 0x68, 0xb6, 0x67, 0xcf, 0x1e, 0xd8, 0x83, 0x35, 0xa7, 0x99,
0xbf, 0x73, 0xe7, 0x4e, 0x5c, 0x5c, 0x9c, 0x5a, 0xad, 0xa6, 0x5f, 0xc4, 0xd9,
0xd9, 0xf9, 0xdb, 0x6f, 0xbf, 0x35, 0x63, 0x5f, 0x86, 0x18, 0x9d, 0x14, 0xb7,
0x62, 0xc5, 0x0a, 0xd2, 0xbc, 0xa3, 0x88, 0x88, 0x08, 0x43, 0xb3, 0xa8, 0xa8,
0x28, 0xd8, 0xdd, 0x99, 0xd9, 0x0f, 0xba, 0x7e, 0xfd, 0x7a, 0x58, 0x58, 0x58,
0x4b, 0x4b, 0x0b, 0xfd, 0x22, 0xb0, 0x37, 0x41, 0x53, 0x61, 0x74, 0x89, 0x7f,
0xb5, 0x5a, 0xad, 0x54, 0x2a, 0x4d, 0x9a, 0xcd, 0xc2, 0xe7, 0x01, 0x62, 0x62,
0x62, 0x2a, 0x2b, 0x2b, 0x5f, 0xbc, 0x78, 0x61, 0x38, 0x4d, 0x12, 0x67, 0x64,
0x64, 0xa4, 0xb0, 0xb0, 0x90, 0xfa, 0x41, 0x0c, 0xfd, 0x2a, 0x26, 0x12, 0x89,
0x7a, 0x7b, 0x7b, 0x49, 0xbb, 0x38, 0x74, 0xe8, 0x10, 0xc9, 0x6c, 0xde, 0xbc,
0x79, 0x0f, 0x1e, 0x3c, 0x20, 0xda, 0xbc, 0x7b, 0xf7, 0x8e, 0x34, 0x5b, 0x89,
0x0e, 0x96, 0xde, 0x6a, 0x34, 0x34, 0x34, 0x34, 0x34, 0x34, 0x60, 0xdb, 0x53,
0x8d, 0xd1, 0x66, 0xf6, 0xba, 0x38, 0x32, 0x32, 0x12, 0x12, 0x12, 0xf2, 0xe3,
0x8f, 0x3f, 0xae, 0x5a, 0xb5, 0x8a, 0xcf, 0xe7, 0x2b, 0x14, 0x8a, 0xea, 0xea,
0x6a, 0xc3, 0x0f, 0xcd, 0x4d, 0x4e, 0x4e, 0x46, 0x46, 0x46, 0x1e, 0x3c, 0x78,
0x30, 0x34, 0x34, 0x94, 0xc7, 0xe3, 0x75, 0x76, 0x76, 0x9e, 0x3c, 0x79, 0xf2,
0xdd, 0xbb, 0x77, 0x0c, 0x46, 0x32, 0xa3, 0xb0, 0x64, 0xc6, 0xa1, 0x0d, 0x82,
0x04, 0x32, 0x81, 0xb5, 0x08, 0x24, 0x97, 0xcb, 0x8d, 0x6e, 0x23, 0xfe, 0x07,
0x5a, 0x81, 0xca, 0x34, 0x68, 0x0d, 0x33, 0x04, 0x02, 0x81, 0x40, 0x20, 0x10,
0x08, 0x04, 0x02, 0x81, 0x40, 0x60, 0xfc, 0x07, 0x9d, 0xb9, 0xf5, 0xda, 0x0b,
0x5c, 0x42, 0xc4, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42,
0x60, 0x82 };
IconMask iconMask2(iconMask2Data);

const uchar iconMask3Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0e, 0xcc, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x6b, 0x50, 0x1b, 0x55, 0x1b, 0xc7, 0x49, 0x08, 0x10, 0x4a, 0x4a, 0x18,
0x28, 0xf7, 0x52, 0x41, 0xac, 0xa0, 0x60, 0xa0, 0x82, 0x05, 0x29, 0x48, 0x11,
0x68, 0xb9, 0x08, 0xa8, 0x15, 0x81, 0x96, 0xaa, 0x53, 0xaa, 0x2d, 0x55, 0x28,
0x28, 0xbd, 0x01, 0x2a, 0xd0, 0xd1, 0xaa, 0x53, 0x0a, 0xde, 0x10, 0x06, 0xda,
0xc2, 0x88, 0xb4, 0x4e, 0xe9, 0x28, 0x38, 0x50, 0x86, 0x56, 0x18, 0xa4, 0xb5,
0x60, 0xa5, 0x42, 0xb9, 0xf5, 0x62, 0x80, 0x70, 0x09, 0x09, 0x97, 0x94, 0x40,
0xb8, 0x24, 0x24, 0x7b, 0xde, 0x0f, 0x3b, 0xb3, 0xb3, 0xef, 0x26, 0xd0, 0x85,
0x64, 0x93, 0x50, 0xf7, 0xf7, 0x69, 0xb3, 0xfb, 0x3c, 0x67, 0xff, 0xe7, 0x99,
0xcd, 0x9e, 0xdd, 0x73, 0xce, 0x3e, 0x47, 0x47, 0x87, 0x84, 0x84, 0x84, 0x84,
0x84, 0xe4, 0x3f, 0x4c, 0x78, 0x78, 0x78, 0x6d, 0x6d, 0x6d, 0x65, 0x65, 0xe5,
0x8e, 0x1d, 0x3b, 0x34, 0xad, 0x45, 0xfb, 0x48, 0x4c, 0x4c, 0x84, 0x20, 0x88,
0xc3, 0xe1, 0x70, 0xb9, 0x5c, 0x00, 0x40, 0x52, 0x52, 0x92, 0xa6, 0x15, 0x69,
0x13, 0x87, 0x0f, 0x1f, 0x06, 0x00, 0xfc, 0xfa, 0xeb, 0xaf, 0xfa, 0xfa, 0xfa,
0x86, 0x86, 0x86, 0xb5, 0xb5, 0xb5, 0x62, 0xb1, 0xd8, 0xc2, 0xc2, 0x42, 0xd3,
0xba, 0xb4, 0x83, 0x23, 0x47, 0x8e, 0x00, 0x00, 0x2e, 0x5d, 0xba, 0xa4, 0xa7,
0xa7, 0x07, 0xef, 0xf1, 0xf7, 0xf7, 0x07, 0x00, 0x44, 0x45, 0x45, 0x69, 0x56,
0x98, 0x56, 0x90, 0x91, 0x91, 0x01, 0x00, 0xa8, 0xa8, 0xa8, 0xd0, 0xd5, 0xd5,
0x85, 0xf7, 0xe8, 0xea, 0xea, 0xfe, 0xf4, 0xd3, 0x4f, 0x32, 0x99, 0xec, 0xd9,
0x67, 0x9f, 0xd5, 0xac, 0x36, 0xcd, 0x93, 0x93, 0x93, 0x03, 0x00, 0x28, 0x2d,
0x2d, 0xa5, 0x52, 0xa9, 0xf0, 0x1e, 0x1a, 0x8d, 0x76, 0xe1, 0xc2, 0x05, 0x00,
0xc0, 0xb1, 0x63, 0xc7, 0x34, 0xab, 0x4d, 0xf3, 0x7c, 0xf1, 0xc5, 0x17, 0x00,
0x80, 0xe2, 0xe2, 0x62, 0x24, 0x3a, 0x7a, 0x7a, 0x7a, 0x95, 0x95, 0x95, 0x00,
0x80, 0xb4, 0xb4, 0x34, 0xcd, 0x6a, 0x5b, 0x06, 0x53, 0x53, 0xd3, 0x84, 0x84,
0x84, 0xf4, 0xf4, 0xf4, 0xcc, 0xcc, 0x4c, 0x2f, 0x2f, 0x2f, 0x0a, 0x85, 0x42,
0xc8, 0x69, 0xce, 0x9c, 0x39, 0x03, 0x00, 0xf8, 0xfe, 0xfb, 0xef, 0x91, 0x13,
0xe8, 0xeb, 0xeb, 0x57, 0x55, 0x55, 0x01, 0x00, 0x92, 0x93, 0x93, 0x09, 0x39,
0xa5, 0x2a, 0x08, 0x0d, 0x0d, 0x15, 0x08, 0x04, 0x00, 0x05, 0x9b, 0xcd, 0xf6,
0xf5, 0xf5, 0x55, 0x4d, 0xe9, 0x76, 0x76, 0x76, 0x51, 0x51, 0x51, 0x41, 0x41,
0x41, 0xc5, 0xc5, 0xc5, 0x00, 0x80, 0xbc, 0xbc, 0x3c, 0xe4, 0x10, 0x9d, 0x4e,
0xaf, 0xad, 0xad, 0x85, 0x20, 0xe8, 0xe0, 0xc1, 0x83, 0xaa, 0x39, 0x19, 0x01,
0xec, 0xda, 0xb5, 0x4b, 0x22, 0x91, 0x00, 0x39, 0xa4, 0x52, 0x69, 0x6a, 0x6a,
0xaa, 0x52, 0x45, 0xdb, 0xdb, 0xdb, 0x5f, 0xbd, 0x7a, 0x15, 0x29, 0x11, 0x82,
0xa0, 0x7f, 0xfe, 0xf9, 0x67, 0xfd, 0xfa, 0xf5, 0xf0, 0x51, 0x43, 0x43, 0xc3,
0xab, 0x57, 0xaf, 0xca, 0x64, 0xb2, 0x84, 0x84, 0x04, 0x15, 0xd4, 0x83, 0x18,
0x62, 0x63, 0x63, 0x17, 0x17, 0x17, 0x61, 0xfd, 0x1c, 0x0e, 0x27, 0x33, 0x33,
0x33, 0x3f, 0x3f, 0x7f, 0x6c, 0x6c, 0x0c, 0xde, 0x23, 0x93, 0xc9, 0x82, 0x82,
0x82, 0x56, 0x59, 0xb4, 0x8d, 0x8d, 0xcd, 0xe4, 0xe4, 0xa4, 0x40, 0x20, 0x38,
0x7c, 0xf8, 0xb0, 0xbb, 0xbb, 0xbb, 0x8f, 0x8f, 0x4f, 0x5e, 0x5e, 0x9e, 0x44,
0x22, 0xb9, 0x75, 0xeb, 0x16, 0x8d, 0x46, 0x33, 0x32, 0x32, 0x6a, 0x6c, 0x6c,
0x94, 0x4a, 0xa5, 0x7b, 0xf7, 0xee, 0x55, 0x69, 0x8d, 0x54, 0xc9, 0xde, 0xbd,
0x7b, 0xa5, 0x52, 0x29, 0x1c, 0x8b, 0xde, 0xde, 0x5e, 0x6b, 0x6b, 0x6b, 0x78,
0xbf, 0x99, 0x99, 0xd9, 0xef, 0xbf, 0xff, 0x0e, 0xef, 0xe7, 0xf1, 0x78, 0x74,
0x3a, 0x7d, 0x35, 0xa5, 0x57, 0x55, 0x55, 0x09, 0x85, 0xc2, 0x27, 0x9f, 0x7c,
0x12, 0xbd, 0x33, 0x3c, 0x3c, 0x1c, 0x00, 0x90, 0x9d, 0x9d, 0x7d, 0xfd, 0xfa,
0xf5, 0xc5, 0xc5, 0xc5, 0xd8, 0xd8, 0x58, 0xe5, 0xab, 0x41, 0x10, 0x09, 0x09,
0x09, 0x32, 0x99, 0x0c, 0x8e, 0x42, 0x67, 0x67, 0xa7, 0xa5, 0xa5, 0x25, 0xfa,
0x28, 0x93, 0xc9, 0xe4, 0x70, 0x38, 0xf0, 0xd1, 0x57, 0x5f, 0x7d, 0x75, 0xc5,
0xa5, 0xd3, 0xe9, 0x74, 0x89, 0x44, 0x92, 0x9d, 0x9d, 0x2d, 0x7f, 0xe8, 0xda,
0xb5, 0x6b, 0x22, 0x91, 0x48, 0x22, 0x91, 0xec, 0xda, 0xb5, 0x6b, 0xd5, 0xea,
0x89, 0xe6, 0xe0, 0xc1, 0x83, 0x10, 0x04, 0xc1, 0xf5, 0x6f, 0x6f, 0x6f, 0xdf,
0xb0, 0x61, 0x83, 0xbc, 0xcd, 0xd1, 0xa3, 0x47, 0x61, 0x83, 0xb3, 0x67, 0xcf,
0xae, 0xf8, 0x04, 0x5e, 0x5e, 0x5e, 0x00, 0x80, 0x90, 0x90, 0x10, 0xf9, 0x43,
0x05, 0x05, 0x05, 0x10, 0x04, 0x45, 0x44, 0x44, 0xac, 0x42, 0xb7, 0x7a, 0x48,
0x4e, 0x4e, 0x46, 0xee, 0x9b, 0x7f, 0xff, 0xfd, 0xb7, 0xa9, 0xa9, 0xa9, 0x42,
0xb3, 0xe8, 0xe8, 0x68, 0xd8, 0xa6, 0xac, 0xac, 0x6c, 0x65, 0x27, 0xa0, 0x50,
0x28, 0x05, 0x05, 0x05, 0x32, 0x99, 0xcc, 0xdc, 0xdc, 0x5c, 0xfe, 0x68, 0x45,
0x45, 0x85, 0x50, 0x28, 0x5c, 0x85, 0x6e, 0xf5, 0x90, 0x96, 0x96, 0x86, 0x44,
0xe7, 0xe6, 0xcd, 0x9b, 0x4c, 0x26, 0x53, 0xa1, 0xd9, 0xba, 0x75, 0xeb, 0xae,
0x5f, 0xbf, 0x0e, 0x9b, 0x9d, 0x39, 0x73, 0x06, 0x6f, 0xe9, 0x36, 0x36, 0x36,
0x87, 0x0e, 0x1d, 0x6a, 0x6b, 0x6b, 0x03, 0x00, 0xe4, 0xe6, 0xe6, 0xca, 0x1b,
0xe8, 0xe9, 0xe9, 0x71, 0x38, 0x9c, 0x2b, 0x57, 0xae, 0xac, 0xba, 0x02, 0x84,
0x92, 0x9e, 0x9e, 0x8e, 0x44, 0xa7, 0xb9, 0xb9, 0x19, 0x69, 0x70, 0x31, 0x30,
0x18, 0x8c, 0xa6, 0xa6, 0x26, 0xa4, 0x21, 0xf3, 0xf0, 0xf0, 0xc0, 0x7b, 0x82,
0x8b, 0x17, 0x2f, 0x02, 0x00, 0xb8, 0x5c, 0xee, 0xfb, 0xef, 0xbf, 0xaf, 0xd0,
0xe0, 0xb3, 0xcf, 0x3e, 0x83, 0x20, 0x68, 0xf5, 0x4d, 0x23, 0x91, 0x64, 0x67,
0x67, 0x23, 0xd1, 0x69, 0x6c, 0x6c, 0x34, 0x32, 0x32, 0x52, 0x68, 0x66, 0x6c,
0x6c, 0x7c, 0xe3, 0xc6, 0x0d, 0xc4, 0x72, 0x65, 0x8f, 0x42, 0x2c, 0x16, 0x6b,
0x68, 0x68, 0x68, 0x76, 0x76, 0x36, 0x23, 0x23, 0xc3, 0xd0, 0xd0, 0x10, 0x7d,
0x48, 0x5f, 0x5f, 0xff, 0xe4, 0xc9, 0x93, 0x32, 0x99, 0xec, 0xbb, 0xef, 0xbe,
0x53, 0xa6, 0x1a, 0x04, 0x71, 0xea, 0xd4, 0x29, 0xa4, 0xce, 0xf5, 0xf5, 0xf5,
0x18, 0xf1, 0x08, 0x26, 0x26, 0x26, 0xad, 0xad, 0xad, 0xab, 0x8c, 0x0e, 0x8c,
0xb9, 0xb9, 0x39, 0xfc, 0x62, 0x25, 0x14, 0x0a, 0x7f, 0xfe, 0xf9, 0xe7, 0xac,
0xac, 0xac, 0xb4, 0xb4, 0xb4, 0xf3, 0xe7, 0xcf, 0xf7, 0xf7, 0xf7, 0x43, 0x10,
0xf4, 0xc3, 0x0f, 0x3f, 0x2c, 0x75, 0x6e, 0x0d, 0x92, 0x9b, 0x9b, 0x8b, 0xd4,
0xb9, 0xa6, 0xa6, 0x66, 0xa9, 0xe7, 0x1a, 0x53, 0x53, 0x53, 0xf8, 0xee, 0x01,
0x3f, 0xf4, 0x7e, 0xf0, 0xc1, 0x07, 0xab, 0x3f, 0xa5, 0xb7, 0xb7, 0x77, 0x61,
0x61, 0xe1, 0xc0, 0xc0, 0x00, 0xfc, 0xa0, 0xb5, 0xb0, 0xb0, 0x50, 0x5f, 0x5f,
0xbf, 0x7d, 0xfb, 0xf6, 0xd5, 0x97, 0x48, 0x0c, 0x14, 0x0a, 0xe5, 0xdb, 0x6f,
0xbf, 0x45, 0xa2, 0x03, 0x77, 0xdd, 0x29, 0xb4, 0x34, 0x37, 0x37, 0xef, 0xe8,
0xe8, 0x40, 0xa2, 0xf3, 0xde, 0x7b, 0xef, 0xa9, 0x46, 0x01, 0x95, 0x4a, 0x65,
0x32, 0x99, 0x44, 0xbd, 0xfb, 0x2a, 0x07, 0x85, 0x42, 0x29, 0x2a, 0x2a, 0x42,
0xa2, 0x83, 0xee, 0xba, 0xc3, 0x60, 0x65, 0x65, 0xd5, 0xdd, 0xdd, 0x8d, 0xdc,
0x95, 0xdf, 0x79, 0xe7, 0x1d, 0xf5, 0x2a, 0xd5, 0x04, 0x54, 0x2a, 0xf5, 0xdc,
0xb9, 0x73, 0x48, 0x74, 0x2a, 0x2a, 0x2a, 0x68, 0x34, 0x9a, 0x42, 0x4b, 0x1b,
0x1b, 0x9b, 0xbb, 0x77, 0xef, 0xc2, 0x66, 0x52, 0xa9, 0x74, 0xcf, 0x9e, 0x3d,
0x6a, 0x96, 0xaa, 0x01, 0x74, 0x75, 0x75, 0xcb, 0xcb, 0xcb, 0x91, 0xe8, 0x94,
0x95, 0x95, 0x21, 0x9d, 0x53, 0x18, 0x36, 0x6d, 0xda, 0xf4, 0xef, 0xbf, 0xff,
0xc2, 0x66, 0x8b, 0x8b, 0x8b, 0xd1, 0xd1, 0xd1, 0x6a, 0x96, 0x4a, 0x38, 0x14,
0x0a, 0xc5, 0xd3, 0xd3, 0x33, 0x2b, 0x2b, 0xab, 0xa2, 0xa2, 0xa2, 0xa1, 0xa1,
0xa1, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0x04, 0xdd, 0x12, 0xa1, 0xbb, 0xee, 0x30,
0x38, 0x38, 0x38, 0xf4, 0xf7, 0xf7, 0xc3, 0x66, 0x12, 0x89, 0xe4, 0xb5, 0xd7,
0x5e, 0x53, 0xb3, 0x78, 0xc2, 0x89, 0x8a, 0x8a, 0xea, 0xea, 0xea, 0x02, 0x4b,
0x53, 0x5a, 0x5a, 0xba, 0xd4, 0xfd, 0xf1, 0xa9, 0xa7, 0x9e, 0x1a, 0x1c, 0x1c,
0x84, 0xcd, 0x16, 0x16, 0x16, 0xc2, 0xc3, 0xc3, 0xd5, 0x2c, 0x9e, 0x58, 0xe8,
0x74, 0x7a, 0x59, 0x59, 0xd9, 0x32, 0xa1, 0x81, 0x99, 0x9a, 0x9a, 0x52, 0x58,
0x73, 0x27, 0x27, 0xa7, 0x91, 0x91, 0x11, 0xd8, 0x66, 0x6e, 0x6e, 0x6e, 0xe7,
0xce, 0x9d, 0xea, 0xaf, 0x02, 0x81, 0xe8, 0xe9, 0xe9, 0x35, 0x34, 0x34, 0x20,
0x51, 0x98, 0x99, 0x99, 0x29, 0x29, 0x29, 0xd9, 0xb3, 0x67, 0x4f, 0x40, 0x40,
0x40, 0x58, 0x58, 0x58, 0x6a, 0x6a, 0x6a, 0x73, 0x73, 0x33, 0x72, 0x54, 0x26,
0x93, 0x61, 0x7a, 0x5d, 0x5c, 0x5c, 0x5c, 0x78, 0x3c, 0x1e, 0x7c, 0x74, 0x76,
0x76, 0xf6, 0xe5, 0x97, 0x5f, 0xd6, 0x54, 0x45, 0x88, 0xa2, 0xb0, 0xb0, 0x10,
0xa9, 0x7f, 0x5d, 0x5d, 0xdd, 0xa6, 0x4d, 0x9b, 0xe4, 0x6d, 0x62, 0x63, 0x63,
0xc7, 0xc7, 0xc7, 0x61, 0x9b, 0xf9, 0xf9, 0x79, 0xe4, 0x7d, 0xca, 0xcd, 0xcd,
0x0d, 0xd9, 0x3f, 0x33, 0x33, 0xf3, 0xd2, 0x4b, 0x2f, 0xa9, 0x57, 0x3b, 0xf1,
0x6c, 0xdd, 0xba, 0x15, 0xe9, 0xca, 0x49, 0x4f, 0x4f, 0x5f, 0xc6, 0xd2, 0xdc,
0xdc, 0xbc, 0xb3, 0xb3, 0x13, 0xb6, 0xbc, 0x79, 0xf3, 0xa6, 0x8e, 0x8e, 0x8e,
0x87, 0x87, 0xc7, 0xe4, 0xe4, 0x24, 0xbc, 0x47, 0x28, 0x14, 0xbe, 0xf8, 0xe2,
0x8b, 0xea, 0x52, 0xad, 0x46, 0x6a, 0x6b, 0x6b, 0xe1, 0x1a, 0x5e, 0xba, 0x74,
0xe9, 0x91, 0xc6, 0x0e, 0x0e, 0x0e, 0x73, 0x73, 0x73, 0xb0, 0x7d, 0x4a, 0x4a,
0xca, 0xc3, 0x87, 0x0f, 0xe1, 0x6d, 0x81, 0x40, 0xf0, 0xc2, 0x0b, 0x2f, 0xa8,
0x41, 0xad, 0xba, 0x31, 0x31, 0x31, 0x81, 0x47, 0x20, 0x64, 0x32, 0x99, 0x83,
0x83, 0x03, 0x1e, 0x97, 0xd3, 0xa7, 0x4f, 0x23, 0x0d, 0x39, 0xbc, 0x31, 0x31,
0x31, 0xb1, 0x65, 0xcb, 0x16, 0xa2, 0xa5, 0x6a, 0x86, 0x88, 0x88, 0x08, 0xb8,
0x92, 0x37, 0x6e, 0xdc, 0xc0, 0xe9, 0xe2, 0xe1, 0xe1, 0x81, 0x6e, 0xd7, 0xf8,
0x7c, 0xfe, 0x73, 0xcf, 0x3d, 0xa7, 0x42, 0x49, 0x8a, 0x1f, 0xb1, 0x34, 0xc5,
0xc6, 0x8d, 0x1b, 0xe1, 0x8d, 0x8e, 0x8e, 0x0e, 0x9c, 0x2e, 0x77, 0xee, 0xdc,
0x01, 0x00, 0xc0, 0xdb, 0x3c, 0x1e, 0x2f, 0x20, 0x20, 0xa0, 0xb3, 0xb3, 0x53,
0x85, 0x92, 0xb4, 0x2b, 0x40, 0xc8, 0x20, 0x0a, 0x97, 0xcb, 0xc5, 0xe9, 0xb2,
0xb8, 0xb8, 0x28, 0x16, 0x8b, 0xe1, 0xed, 0xe0, 0xe0, 0xe0, 0x9e, 0x9e, 0x1e,
0x42, 0x94, 0x69, 0x03, 0x14, 0x0a, 0xe5, 0xf6, 0xed, 0xdb, 0xf0, 0x3f, 0x05,
0xff, 0x70, 0x9b, 0x89, 0x89, 0x09, 0xf2, 0xd0, 0x48, 0xa8, 0x3c, 0xcd, 0x73,
0xf2, 0xe4, 0x49, 0xe4, 0xb9, 0x06, 0x33, 0x8c, 0xb5, 0x0c, 0x3e, 0x3e, 0x3e,
0xb0, 0x57, 0x57, 0x57, 0x17, 0xa1, 0xf2, 0x34, 0x89, 0x9f, 0x9f, 0x1f, 0xd2,
0xba, 0x03, 0x00, 0x8e, 0x1f, 0x3f, 0x8e, 0xdf, 0xf7, 0xab, 0xaf, 0xbe, 0x82,
0xbd, 0x0a, 0x0b, 0x0b, 0x89, 0x53, 0xa8, 0x19, 0x52, 0x53, 0x53, 0x5b, 0x5b,
0x5b, 0x91, 0x47, 0x3b, 0x98, 0xfa, 0xfa, 0x7a, 0x64, 0x52, 0xd6, 0x23, 0x31,
0x32, 0x32, 0x1a, 0x1d, 0x1d, 0x85, 0x1d, 0x1f, 0xb7, 0x29, 0xa4, 0xbb, 0x77,
0xef, 0x06, 0xff, 0x0f, 0x04, 0x41, 0xa7, 0x4e, 0x9d, 0xc2, 0x1f, 0x1d, 0x1d,
0xd4, 0xbf, 0x72, 0x60, 0x60, 0x60, 0xa9, 0xee, 0xc4, 0xb5, 0x4a, 0x42, 0x42,
0x02, 0x3a, 0x3a, 0xc5, 0xc5, 0xc5, 0xce, 0xce, 0xce, 0x2b, 0x2a, 0x21, 0x24,
0x24, 0x04, 0x99, 0x9b, 0xb0, 0x7b, 0xf7, 0x6e, 0x82, 0x74, 0x6a, 0x0c, 0x7d,
0x7d, 0xfd, 0x6b, 0xd7, 0xae, 0x21, 0x01, 0xea, 0xed, 0xed, 0xf5, 0xf3, 0xf3,
0xc3, 0xef, 0xbe, 0x73, 0xe7, 0xce, 0xe9, 0xe9, 0x69, 0xd8, 0xb7, 0xa9, 0xa9,
0x49, 0x3b, 0x7b, 0xcd, 0x95, 0x85, 0x46, 0xa3, 0xa1, 0x47, 0x6c, 0x00, 0x00,
0xbf, 0xfc, 0xf2, 0x8b, 0x93, 0x93, 0xd3, 0xf2, 0x5e, 0x0c, 0x06, 0x23, 0x27,
0x27, 0x07, 0x99, 0xb9, 0xd1, 0xd7, 0xd7, 0xa7, 0x70, 0x88, 0xfc, 0xf1, 0xe1,
0xcd, 0x37, 0xdf, 0x9c, 0x99, 0x99, 0x41, 0xdf, 0x89, 0x5a, 0x5a, 0x5a, 0x4e,
0x9c, 0x38, 0xc1, 0x62, 0xb1, 0x18, 0x0c, 0x06, 0x62, 0x46, 0xa5, 0x52, 0x3d,
0x3d, 0x3d, 0x73, 0x72, 0x72, 0xf8, 0x7c, 0x3e, 0x62, 0x3c, 0x30, 0x30, 0xb0,
0xd2, 0x3f, 0xe6, 0x9a, 0xc4, 0xce, 0xce, 0xae, 0xb4, 0xb4, 0x14, 0xb9, 0x28,
0xd0, 0x88, 0x44, 0x22, 0x36, 0x9b, 0x3d, 0x3c, 0x3c, 0x8c, 0x4c, 0x14, 0x43,
0x68, 0x68, 0x68, 0x50, 0x38, 0xaf, 0xe5, 0xb1, 0x85, 0xc5, 0x62, 0x55, 0x57,
0x57, 0x2b, 0x9c, 0x4f, 0x88, 0xa1, 0xaf, 0xaf, 0x2f, 0x3e, 0x3e, 0x7e, 0xa9,
0xbe, 0xfa, 0xc7, 0x1c, 0x26, 0x93, 0x19, 0x17, 0x17, 0x77, 0xe1, 0xc2, 0x85,
0x07, 0x0f, 0x1e, 0xa0, 0xff, 0x7a, 0x32, 0x99, 0x6c, 0x70, 0x70, 0xb0, 0xa4,
0xa4, 0x24, 0x32, 0x32, 0x52, 0x9d, 0x2d, 0xba, 0xb6, 0xdf, 0xfc, 0x8d, 0x8c,
0x8c, 0x2c, 0x2d, 0x2d, 0xc5, 0x62, 0x31, 0x9f, 0xcf, 0x97, 0x4a, 0xa5, 0x9a,
0x96, 0x43, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42,
0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42,
0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0xa2, 0x66, 0xb4, 0x7d, 0x76, 0xc7,
0x4a, 0x31, 0x33, 0x33, 0xdb, 0xb2, 0x65, 0x8b, 0x85, 0x85, 0x85, 0x48, 0x24,
0xea, 0xec, 0xec, 0xec, 0xef, 0xef, 0xd7, 0xb4, 0x22, 0xad, 0xc1, 0xd6, 0xd6,
0xf6, 0xe2, 0xc5, 0x8b, 0x98, 0xf9, 0x57, 0x6c, 0x36, 0xfb, 0xd8, 0xb1, 0x63,
0x4b, 0xa5, 0x81, 0xf9, 0x0f, 0xe1, 0xe3, 0xe3, 0x83, 0xa4, 0x6e, 0x93, 0x67,
0x78, 0x78, 0x58, 0x9b, 0x33, 0x42, 0x11, 0x8e, 0xbf, 0xbf, 0x3f, 0x7a, 0x2e,
0x9a, 0x42, 0x20, 0x08, 0xfa, 0x8f, 0x66, 0x09, 0x0d, 0x0c, 0x0c, 0x9c, 0x9d,
0x9d, 0x7d, 0xe4, 0xb4, 0x46, 0x18, 0xa5, 0x32, 0xbe, 0xac, 0x45, 0x42, 0x42,
0x42, 0xe6, 0xe7, 0xe7, 0xd1, 0x21, 0x98, 0x99, 0x99, 0x49, 0x49, 0x49, 0x61,
0xb1, 0x58, 0x81, 0x81, 0x81, 0x45, 0x45, 0x45, 0xc8, 0x17, 0xad, 0x30, 0x52,
0xa9, 0xd4, 0xcb, 0xcb, 0x4b, 0xd3, 0xaa, 0xd5, 0x45, 0x44, 0x44, 0xc4, 0xc2,
0xc2, 0x02, 0xba, 0xfe, 0x42, 0xa1, 0xd0, 0xc7, 0xc7, 0x07, 0x6d, 0xe3, 0xe2,
0xe2, 0xd2, 0xd3, 0xd3, 0x83, 0xb6, 0x69, 0x6f, 0x6f, 0xff, 0x4f, 0x4c, 0x8f,
0x7d, 0xfd, 0xf5, 0xd7, 0x31, 0x0d, 0xd6, 0xc3, 0x87, 0x0f, 0xb7, 0x6e, 0xdd,
0x2a, 0x6f, 0xb9, 0x61, 0xc3, 0x06, 0x24, 0x47, 0x05, 0xcc, 0x2b, 0xaf, 0xbc,
0xa2, 0x7e, 0xc1, 0x6a, 0x25, 0x26, 0x26, 0x06, 0x33, 0xaf, 0x7c, 0x62, 0x62,
0xe2, 0xf9, 0xe7, 0x9f, 0x5f, 0xca, 0xde, 0xd7, 0xd7, 0x17, 0x6d, 0x7c, 0xf9,
0xf2, 0x65, 0x75, 0xaa, 0x55, 0x37, 0xf1, 0xf1, 0xf1, 0xc8, 0x47, 0x3e, 0x30,
0x63, 0x63, 0x63, 0x2c, 0x16, 0x6b, 0x79, 0xaf, 0x3f, 0xff, 0xfc, 0x13, 0xb1,
0x1f, 0x1f, 0x1f, 0x57, 0x8f, 0x54, 0x0d, 0xb0, 0x6f, 0xdf, 0x3e, 0xcc, 0x17,
0x0b, 0xa3, 0xa3, 0xa3, 0x78, 0x72, 0xa0, 0xa3, 0x73, 0xe4, 0x01, 0x00, 0xd0,
0x5f, 0x81, 0x3c, 0x3e, 0x1c, 0x38, 0x70, 0x00, 0xc9, 0x5a, 0x01, 0x33, 0x3c,
0x3c, 0xfc, 0xf4, 0xd3, 0x4f, 0xe3, 0xf1, 0xcd, 0xca, 0xca, 0x42, 0x3b, 0x2e,
0x95, 0x9e, 0x73, 0x0d, 0x93, 0x94, 0x94, 0x04, 0xfe, 0x1f, 0x0e, 0x87, 0xe3,
0xe8, 0xe8, 0x88, 0xc7, 0xd7, 0xc2, 0xc2, 0x62, 0x68, 0x68, 0x08, 0x71, 0x14,
0x08, 0x04, 0x44, 0xab, 0x55, 0x37, 0x1f, 0x7d, 0xf4, 0x11, 0x26, 0x3a, 0x7d,
0x7d, 0x7d, 0xf6, 0xf6, 0xf6, 0x78, 0x7c, 0xad, 0xac, 0xac, 0x30, 0x2d, 0x7d,
0x79, 0x79, 0x39, 0xc1, 0x7a, 0xd5, 0xcb, 0x89, 0x13, 0x27, 0x30, 0xd1, 0x79,
0xf0, 0xe0, 0x81, 0x9d, 0x9d, 0x1d, 0x1e, 0xdf, 0x8d, 0x1b, 0x37, 0xde, 0xbf,
0x7f, 0x1f, 0xed, 0x2b, 0x16, 0x8b, 0xdd, 0xdc, 0xdc, 0x88, 0xd6, 0xac, 0x3e,
0x3e, 0xfd, 0xf4, 0x53, 0x4c, 0x74, 0x7a, 0x7b, 0x7b, 0x6d, 0x6c, 0x6c, 0xf0,
0xf8, 0x3e, 0xf1, 0xc4, 0x13, 0x6c, 0x36, 0x1b, 0xe3, 0x7e, 0xe0, 0xc0, 0x01,
0xa2, 0x35, 0xab, 0x8f, 0xcf, 0x3f, 0xff, 0x1c, 0x53, 0xbd, 0xae, 0xae, 0x2e,
0x9c, 0x39, 0x07, 0x1c, 0x1c, 0x1c, 0x06, 0x06, 0x06, 0x30, 0xee, 0x29, 0x29,
0x29, 0x44, 0x6b, 0x56, 0x1f, 0x48, 0xde, 0x1b, 0x84, 0xa5, 0x52, 0x67, 0xcb,
0xb3, 0x79, 0xf3, 0x66, 0xf4, 0x5d, 0x19, 0x00, 0x00, 0x41, 0x50, 0x62, 0x62,
0x22, 0xd1, 0x9a, 0xd5, 0xc7, 0x37, 0xdf, 0x7c, 0x83, 0x89, 0xce, 0x32, 0xa9,
0xb3, 0x31, 0x38, 0x3b, 0x3b, 0xc3, 0x2b, 0x31, 0x21, 0xc8, 0x64, 0xb2, 0xfd,
0xfb, 0xf7, 0x13, 0xad, 0x59, 0x4d, 0x50, 0x28, 0x14, 0x74, 0x0e, 0x33, 0x98,
0x96, 0x96, 0x96, 0xa5, 0x52, 0x67, 0x63, 0x70, 0x75, 0x75, 0x45, 0x7f, 0xf5,
0x0b, 0x47, 0xe7, 0xad, 0xb7, 0xde, 0x22, 0x5a, 0xb6, 0x9a, 0xa0, 0x52, 0xa9,
0x67, 0xcf, 0x9e, 0xc5, 0x44, 0x67, 0x99, 0xd4, 0xd9, 0x18, 0xdc, 0xdd, 0xdd,
0x27, 0x26, 0x26, 0xd0, 0xbe, 0x52, 0xa9, 0x34, 0x2e, 0x2e, 0x8e, 0x68, 0xd9,
0x6a, 0x42, 0x57, 0x57, 0xf7, 0xc7, 0x1f, 0x7f, 0xc4, 0x44, 0x67, 0x99, 0xd4,
0xd9, 0x18, 0x3c, 0x3d, 0x3d, 0x31, 0xcb, 0xaf, 0x68, 0xf9, 0xca, 0x04, 0x2b,
0x83, 0x46, 0xa3, 0xc1, 0xf9, 0xd0, 0xd1, 0x2c, 0x93, 0x3a, 0x1b, 0x83, 0xb7,
0xb7, 0xf7, 0xd4, 0xd4, 0x14, 0xda, 0x57, 0x2c, 0x16, 0x47, 0x46, 0x46, 0x12,
0x2d, 0x5b, 0x4d, 0xe8, 0xe9, 0xe9, 0x5d, 0xbe, 0x7c, 0x19, 0x13, 0x9d, 0xda,
0xda, 0x5a, 0x9c, 0x4b, 0x82, 0xf8, 0xfa, 0xfa, 0x22, 0x69, 0x2a, 0x60, 0xe6,
0xe7, 0xe7, 0xc3, 0xc2, 0xc2, 0x88, 0x96, 0xad, 0x26, 0x0c, 0x0c, 0x0c, 0xaa,
0xab, 0xab, 0x31, 0xd1, 0xa9, 0xaa, 0xaa, 0x5a, 0x2a, 0x75, 0x36, 0x86, 0x80,
0x80, 0x00, 0x91, 0x48, 0x84, 0xf6, 0x9d, 0x9b, 0x9b, 0x0b, 0x0e, 0x0e, 0x26,
0x5a, 0x36, 0x51, 0x30, 0x18, 0x0c, 0x47, 0x47, 0x47, 0x73, 0x73, 0x73, 0x38,
0x1d, 0x09, 0x9d, 0x4e, 0xbf, 0x72, 0xe5, 0x0a, 0x26, 0x3a, 0x95, 0x95, 0x95,
0x38, 0xbf, 0x8c, 0x0f, 0x0e, 0x0e, 0xc6, 0xf4, 0x3a, 0x8b, 0x44, 0xa2, 0x80,
0x80, 0x00, 0x82, 0x2b, 0xa1, 0x52, 0xa8, 0x54, 0xea, 0xb6, 0x6d, 0xdb, 0xbe,
0xfc, 0xf2, 0xcb, 0x8e, 0x8e, 0x0e, 0xf4, 0xe0, 0x8c, 0x44, 0x22, 0x19, 0x1a,
0x1a, 0x42, 0xd2, 0x23, 0x21, 0x2c, 0x93, 0x3a, 0x1b, 0x43, 0x58, 0x58, 0x18,
0xa6, 0x4f, 0x7a, 0x7a, 0x7a, 0x5a, 0x65, 0x8b, 0x62, 0xa9, 0x01, 0x2a, 0x95,
0x1a, 0x1f, 0x1f, 0xdf, 0xd7, 0xd7, 0x07, 0x70, 0x53, 0x56, 0x56, 0x86, 0x33,
0xc1, 0x52, 0x54, 0x54, 0x94, 0x58, 0x2c, 0x46, 0xfb, 0x4e, 0x4d, 0x4d, 0xad,
0xa5, 0x11, 0x0b, 0x77, 0x77, 0x77, 0x38, 0xc3, 0x21, 0x7e, 0xc4, 0x62, 0x31,
0xce, 0x55, 0x48, 0xdf, 0x78, 0xe3, 0x0d, 0x4c, 0x8f, 0xbd, 0x40, 0x20, 0xf0,
0xf4, 0xf4, 0x24, 0xba, 0x52, 0x2a, 0x23, 0x36, 0x36, 0x16, 0xff, 0x60, 0x9e,
0xfc, 0x45, 0xb4, 0x7c, 0xe3, 0x15, 0x17, 0x17, 0x87, 0xe9, 0x93, 0x1e, 0x1f,
0x1f, 0x77, 0x77, 0x77, 0x27, 0xa8, 0x2e, 0xaa, 0x9f, 0xdd, 0x91, 0x9c, 0x9c,
0xfc, 0xf5, 0xd7, 0x5f, 0xcb, 0xef, 0xbf, 0x7b, 0xf7, 0x6e, 0x7d, 0x7d, 0xfd,
0xe0, 0xe0, 0x20, 0x9f, 0xcf, 0x37, 0x36, 0x36, 0xb6, 0xb6, 0xb6, 0xf6, 0xf6,
0xf6, 0xf6, 0xf7, 0xf7, 0x97, 0xbf, 0x1f, 0x37, 0x37, 0x37, 0x07, 0x07, 0x07,
0x23, 0xe9, 0x23, 0xd1, 0xbc, 0xfd, 0xf6, 0xdb, 0xe7, 0xce, 0x9d, 0x43, 0x0f,
0x6c, 0xf1, 0xf9, 0xfc, 0xa0, 0xa0, 0xa0, 0x35, 0x93, 0x23, 0x30, 0x3c, 0x3c,
0x1c, 0xd3, 0xa9, 0x0e, 0x41, 0x50, 0x45, 0x45, 0xc5, 0x33, 0xcf, 0x3c, 0xa3,
0xd0, 0xde, 0xd8, 0xd8, 0xf8, 0xc8, 0x91, 0x23, 0x98, 0x44, 0x78, 0x60, 0x89,
0x4e, 0xbf, 0xfd, 0xfb, 0xf7, 0x63, 0x0a, 0xe7, 0x72, 0xb9, 0x6b, 0x29, 0xc1,
0x92, 0xa3, 0xa3, 0x23, 0x66, 0x12, 0xc1, 0xc8, 0xc8, 0x08, 0x9e, 0xa4, 0xce,
0x26, 0x26, 0x26, 0xf2, 0x8f, 0x42, 0x1f, 0x7e, 0xf8, 0x21, 0xda, 0xe6, 0xd0,
0xa1, 0x43, 0x98, 0x1e, 0xfb, 0xa1, 0xa1, 0xa1, 0xcd, 0x9b, 0x37, 0x13, 0x56,
0x1b, 0x02, 0x80, 0xd7, 0xbc, 0x41, 0xe8, 0xee, 0xee, 0xb6, 0xb2, 0xb2, 0xc2,
0xe9, 0x4b, 0xa1, 0x50, 0xf2, 0xf3, 0xf3, 0xd1, 0xee, 0xd3, 0xd3, 0xd3, 0xc8,
0xaa, 0xc8, 0x29, 0x29, 0x29, 0x98, 0xf0, 0x0d, 0x0c, 0x0c, 0xe0, 0xcc, 0xa7,
0xac, 0x2d, 0x6c, 0xdb, 0xb6, 0x0d, 0x5d, 0x81, 0xb1, 0xb1, 0x31, 0x9c, 0x9d,
0xea, 0x08, 0x14, 0x0a, 0x05, 0xf3, 0xc2, 0x51, 0x50, 0x50, 0xa0, 0x83, 0x5a,
0x4a, 0x0e, 0x81, 0xcd, 0x66, 0x2b, 0xcc, 0xe3, 0xae, 0xd5, 0x60, 0x2e, 0x9f,
0x98, 0x98, 0x98, 0x55, 0x14, 0xc2, 0x64, 0x32, 0x91, 0x8c, 0xf4, 0x00, 0x00,
0xb1, 0x58, 0x8c, 0xa4, 0x92, 0x44, 0xb8, 0x77, 0xef, 0x9e, 0xad, 0xad, 0xad,
0xca, 0xf5, 0x13, 0x0b, 0x9d, 0x4e, 0x47, 0xbf, 0x10, 0xb5, 0xb4, 0xb4, 0xac,
0xba, 0x28, 0xf9, 0xf1, 0x2f, 0x34, 0x3d, 0x3d, 0x3d, 0xf8, 0xff, 0xb6, 0x5a,
0x44, 0x64, 0x64, 0x24, 0xba, 0x1a, 0xca, 0xf4, 0x6f, 0x32, 0x99, 0x4c, 0xcc,
0x23, 0x32, 0xc2, 0x9d, 0x3b, 0x77, 0xd6, 0xea, 0x5a, 0xed, 0x1f, 0x7f, 0xfc,
0x31, 0x52, 0x0d, 0x08, 0x82, 0x94, 0xcc, 0xfc, 0x58, 0x57, 0x57, 0x27, 0x1f,
0x9d, 0xdb, 0xb7, 0x6f, 0x9b, 0x99, 0x99, 0xa9, 0x4a, 0x30, 0x7e, 0x54, 0x33,
0x95, 0x08, 0x3d, 0x50, 0x35, 0x3e, 0x3e, 0xae, 0xe4, 0xf4, 0x09, 0x0e, 0x87,
0x83, 0xd9, 0x73, 0xeb, 0xd6, 0xad, 0xc0, 0xc0, 0xc0, 0xc9, 0xc9, 0x49, 0x65,
0x8a, 0x5d, 0x1d, 0xb8, 0xde, 0x9b, 0x1f, 0x09, 0x3a, 0x40, 0x23, 0x23, 0x23,
0x4a, 0x96, 0x76, 0xff, 0xfe, 0x7d, 0xf4, 0xcf, 0xd6, 0xd6, 0xd6, 0x1d, 0x3b,
0x76, 0x4c, 0x4f, 0x4f, 0x2b, 0x59, 0xec, 0xea, 0x50, 0xcd, 0x15, 0xe4, 0xea,
0xea, 0x8a, 0x6c, 0x8f, 0x8e, 0x8e, 0x2a, 0x59, 0x1a, 0xa6, 0xbb, 0x23, 0x3c,
0x3c, 0x5c, 0x53, 0xd1, 0xd1, 0x51, 0x49, 0x80, 0xac, 0xac, 0xac, 0xd0, 0x2b,
0x1e, 0x2b, 0x7f, 0x05, 0xa1, 0x5b, 0x71, 0x81, 0x40, 0xa0, 0x91, 0x7f, 0x16,
0x82, 0x0a, 0x02, 0x94, 0x9f, 0x9f, 0x8f, 0xfe, 0xd9, 0xd4, 0xd4, 0xa4, 0x64,
0x81, 0xe8, 0x00, 0xe1, 0x5f, 0x1e, 0x41, 0x1b, 0xa1, 0x50, 0x28, 0x99, 0x99,
0x99, 0xe8, 0xb6, 0x66, 0x7a, 0x7a, 0xda, 0xc4, 0xc4, 0x44, 0xc9, 0x32, 0xd1,
0xdd, 0x8c, 0x75, 0x75, 0x75, 0xaa, 0x52, 0xab, 0x6e, 0x9c, 0x9c, 0x9c, 0xea,
0xeb, 0xeb, 0x31, 0x8d, 0x71, 0x56, 0x56, 0x96, 0x92, 0xc5, 0x22, 0xab, 0x1c,
0xc0, 0xac, 0x68, 0x01, 0x00, 0xcd, 0xe3, 0xe8, 0xe8, 0x18, 0x16, 0x16, 0x96,
0x94, 0x94, 0x84, 0x5e, 0xe1, 0x0b, 0xe1, 0xaf, 0xbf, 0xfe, 0x32, 0x30, 0x30,
0x50, 0xf2, 0x14, 0x79, 0x79, 0x79, 0xe8, 0x32, 0x1f, 0x99, 0x7f, 0x5b, 0x5b,
0x70, 0x71, 0x71, 0x41, 0xd6, 0xaa, 0x52, 0x48, 0x5b, 0x5b, 0x9b, 0xf2, 0xaf,
0x48, 0x36, 0x36, 0x36, 0xe8, 0xae, 0xc8, 0x35, 0xb3, 0xcc, 0x8a, 0x81, 0x81,
0x01, 0xfa, 0x1d, 0x52, 0x9e, 0xa2, 0xa2, 0x22, 0xe5, 0xaf, 0x1d, 0x1d, 0x1d,
0x9d, 0xf3, 0xe7, 0xcf, 0xa3, 0x8b, 0xcd, 0xc8, 0xc8, 0x50, 0xbe, 0x4c, 0x75,
0x80, 0x59, 0x81, 0x09, 0x4d, 0x77, 0x77, 0xb7, 0xaa, 0x66, 0x07, 0x84, 0x84,
0x84, 0xa0, 0x3b, 0x0c, 0x47, 0x47, 0x47, 0x71, 0x8e, 0xca, 0x6b, 0x1e, 0x06,
0x83, 0x81, 0xf9, 0x66, 0x04, 0x00, 0xc0, 0xe1, 0x70, 0x54, 0x38, 0x08, 0xe5,
0xea, 0xea, 0x2a, 0x14, 0x0a, 0xd1, 0xe5, 0xaf, 0xb1, 0x19, 0x3d, 0xef, 0xbe,
0xfb, 0xae, 0xfc, 0xe5, 0x53, 0x5e, 0x5e, 0xae, 0x64, 0xa3, 0x0e, 0xe3, 0xec,
0xec, 0xcc, 0xe1, 0x70, 0xd0, 0x25, 0xb7, 0xb7, 0xb7, 0xaf, 0x68, 0x05, 0x12,
0xad, 0x60, 0xdf, 0xbe, 0x7d, 0xf2, 0x09, 0xe7, 0x27, 0x27, 0x27, 0x53, 0x53,
0x53, 0x71, 0x8e, 0xa3, 0x2b, 0x24, 0x32, 0x32, 0x12, 0x73, 0xed, 0x4c, 0x4c,
0x4c, 0xe0, 0x9c, 0x00, 0xad, 0x75, 0xf8, 0xfb, 0xfb, 0x2b, 0xbc, 0x5b, 0xb3,
0xd9, 0xec, 0x98, 0x98, 0x98, 0x95, 0xae, 0xfe, 0x61, 0x6b, 0x6b, 0x5b, 0x54,
0x54, 0x84, 0xe9, 0x8a, 0x17, 0x8b, 0xc5, 0x2b, 0x5a, 0x81, 0x44, 0xeb, 0xb0,
0xb5, 0xb5, 0x6d, 0x6c, 0x6c, 0x54, 0x78, 0xc3, 0xe6, 0x72, 0xb9, 0x85, 0x85,
0x85, 0xa1, 0xa1, 0xa1, 0x8f, 0x6c, 0xd1, 0xdc, 0xdc, 0xdc, 0x4e, 0x9f, 0x3e,
0x8d, 0x99, 0x77, 0x00, 0x00, 0x58, 0x5c, 0x5c, 0xd4, 0xb6, 0xc5, 0xaa, 0x57,
0x33, 0x70, 0x48, 0xa5, 0x52, 0x8f, 0x1e, 0x3d, 0xfa, 0xc9, 0x27, 0x9f, 0x2c,
0x35, 0xbb, 0x49, 0x24, 0x12, 0xfd, 0xf1, 0xc7, 0x1f, 0x43, 0x43, 0x43, 0x3c,
0x1e, 0x8f, 0xcf, 0xe7, 0xf3, 0x78, 0xbc, 0xd9, 0xd9, 0x59, 0x4b, 0x4b, 0x4b,
0x6b, 0x6b, 0x6b, 0x47, 0x47, 0xc7, 0xd0, 0xd0, 0x50, 0x85, 0xd3, 0xc0, 0xc7,
0xc7, 0xc7, 0xa3, 0xa3, 0xa3, 0x95, 0x7f, 0x95, 0xd3, 0x16, 0x1c, 0x1c, 0x1c,
0x7e, 0xfb, 0xed, 0x37, 0x85, 0x97, 0xd2, 0x2a, 0x68, 0x6b, 0x6b, 0x5b, 0x7b,
0x03, 0x15, 0x78, 0xf0, 0xf5, 0xf5, 0x55, 0xd8, 0x43, 0x8a, 0x1f, 0x2e, 0x97,
0x9b, 0x98, 0x98, 0xf8, 0xb8, 0x2d, 0x7e, 0x85, 0x81, 0xc5, 0x62, 0xe5, 0xe6,
0xe6, 0xca, 0x4f, 0xf6, 0x59, 0x9e, 0xc1, 0xc1, 0xc1, 0xe3, 0xc7, 0x8f, 0xaf,
0x5b, 0xb7, 0x4e, 0xd3, 0xf2, 0x97, 0x43, 0x95, 0x93, 0x17, 0x74, 0x75, 0x75,
0x3d, 0x3c, 0x3c, 0xb6, 0x6f, 0xdf, 0xee, 0xe7, 0xe7, 0xe7, 0xec, 0xec, 0x6c,
0x6f, 0x6f, 0x2f, 0x3f, 0x15, 0x4a, 0x28, 0x14, 0xde, 0xbb, 0x77, 0xaf, 0xa6,
0xa6, 0xa6, 0xba, 0xba, 0xba, 0xbd, 0xbd, 0x5d, 0x85, 0x67, 0x27, 0x08, 0x02,
0x73, 0x77, 0xd0, 0x68, 0x34, 0x5b, 0x5b, 0xdb, 0xf5, 0xeb, 0xd7, 0x33, 0x18,
0x0c, 0x2a, 0x95, 0xca, 0xe3, 0xf1, 0x46, 0x47, 0x47, 0xe7, 0xe7, 0xe7, 0x89,
0x3b, 0x23, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09,
0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0xc1, 0xfc, 0x0f, 0x88, 0x01,
0xd7, 0xb8, 0x60, 0x16, 0x27, 0xcb, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask3(iconMask3Data);

const uchar iconMask1Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0e, 0xa8, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x7b, 0x50, 0x54, 0xe5, 0x1b, 0xc7, 0xcf, 0x01, 0x76, 0xcf, 0x2e, 0xc8,
0x2e, 0x97, 0x15, 0x45, 0xc7, 0x20, 0xe3, 0x22, 0xc8, 0xa5, 0x2c, 0xbc, 0x54,
0xc4, 0x25, 0x30, 0x2f, 0x28, 0x81, 0x94, 0x49, 0x22, 0x68, 0xd2, 0x48, 0x4d,
0x97, 0x89, 0x69, 0xca, 0x31, 0xe5, 0x92, 0x95, 0xc3, 0x8c, 0xa1, 0x8d, 0x62,
0x2b, 0x38, 0x52, 0x46, 0x8a, 0x0c, 0x95, 0x22, 0x29, 0x97, 0x94, 0x52, 0x03,
0x51, 0xc0, 0xb1, 0x81, 0x89, 0xb8, 0x18, 0x02, 0x4b, 0xa0, 0x0b, 0xe8, 0x0a,
0x0b, 0x2c, 0xec, 0xfb, 0xfb, 0xe3, 0xcc, 0xef, 0xf5, 0x78, 0xf6, 0xc2, 0xee,
0xb9, 0xed, 0x5a, 0xe7, 0xf3, 0x17, 0x2c, 0xef, 0x79, 0x9e, 0x67, 0xbf, 0x9c,
0x7d, 0xf7, 0x7d, 0x9f, 0xf7, 0xbc, 0xcf, 0x8b, 0x20, 0x3c, 0x3c, 0x3c, 0x3c,
0x3c, 0xff, 0x1e, 0x3c, 0x3d, 0x3d, 0xe3, 0xe2, 0xe2, 0x2c, 0x1d, 0x85, 0xb5,
0xb2, 0x7e, 0xfd, 0xfa, 0xe1, 0xe1, 0xe1, 0xba, 0xba, 0x3a, 0x4b, 0x07, 0x62,
0x7d, 0xd8, 0xdb, 0xdb, 0x17, 0x14, 0x14, 0x00, 0x00, 0x00, 0x00, 0xff, 0x29,
0x81, 0x6c, 0x4d, 0x6c, 0x57, 0x53, 0x53, 0x13, 0x1b, 0x1b, 0x8b, 0xff, 0xac,
0x54, 0x2a, 0xdd, 0xdc, 0xdc, 0x16, 0x2c, 0x58, 0x80, 0x61, 0x58, 0x6f, 0x6f,
0x2f, 0x00, 0x80, 0xb5, 0xf0, 0x1e, 0x1d, 0x7e, 0xff, 0xfd, 0x77, 0xf0, 0x7f,
0xda, 0xdb, 0xdb, 0x27, 0x26, 0x26, 0xf0, 0x9f, 0xfb, 0xfb, 0xfb, 0x33, 0x32,
0x32, 0x66, 0xcc, 0x98, 0x61, 0xe9, 0x00, 0x2d, 0x8d, 0xbd, 0xbd, 0xfd, 0x91,
0x23, 0x47, 0xe0, 0x47, 0xcc, 0xc6, 0xc6, 0xc6, 0xdd, 0xdd, 0x3d, 0x21, 0x21,
0xa1, 0xb4, 0xb4, 0x54, 0xab, 0xd5, 0xf6, 0xf4, 0xf4, 0x2c, 0x5e, 0xbc, 0xd8,
0xd2, 0x31, 0x5a, 0x01, 0x7a, 0x3b, 0xe9, 0x90, 0x90, 0x90, 0xf6, 0xf6, 0x76,
0xb5, 0x5a, 0x1d, 0x1d, 0x1d, 0xcd, 0x7d, 0x48, 0xb6, 0xb6, 0xb6, 0x19, 0x19,
0x19, 0x77, 0xef, 0xde, 0x4d, 0x48, 0x48, 0xe0, 0xda, 0x37, 0x8a, 0xa2, 0x1b,
0x37, 0x6e, 0x7c, 0xfb, 0xed, 0xb7, 0x31, 0x0c, 0x83, 0x2f, 0xea, 0xfd, 0x9a,
0x77, 0x71, 0x71, 0x69, 0x6a, 0x6a, 0x1a, 0x1a, 0x1a, 0xf2, 0xf2, 0xf2, 0xe2,
0x32, 0xc2, 0x79, 0xf3, 0xe6, 0xfd, 0xf6, 0xdb, 0x6f, 0xf8, 0x7d, 0xbd, 0x6f,
0xdf, 0x3e, 0x2e, 0x5d, 0x23, 0x28, 0x8a, 0x1e, 0x3e, 0x7c, 0x18, 0xf7, 0x7d,
0xee, 0xdc, 0x39, 0x91, 0x48, 0x64, 0xbc, 0xfd, 0xbc, 0x79, 0xf3, 0x06, 0x07,
0x07, 0xcf, 0x9c, 0x39, 0xc3, 0x4d, 0x78, 0x08, 0x82, 0xc4, 0xc5, 0xc5, 0x0d,
0x0e, 0x0e, 0xc2, 0x9e, 0x91, 0x53, 0x81, 0x50, 0x14, 0xcd, 0xcf, 0xcf, 0x07,
0x00, 0x64, 0x67, 0x67, 0xa7, 0xa4, 0xa4, 0x4c, 0x4d, 0x4d, 0x55, 0x54, 0x54,
0x4c, 0xab, 0x51, 0x7a, 0x7a, 0x3a, 0x00, 0x20, 0x24, 0x24, 0x84, 0xed, 0xf0,
0x44, 0x22, 0x51, 0x5e, 0x5e, 0x1e, 0x78, 0x18, 0xee, 0x04, 0x42, 0x51, 0x14,
0x1f, 0xf2, 0x64, 0x65, 0x65, 0xe1, 0xaf, 0x24, 0x27, 0x27, 0x9b, 0xa2, 0x91,
0xa3, 0xa3, 0xe3, 0xd8, 0xd8, 0x58, 0x4e, 0x4e, 0x0e, 0xab, 0xe1, 0x2d, 0x5c,
0xb8, 0xf0, 0x8f, 0x3f, 0xfe, 0x00, 0x3a, 0x70, 0x24, 0x10, 0x8a, 0xa2, 0xf8,
0xb7, 0x55, 0x66, 0x66, 0x26, 0xf1, 0x75, 0x5c, 0xa3, 0xca, 0xca, 0x4a, 0xe3,
0x1a, 0x55, 0x55, 0x55, 0xd5, 0xd7, 0xd7, 0xb3, 0x17, 0x5e, 0x7c, 0x7c, 0xfc,
0xe8, 0xe8, 0xa8, 0xae, 0x3a, 0xb8, 0x40, 0x62, 0xb1, 0x98, 0x3d, 0xd7, 0x08,
0x62, 0x58, 0x1d, 0x9c, 0x4d, 0x9b, 0x36, 0x4d, 0x4d, 0x4d, 0x55, 0x55, 0x55,
0x19, 0xd1, 0x48, 0x2e, 0x97, 0x2b, 0x14, 0x0a, 0xf6, 0x22, 0xbc, 0x7d, 0xfb,
0xb6, 0x5e, 0x75, 0x00, 0x00, 0x1d, 0x1d, 0x1d, 0x00, 0x80, 0x91, 0x91, 0x91,
0xb6, 0xb6, 0xb6, 0x5f, 0x7f, 0xfd, 0xb5, 0xa0, 0xa0, 0x20, 0x36, 0x36, 0xd6,
0xde, 0xde, 0x9e, 0x49, 0xf7, 0x11, 0x11, 0x11, 0x00, 0x80, 0x4f, 0x3f, 0xfd,
0xd4, 0x50, 0x83, 0xe4, 0xe4, 0x64, 0x00, 0x40, 0x6a, 0x6a, 0xaa, 0xa1, 0x06,
0xb9, 0xb9, 0xb9, 0xc3, 0xc3, 0xc3, 0x4c, 0xc6, 0xf4, 0x30, 0x46, 0x04, 0xd2,
0xcb, 0xe8, 0xe8, 0xe8, 0xa9, 0x53, 0xa7, 0xa2, 0xa2, 0xa2, 0x28, 0x7b, 0xb4,
0x21, 0xfe, 0xd2, 0xd7, 0xd7, 0xa7, 0xd5, 0x6a, 0x17, 0x2f, 0x5e, 0xac, 0xf7,
0x1e, 0x41, 0x51, 0xf4, 0xf9, 0xe7, 0x9f, 0x47, 0x10, 0xa4, 0xb7, 0xb7, 0xd7,
0x90, 0x39, 0x77, 0x77, 0xf7, 0xbe, 0xbe, 0x3e, 0xca, 0xd1, 0x4c, 0x4b, 0x5a,
0x5a, 0x9a, 0x5a, 0xad, 0xd6, 0xfb, 0xa7, 0xc6, 0xc6, 0x46, 0xdd, 0xff, 0x8d,
0x58, 0x2c, 0x5e, 0xbb, 0x76, 0x6d, 0x55, 0x55, 0x55, 0x45, 0x45, 0xc5, 0x53,
0x4f, 0x3d, 0xc5, 0x40, 0x04, 0x86, 0xbe, 0xb3, 0x60, 0xcf, 0x9d, 0x9d, 0x9d,
0x6d, 0xe4, 0xf2, 0x5b, 0xb7, 0x6e, 0x95, 0x94, 0x94, 0x30, 0x10, 0x87, 0x61,
0x8c, 0x77, 0xd2, 0xf6, 0xf6, 0xf6, 0x5e, 0x5e, 0x5e, 0xe1, 0xe1, 0xe1, 0x59,
0x59, 0x59, 0xd7, 0xaf, 0x5f, 0x27, 0x36, 0xd0, 0x6a, 0xb5, 0x07, 0x0e, 0x1c,
0x10, 0x08, 0x04, 0x74, 0x23, 0xd0, 0xed, 0x8f, 0x61, 0xdf, 0x04, 0xbf, 0xd7,
0xf4, 0x12, 0x1a, 0x1a, 0x0a, 0x00, 0xd8, 0xb8, 0x71, 0x23, 0xdd, 0x08, 0xa6,
0x43, 0x2c, 0x16, 0x1f, 0x3a, 0x74, 0x48, 0xaf, 0x40, 0x24, 0x3c, 0x3d, 0x3d,
0xf3, 0xf2, 0xf2, 0x34, 0x1a, 0x0d, 0x6c, 0x56, 0x53, 0x53, 0x23, 0x93, 0xc9,
0xe8, 0x46, 0x80, 0xf7, 0xc7, 0x95, 0x95, 0x95, 0x62, 0xb1, 0xd8, 0xc6, 0xc6,
0xc6, 0x48, 0xcf, 0x0d, 0x41, 0x51, 0xf4, 0xe2, 0xc5, 0x8b, 0xbd, 0xbd, 0xbd,
0x0c, 0xf7, 0x8b, 0x86, 0x31, 0x7d, 0xa0, 0xe8, 0xed, 0xed, 0xfd, 0xe3, 0x8f,
0x3f, 0xc2, 0x96, 0x9d, 0x9d, 0x9d, 0x3e, 0x3e, 0x3e, 0x74, 0xdd, 0x27, 0x25,
0x25, 0xe1, 0xdf, 0x59, 0x47, 0x8f, 0x1e, 0x05, 0x00, 0x64, 0x64, 0x64, 0x18,
0x6f, 0x9f, 0x91, 0x91, 0x01, 0x00, 0x48, 0x49, 0x49, 0xa1, 0xeb, 0xd8, 0x1c,
0xcc, 0x9a, 0x6a, 0xa4, 0xa7, 0xa7, 0x4f, 0x4d, 0x4d, 0xe1, 0x8d, 0xdb, 0xda,
0xda, 0x5c, 0x5c, 0x5c, 0xe8, 0xba, 0x4f, 0x4a, 0x4a, 0x9a, 0x9c, 0x9c, 0x04,
0x00, 0xec, 0xda, 0xb5, 0xcb, 0x48, 0x33, 0x14, 0x45, 0x33, 0x33, 0x33, 0xb5,
0x5a, 0x6d, 0x41, 0x41, 0x01, 0x5d, 0x97, 0x3a, 0xb8, 0xba, 0xba, 0x7a, 0x7a,
0x7a, 0x1a, 0x69, 0x80, 0x4f, 0x56, 0x87, 0x86, 0x86, 0x5e, 0x7d, 0xf5, 0xd5,
0x69, 0xad, 0xad, 0x58, 0xb1, 0x42, 0xa5, 0x52, 0xe1, 0x1a, 0x55, 0x57, 0x57,
0xdb, 0xd9, 0xd9, 0xd1, 0x8d, 0xef, 0xb1, 0xc7, 0x1e, 0xf3, 0xf7, 0xf7, 0x87,
0xbf, 0x8a, 0x44, 0x22, 0x14, 0x45, 0xe1, 0xaf, 0x28, 0x8a, 0x86, 0x85, 0x85,
0x5d, 0xbe, 0x7c, 0x19, 0x00, 0x90, 0x9f, 0x9f, 0xcf, 0x40, 0xff, 0x47, 0x40,
0x28, 0x14, 0xca, 0xe5, 0x72, 0xfc, 0xcd, 0xd4, 0xd5, 0xd5, 0x79, 0x78, 0x78,
0x30, 0x62, 0x76, 0xcd, 0x9a, 0x35, 0xf0, 0x3e, 0xda, 0xbb, 0x77, 0x2f, 0x23,
0x36, 0x1f, 0xd0, 0xdf, 0xdf, 0xdf, 0xdd, 0xdd, 0x7d, 0xfc, 0xf8, 0xf1, 0xaf,
0xbe, 0xfa, 0xaa, 0xa4, 0xa4, 0x04, 0x4f, 0x27, 0xf6, 0xf4, 0xf4, 0x6c, 0xda,
0xb4, 0x89, 0x59, 0x47, 0x42, 0xa1, 0xf0, 0xf4, 0xe9, 0xd3, 0xc4, 0x3e, 0xf8,
0xef, 0xbf, 0xff, 0x36, 0x7e, 0x2b, 0x99, 0xce, 0x47, 0x1f, 0x7d, 0x84, 0xdb,
0xd4, 0x68, 0x34, 0x0c, 0x74, 0x46, 0x44, 0x62, 0x62, 0x62, 0x4e, 0x9e, 0x3c,
0xd9, 0xda, 0xda, 0xaa, 0x54, 0x2a, 0x9b, 0x9b, 0x9b, 0x4f, 0x9c, 0x38, 0x91,
0x98, 0x98, 0xc8, 0xf8, 0x00, 0x9f, 0xa4, 0x0e, 0xfe, 0x31, 0xc7, 0x35, 0x7a,
0xfc, 0xf1, 0xc7, 0x19, 0x71, 0x51, 0x51, 0x51, 0x81, 0xdb, 0x2c, 0x2d, 0x2d,
0x65, 0xc4, 0x20, 0x77, 0x08, 0x85, 0xc2, 0xb2, 0xb2, 0x32, 0xa8, 0xce, 0x67,
0x9f, 0x7d, 0x16, 0x1d, 0x1d, 0xad, 0x56, 0xab, 0xf1, 0x5f, 0xbb, 0xba, 0xba,
0x18, 0xd1, 0x28, 0x38, 0x38, 0x18, 0x7e, 0xd0, 0x96, 0x2d, 0x5b, 0x46, 0xdf,
0x20, 0x47, 0x08, 0x85, 0xc2, 0x33, 0x67, 0xce, 0x40, 0x75, 0x76, 0xef, 0xde,
0x8d, 0xbf, 0x1e, 0x1d, 0x1d, 0x0d, 0xe7, 0xa8, 0x4c, 0x69, 0xf4, 0xcd, 0x37,
0xdf, 0xe0, 0x06, 0x8f, 0x1c, 0x39, 0x42, 0xdf, 0x1a, 0x17, 0x60, 0x18, 0x46,
0x54, 0x87, 0x34, 0x25, 0x8c, 0x8a, 0x8a, 0x82, 0x1a, 0xdd, 0xba, 0x75, 0x6b,
0xfe, 0xfc, 0xf9, 0x34, 0xdd, 0x3d, 0xfd, 0xf4, 0xd3, 0xb8, 0xb5, 0x81, 0x81,
0x01, 0x1b, 0x1b, 0x9b, 0xe9, 0x2f, 0xb0, 0x2c, 0x18, 0x86, 0x95, 0x97, 0x97,
0x1b, 0x52, 0x07, 0xe7, 0xc5, 0x17, 0x5f, 0x64, 0x56, 0xa3, 0xee, 0xee, 0x6e,
0xdc, 0x1a, 0x3e, 0xc7, 0xb4, 0x5e, 0x30, 0x0c, 0xfb, 0xf9, 0xe7, 0x9f, 0xa1,
0x3a, 0x46, 0xa6, 0x7b, 0x24, 0x8d, 0x9e, 0x78, 0xe2, 0x09, 0x3a, 0x7e, 0x0f,
0x1c, 0x38, 0x00, 0x7b, 0x3a, 0x3a, 0x76, 0xd8, 0x85, 0xa4, 0x8e, 0xf1, 0xe9,
0x1e, 0x82, 0x20, 0x91, 0x91, 0x91, 0x23, 0x23, 0x23, 0x78, 0xe3, 0xee, 0xee,
0x6e, 0x3a, 0x1a, 0x25, 0x26, 0x26, 0xe2, 0x76, 0xbe, 0xff, 0xfe, 0x7b, 0xca,
0x46, 0xd8, 0x05, 0xc3, 0xb0, 0xb3, 0x67, 0xcf, 0x42, 0x75, 0x8c, 0x4f, 0xf7,
0x20, 0x24, 0x8d, 0x28, 0x2f, 0xa5, 0x84, 0x85, 0x85, 0xe1, 0x46, 0x6a, 0x6a,
0x6a, 0xa8, 0x59, 0x60, 0x17, 0x81, 0x40, 0x70, 0xee, 0xdc, 0x39, 0xa8, 0xce,
0xb4, 0xd3, 0x3d, 0x22, 0x11, 0x11, 0x11, 0x50, 0xa3, 0x9e, 0x9e, 0x1e, 0x6a,
0xfd, 0x91, 0x8f, 0x8f, 0x0f, 0x6e, 0xa1, 0xb5, 0xb5, 0x95, 0xc2, 0xe5, 0xac,
0xb3, 0x63, 0xc7, 0x0e, 0xa8, 0x8e, 0xf1, 0xe9, 0x9e, 0x5e, 0xc2, 0xc3, 0xc3,
0xa1, 0x46, 0x17, 0x2f, 0x5e, 0xa4, 0x10, 0x80, 0x4c, 0x26, 0xc3, 0x2f, 0xbf,
0x7d, 0xfb, 0x36, 0x85, 0xcb, 0x59, 0x07, 0xae, 0xf7, 0xe7, 0xe6, 0xe6, 0x52,
0xb3, 0xb0, 0x7c, 0xf9, 0x72, 0x28, 0xb1, 0x54, 0x2a, 0x35, 0xf7, 0x72, 0x3f,
0x3f, 0x3f, 0xfc, 0xda, 0x96, 0x96, 0x16, 0x43, 0x6d, 0x2c, 0xf9, 0xfd, 0x0f,
0x93, 0xb3, 0xf1, 0xf1, 0xf1, 0x14, 0xc6, 0x7e, 0x42, 0xa1, 0xf0, 0x9d, 0x77,
0xde, 0xc1, 0x7f, 0x56, 0xa9, 0x54, 0x2a, 0x95, 0xca, 0x5c, 0x0b, 0x73, 0xe6,
0xcc, 0xc1, 0x7f, 0x60, 0x75, 0xa1, 0x81, 0x3a, 0x41, 0x41, 0x41, 0x94, 0xe7,
0x10, 0xa4, 0x19, 0xc9, 0xbb, 0xef, 0xbe, 0x4b, 0x21, 0x00, 0x7c, 0x0d, 0x02,
0x00, 0xf0, 0xed, 0xb7, 0xdf, 0x52, 0xb8, 0x9c, 0x0b, 0x88, 0xe3, 0xe3, 0xae,
0xae, 0x2e, 0x13, 0xfb, 0x5a, 0x43, 0x33, 0x12, 0x73, 0xc1, 0x73, 0x81, 0x00,
0x80, 0x9d, 0x3b, 0x77, 0x52, 0xb3, 0xc0, 0x05, 0xe6, 0xce, 0x21, 0x4c, 0x19,
0x73, 0x9b, 0x82, 0xad, 0xad, 0x2d, 0x5c, 0x44, 0x62, 0x66, 0xc1, 0x83, 0x3d,
0x4c, 0x1f, 0x1f, 0x93, 0xd4, 0x31, 0xbe, 0xc4, 0x62, 0x1c, 0x38, 0x08, 0xea,
0xea, 0xea, 0xa2, 0x6c, 0x84, 0x3b, 0x88, 0x1a, 0x19, 0x1a, 0x1f, 0x9b, 0x3b,
0xe6, 0x36, 0x0e, 0x14, 0x7a, 0xff, 0xfe, 0xfd, 0x74, 0xec, 0x70, 0x87, 0xf1,
0xf1, 0x31, 0xb5, 0x31, 0xb7, 0x21, 0xf0, 0x35, 0x64, 0x00, 0xc0, 0xe4, 0xe4,
0xa4, 0x9f, 0x9f, 0x1f, 0xad, 0xb8, 0xb9, 0x84, 0x38, 0x3e, 0x26, 0x6a, 0x24,
0x12, 0x89, 0x18, 0x54, 0xc7, 0xce, 0xce, 0xee, 0xda, 0xb5, 0x6b, 0xb8, 0xa9,
0xc3, 0x87, 0x0f, 0x33, 0x10, 0x37, 0x97, 0x90, 0xe6, 0x10, 0x5e, 0x5e, 0x5e,
0x22, 0x91, 0x88, 0xf2, 0x8c, 0x44, 0x2f, 0x07, 0x0f, 0x1e, 0xc4, 0x4d, 0x8d,
0x8c, 0x8c, 0xb8, 0xbb, 0xbb, 0x33, 0x12, 0x36, 0xa7, 0x10, 0xe7, 0x10, 0x3d,
0x3d, 0x3d, 0xe7, 0xcf, 0x9f, 0x87, 0xea, 0x50, 0x98, 0x91, 0x90, 0x48, 0x4b,
0x4b, 0x83, 0xd6, 0xd2, 0xd3, 0xd3, 0x19, 0x09, 0xd8, 0x02, 0x84, 0x85, 0x85,
0xdd, 0xbf, 0x7f, 0x1f, 0x3c, 0x0c, 0xfd, 0xd1, 0x4a, 0x5a, 0x5a, 0x1a, 0x5c,
0x86, 0xb6, 0xde, 0xc1, 0xa1, 0x89, 0x84, 0x85, 0x85, 0xc1, 0x45, 0x3e, 0x00,
0xc0, 0x27, 0x9f, 0x7c, 0x42, 0xc7, 0x9a, 0x40, 0x20, 0x20, 0x2e, 0xe7, 0xd7,
0xd6, 0xd6, 0x12, 0x9f, 0x4c, 0x7d, 0x54, 0x99, 0x3f, 0x7f, 0xfe, 0x97, 0x5f,
0x7e, 0x59, 0x50, 0x50, 0x40, 0xf3, 0x01, 0xe3, 0xa8, 0xa8, 0xa8, 0xa6, 0xa6,
0x26, 0xa2, 0x3a, 0x6e, 0x6e, 0x6e, 0x4c, 0x05, 0x69, 0xbd, 0x08, 0x85, 0xc2,
0x80, 0x80, 0x00, 0x23, 0xcb, 0xb9, 0x76, 0x76, 0x76, 0x51, 0x51, 0x51, 0x95,
0x95, 0x95, 0xc4, 0xcf, 0x69, 0x61, 0x61, 0xe1, 0xbf, 0xe1, 0xde, 0x31, 0x05,
0x7c, 0xa4, 0x37, 0x38, 0x38, 0x78, 0xf4, 0xe8, 0xd1, 0xf5, 0xeb, 0xd7, 0xfb,
0xf8, 0xf8, 0xcc, 0x9e, 0x3d, 0x3b, 0x28, 0x28, 0x68, 0xc5, 0x8a, 0x15, 0x5b,
0xb7, 0x6e, 0x2d, 0x2a, 0x2a, 0x1a, 0x1a, 0x1a, 0x22, 0x4a, 0xa3, 0x52, 0xa9,
0xde, 0x7f, 0xff, 0x7d, 0x4b, 0x47, 0xcd, 0x15, 0x02, 0x81, 0x00, 0xee, 0x17,
0x99, 0x16, 0x8d, 0x46, 0x73, 0xf0, 0xe0, 0xc1, 0x59, 0xb3, 0x66, 0x59, 0x3a,
0x6a, 0x6e, 0x89, 0x8d, 0x8d, 0xbd, 0x79, 0xf3, 0xa6, 0x71, 0x69, 0xda, 0xdb,
0xdb, 0xf7, 0xee, 0xdd, 0xeb, 0xed, 0xed, 0x4d, 0xd9, 0x0b, 0x3a, 0x7d, 0x13,
0xeb, 0x26, 0x24, 0x24, 0x64, 0xe5, 0xca, 0x95, 0xa1, 0xa1, 0xa1, 0x1e, 0x1e,
0x1e, 0x8e, 0x8e, 0x8e, 0x03, 0x03, 0x03, 0x0a, 0x85, 0x42, 0xa1, 0x50, 0xb4,
0xb5, 0xb5, 0x95, 0x95, 0x95, 0x35, 0x37, 0x37, 0x5b, 0x3a, 0x40, 0x1e, 0x1e,
0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e,
0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x1e, 0x9e, 0x47, 0x00,
0x53, 0xeb, 0x28, 0x72, 0x8c, 0x54, 0x2a, 0xdd, 0xb6, 0x6d, 0x9b, 0xa7, 0xa7,
0x27, 0xbf, 0xf2, 0xa7, 0x87, 0xa5, 0x4b, 0x97, 0xc2, 0x35, 0xe5, 0x47, 0x69,
0xc7, 0x2d, 0x07, 0xd8, 0xd8, 0xd8, 0x6c, 0xdf, 0xbe, 0x9d, 0x58, 0x8b, 0xe4,
0xb5, 0xd7, 0x5e, 0xb3, 0x6c, 0x48, 0xb4, 0x6b, 0x33, 0x30, 0x87, 0xbb, 0xbb,
0xfb, 0x77, 0xdf, 0x7d, 0x17, 0x19, 0x19, 0x69, 0xe9, 0x40, 0x1e, 0xc2, 0x5a,
0x76, 0xfb, 0xae, 0x5e, 0xbd, 0xfa, 0xc6, 0x8d, 0x1b, 0xd6, 0xa6, 0x8e, 0x55,
0x80, 0x61, 0xd8, 0xbe, 0x7d, 0xfb, 0x0c, 0x3d, 0xbf, 0xf2, 0x5f, 0xff, 0x88,
0xf9, 0xfa, 0xfa, 0x9e, 0x38, 0x71, 0xe2, 0xc9, 0x27, 0x9f, 0xb4, 0x6c, 0x18,
0x46, 0xb0, 0xe4, 0x47, 0x6c, 0xcb, 0x96, 0x2d, 0x0d, 0x0d, 0x0d, 0xd6, 0xac,
0x0e, 0x62, 0xa9, 0x3b, 0x48, 0x28, 0x14, 0x16, 0x16, 0x16, 0x6e, 0xd8, 0xb0,
0xc1, 0x22, 0xde, 0xcd, 0xc2, 0x32, 0x02, 0xe5, 0xe6, 0xe6, 0x9a, 0xa8, 0x4e,
0x60, 0x60, 0xe0, 0xb2, 0x65, 0xcb, 0xb4, 0x5a, 0xad, 0x4a, 0xa5, 0xba, 0x7b,
0xf7, 0x6e, 0x47, 0x47, 0x47, 0x6b, 0x6b, 0x6b, 0x47, 0x47, 0xc7, 0xc4, 0xc4,
0x04, 0xdb, 0x41, 0xe2, 0x58, 0xe0, 0x11, 0x3c, 0x14, 0x45, 0xef, 0xdf, 0xbf,
0x4f, 0xa7, 0xd4, 0xd9, 0xf8, 0xf8, 0x78, 0x5d, 0x5d, 0xdd, 0x85, 0x0b, 0x17,
0xce, 0x9e, 0x3d, 0xcb, 0x6a, 0xe1, 0x4f, 0x8b, 0x61, 0xa8, 0xdc, 0x28, 0x05,
0xfe, 0xfa, 0xeb, 0xaf, 0x9d, 0x3b, 0x77, 0x3e, 0x92, 0x7b, 0x52, 0x8c, 0x00,
0xf7, 0xdb, 0x30, 0x85, 0x5a, 0xad, 0xce, 0xcb, 0xcb, 0x63, 0xaa, 0x8c, 0x97,
0xe5, 0xc1, 0x30, 0xec, 0xf8, 0xf1, 0xe3, 0xa6, 0xbc, 0xf3, 0xf2, 0xf2, 0xf2,
0x8e, 0x8e, 0x8e, 0xe1, 0xe1, 0x61, 0x58, 0x0f, 0xc9, 0x08, 0x63, 0x63, 0x63,
0xd9, 0xd9, 0xd9, 0xd3, 0x96, 0x75, 0x7e, 0x64, 0x78, 0xe3, 0x8d, 0x37, 0x74,
0xb7, 0xf4, 0x90, 0x20, 0x0e, 0x14, 0x65, 0x32, 0xd9, 0x73, 0xcf, 0x3d, 0x97,
0x9a, 0x9a, 0xfa, 0xc3, 0x0f, 0x3f, 0x18, 0xb9, 0xb0, 0xb3, 0xb3, 0x73, 0xc9,
0x92, 0x25, 0x16, 0x7c, 0x5f, 0x4c, 0xe2, 0xeb, 0xeb, 0x4b, 0xdc, 0x66, 0x62,
0x5c, 0x20, 0x22, 0x22, 0x91, 0x28, 0x26, 0x26, 0x26, 0x3f, 0x3f, 0x5f, 0xa9,
0x54, 0xea, 0x5e, 0xa5, 0x56, 0xab, 0x93, 0x92, 0x92, 0x38, 0x7e, 0x2f, 0x6c,
0x81, 0x61, 0xd8, 0xfe, 0xfd, 0xfb, 0xcd, 0x15, 0x08, 0x22, 0x91, 0x48, 0x76,
0xef, 0xde, 0x0d, 0x37, 0xe0, 0x11, 0xc9, 0xc9, 0xc9, 0x79, 0x04, 0x4a, 0x4b,
0x99, 0x48, 0x4c, 0x4c, 0x8c, 0xde, 0x52, 0xc8, 0x26, 0xce, 0xc5, 0xdc, 0xdd,
0xdd, 0xe5, 0x72, 0x39, 0x31, 0x4f, 0x82, 0x53, 0x5e, 0x5e, 0x2e, 0x91, 0x48,
0xd8, 0x0e, 0x9e, 0x23, 0xe6, 0xcc, 0x99, 0xf3, 0xcb, 0x2f, 0xbf, 0x50, 0x13,
0x08, 0x67, 0xd1, 0xa2, 0x45, 0x5d, 0x5d, 0x5d, 0x24, 0x0b, 0x17, 0x2e, 0x5c,
0x60, 0xb6, 0x02, 0xa6, 0x25, 0xa1, 0x9f, 0x30, 0x73, 0x73, 0x73, 0xbb, 0x74,
0xe9, 0x12, 0x49, 0x23, 0xb9, 0x5c, 0xce, 0x52, 0xc0, 0x96, 0x61, 0xe9, 0xd2,
0xa5, 0x9d, 0x9d, 0x9d, 0xf8, 0x7b, 0x5b, 0xb4, 0x68, 0x91, 0xb9, 0x97, 0x0b,
0x85, 0x42, 0x78, 0x88, 0x0c, 0x04, 0xd6, 0x89, 0xb1, 0x22, 0x50, 0x14, 0x4d,
0x4e, 0x4e, 0x2e, 0x2e, 0x2e, 0xae, 0xae, 0xae, 0xce, 0xc9, 0xc9, 0x99, 0x3d,
0x7b, 0xb6, 0xe9, 0xd7, 0x4a, 0xa5, 0xd2, 0xd4, 0xd4, 0xd4, 0xe5, 0xcb, 0x97,
0x53, 0xf6, 0x4e, 0xca, 0x31, 0x4d, 0x4e, 0x4e, 0xd2, 0x29, 0xdc, 0xce, 0x3c,
0x8e, 0x8e, 0x8e, 0xa4, 0xbd, 0x90, 0x4a, 0xa5, 0xf2, 0xa5, 0x97, 0x5e, 0xe2,
0x2c, 0x00, 0x5b, 0x5b, 0x5b, 0xe2, 0x6e, 0x7b, 0x00, 0xc0, 0xe0, 0xe0, 0xa0,
0x59, 0xff, 0x24, 0x16, 0x91, 0x48, 0x24, 0xc4, 0xd3, 0xa4, 0x20, 0x63, 0x63,
0x63, 0x2b, 0x57, 0xae, 0xe4, 0x2c, 0x0c, 0xa9, 0x54, 0xfa, 0xe7, 0x9f, 0x7f,
0x12, 0x03, 0x28, 0x2a, 0x2a, 0xe2, 0xcc, 0xbb, 0x41, 0x24, 0x12, 0x49, 0x6d,
0x6d, 0xad, 0xae, 0x3a, 0x16, 0xd1, 0xc8, 0xdb, 0xdb, 0x9b, 0xb4, 0x73, 0x35,
0x3c, 0x3c, 0x9c, 0x33, 0xef, 0x7a, 0xd0, 0xab, 0x0e, 0x2c, 0x33, 0x05, 0x35,
0x5a, 0xb5, 0x6a, 0x15, 0x67, 0x21, 0x7d, 0xf0, 0xc1, 0x07, 0x44, 0xef, 0xd4,
0xca, 0xc1, 0x31, 0x83, 0x44, 0x22, 0xa9, 0xab, 0xab, 0x23, 0xa9, 0xb3, 0x67,
0xcf, 0x9e, 0xe0, 0xe0, 0xe0, 0x3b, 0x77, 0xee, 0x90, 0x34, 0x5a, 0xbd, 0x7a,
0x35, 0x37, 0x51, 0x61, 0x18, 0x46, 0xda, 0xda, 0xfa, 0xc2, 0x0b, 0x2f, 0x70,
0xe3, 0xfa, 0x21, 0xa4, 0x52, 0xa9, 0xae, 0x3a, 0x5f, 0x7c, 0xf1, 0x05, 0xfe,
0xd7, 0xa0, 0xa0, 0x20, 0xd2, 0x40, 0x79, 0x7c, 0x7c, 0x9c, 0x33, 0x8d, 0x5e,
0x7f, 0xfd, 0x75, 0xa2, 0xeb, 0xd3, 0xa7, 0x4f, 0x73, 0xe3, 0xf7, 0x01, 0x52,
0xa9, 0xf4, 0xca, 0x95, 0x2b, 0x24, 0x75, 0x3e, 0xff, 0xfc, 0x73, 0x62, 0x1b,
0xbd, 0x1a, 0xc5, 0xc4, 0xc4, 0x70, 0x10, 0x1e, 0x8a, 0xa2, 0x8d, 0x8d, 0x8d,
0xd0, 0xaf, 0x46, 0xa3, 0xe1, 0xb4, 0xf2, 0x82, 0x29, 0xea, 0xe0, 0x04, 0x06,
0x06, 0xea, 0x6a, 0xb4, 0x66, 0xcd, 0x1a, 0x0e, 0x82, 0xdc, 0xbc, 0x79, 0x33,
0xd1, 0xef, 0x7b, 0xef, 0xbd, 0xc7, 0x81, 0x53, 0x04, 0x41, 0x10, 0x27, 0x27,
0xa7, 0xfa, 0xfa, 0x7a, 0x92, 0x3a, 0x46, 0x8a, 0xeb, 0x06, 0x06, 0x06, 0x0e,
0x0c, 0x0c, 0x70, 0xaf, 0x91, 0x4c, 0x26, 0x83, 0xa5, 0xdf, 0x01, 0x00, 0xe7,
0xcf, 0x9f, 0x67, 0xdb, 0x23, 0x82, 0x18, 0x50, 0x67, 0xda, 0xa2, 0x7d, 0x01,
0x01, 0x01, 0xba, 0x1a, 0xad, 0x5d, 0xbb, 0x96, 0xed, 0x68, 0xe1, 0x09, 0x1c,
0x00, 0x00, 0xb5, 0x5a, 0xcd, 0x7a, 0xe2, 0xd1, 0xc9, 0xc9, 0xe9, 0xea, 0xd5,
0xab, 0x24, 0x75, 0x4c, 0x2c, 0xda, 0xa7, 0xab, 0xd1, 0xc4, 0xc4, 0x04, 0x3c,
0xc7, 0x95, 0x25, 0x48, 0xdf, 0xf7, 0x11, 0x11, 0x11, 0x2c, 0x3a, 0x73, 0x72,
0x72, 0x82, 0x65, 0xc0, 0x20, 0x66, 0x15, 0xed, 0x5b, 0xb8, 0x70, 0x61, 0x7f,
0x7f, 0x3f, 0x97, 0x1a, 0x79, 0x7b, 0x7b, 0x73, 0xd4, 0x0d, 0x39, 0x3b, 0x3b,
0xd3, 0x54, 0x07, 0x47, 0xaf, 0x46, 0x2f, 0xbf, 0xfc, 0x32, 0x1b, 0x31, 0xe3,
0x10, 0x33, 0xd9, 0x87, 0x0e, 0x1d, 0x62, 0xc5, 0x87, 0xb3, 0xb3, 0x73, 0x43,
0x43, 0x03, 0x49, 0x1d, 0xca, 0x25, 0x0d, 0xfd, 0xfd, 0xfd, 0x75, 0x35, 0x62,
0xef, 0x34, 0x72, 0x62, 0xe4, 0xd5, 0xd5, 0xd5, 0xcc, 0x3b, 0xd0, 0xab, 0x0e,
0xcd, 0xa2, 0x7d, 0xfe, 0xfe, 0xfe, 0xff, 0xfc, 0xf3, 0x0f, 0x37, 0x1a, 0xfd,
0xf4, 0xd3, 0x4f, 0xd0, 0x4b, 0x53, 0x53, 0x13, 0xc3, 0xd6, 0x67, 0xcc, 0x98,
0x41, 0x1c, 0x6e, 0xe1, 0xd0, 0x2f, 0xda, 0x87, 0x20, 0x88, 0x9f, 0x9f, 0x9f,
0xae, 0x46, 0x6c, 0x8c, 0x21, 0x8f, 0x1d, 0x3b, 0x06, 0x5d, 0xb4, 0xb7, 0xb7,
0x33, 0x6c, 0x5d, 0xf7, 0x68, 0x53, 0xfa, 0x45, 0xfb, 0x20, 0xba, 0x1a, 0xdd,
0xb9, 0x73, 0x87, 0xf1, 0x92, 0x48, 0x5f, 0x7f, 0xfd, 0x35, 0xb4, 0xcf, 0xf0,
0x51, 0x83, 0x0e, 0x0e, 0x0e, 0xa4, 0xb5, 0x4d, 0xc6, 0x4b, 0x0c, 0x2f, 0x58,
0xb0, 0xa0, 0xaf, 0xaf, 0x8f, 0xe8, 0xe2, 0xc3, 0x0f, 0x3f, 0x64, 0xd6, 0x45,
0x61, 0x61, 0x21, 0x34, 0x7e, 0xf3, 0xe6, 0x4d, 0x26, 0x4d, 0xc3, 0x73, 0x4c,
0x70, 0x8e, 0x1d, 0x3b, 0xc6, 0xa4, 0xf5, 0xff, 0xb3, 0x64, 0xc9, 0x12, 0xa2,
0x97, 0xc2, 0xc2, 0x42, 0x66, 0xed, 0x97, 0x96, 0x96, 0x42, 0xe3, 0x37, 0x6e,
0xdc, 0x30, 0xe5, 0x12, 0x53, 0xd7, 0xd5, 0x48, 0x35, 0x85, 0x5f, 0x79, 0xe5,
0x15, 0xc6, 0x73, 0x3a, 0x12, 0x89, 0x84, 0x74, 0xca, 0x1c, 0xe3, 0x85, 0x8c,
0x89, 0x73, 0xd4, 0x7b, 0xf7, 0xee, 0x31, 0x6b, 0x1c, 0xa9, 0xaa, 0xaa, 0x22,
0xfe, 0x7b, 0x99, 0xcd, 0x57, 0xe8, 0x66, 0x4b, 0x26, 0x26, 0x26, 0x02, 0x03,
0x03, 0x99, 0xb2, 0x8f, 0x43, 0x1c, 0x52, 0x30, 0x5f, 0x89, 0xd3, 0xc3, 0xc3,
0x83, 0xa5, 0x7c, 0x85, 0xde, 0x5c, 0xd2, 0xc7, 0x1f, 0x7f, 0x4c, 0xdf, 0x32,
0x11, 0x57, 0x57, 0x57, 0xa2, 0xfd, 0x1d, 0x3b, 0x76, 0x30, 0x6b, 0x1f, 0x41,
0xd8, 0xc9, 0xe9, 0x98, 0x9e, 0x2d, 0xa1, 0x09, 0x29, 0x6d, 0xc6, 0xd6, 0x70,
0x94, 0xd9, 0x9c, 0x8e, 0x54, 0x2a, 0x35, 0x2b, 0x5b, 0x42, 0x87, 0x92, 0x92,
0x12, 0xe8, 0x42, 0xab, 0xd5, 0x32, 0x70, 0xda, 0xaa, 0x21, 0xf4, 0xe6, 0x74,
0x28, 0xe4, 0x2b, 0xcc, 0xcd, 0x25, 0xd1, 0x01, 0xc3, 0x30, 0x62, 0xe9, 0xdc,
0xeb, 0xd7, 0xaf, 0xb3, 0xe1, 0xe5, 0x01, 0xf4, 0x73, 0x3a, 0x7a, 0xb3, 0x25,
0x94, 0x0f, 0x80, 0x98, 0x96, 0x55, 0xab, 0x56, 0x11, 0x1d, 0xed, 0xd9, 0xb3,
0x87, 0x25, 0x47, 0x0f, 0xa0, 0x93, 0xd3, 0xa1, 0x93, 0x4b, 0xa2, 0xc6, 0xc9,
0x93, 0x27, 0x89, 0xbe, 0x02, 0x02, 0x02, 0xd8, 0xf3, 0xf5, 0x00, 0x6a, 0xf9,
0x0a, 0xa6, 0xb2, 0x25, 0xa6, 0xf3, 0xcc, 0x33, 0xcf, 0x68, 0xb5, 0x5a, 0xe8,
0xab, 0xb1, 0xb1, 0x91, 0x3d, 0x5f, 0x64, 0xcc, 0xd5, 0x48, 0xaf, 0x3a, 0x34,
0x0f, 0x80, 0x98, 0x16, 0x62, 0xd1, 0x77, 0x00, 0xc0, 0x96, 0x2d, 0x5b, 0x58,
0x75, 0x47, 0xc6, 0xf4, 0x9c, 0x0e, 0x1b, 0xd9, 0x92, 0x69, 0x21, 0xf5, 0x3e,
0x5d, 0x5d, 0x5d, 0x16, 0x78, 0x9e, 0x4a, 0x6f, 0x4e, 0x27, 0x3e, 0x3e, 0x9e,
0xd8, 0xc6, 0xc5, 0xc5, 0x85, 0x7b, 0x75, 0xc4, 0x62, 0x71, 0x73, 0x73, 0x33,
0xd1, 0xe3, 0xb6, 0x6d, 0xdb, 0x58, 0xf5, 0x68, 0x10, 0xdd, 0x7c, 0x85, 0x46,
0xa3, 0x81, 0x1a, 0xb9, 0xb8, 0xb8, 0xb0, 0x94, 0x4b, 0x32, 0x02, 0x8a, 0xa2,
0xc5, 0xc5, 0xc5, 0x44, 0x8f, 0x8d, 0x8d, 0x8d, 0xb6, 0xb6, 0x96, 0xdb, 0xc7,
0xec, 0xe7, 0xe7, 0x47, 0xca, 0x57, 0x68, 0x34, 0x9a, 0x75, 0xeb, 0xd6, 0xe9,
0x55, 0x87, 0xc1, 0x5c, 0x92, 0x21, 0x76, 0xed, 0xda, 0x45, 0xf4, 0xa8, 0xd5,
0x6a, 0x2d, 0xff, 0xfc, 0xb4, 0x6e, 0x4e, 0x47, 0xa3, 0xd1, 0xb4, 0xb5, 0xb5,
0x91, 0xd4, 0xe1, 0xe0, 0xb8, 0xaa, 0x75, 0xeb, 0xd6, 0x11, 0xbf, 0xb9, 0xb8,
0xf9, 0x97, 0x98, 0x84, 0xae, 0x46, 0x24, 0x68, 0x1e, 0x00, 0x61, 0x0a, 0x09,
0x09, 0x09, 0xa4, 0xfd, 0x32, 0xc5, 0xc5, 0xc5, 0x6c, 0x3b, 0x35, 0x03, 0x5f,
0x5f, 0x5f, 0x85, 0x42, 0xa1, 0x57, 0x1d, 0x56, 0xe6, 0xd0, 0x04, 0x50, 0x14,
0xcd, 0xcc, 0xcc, 0x24, 0xdd, 0x3b, 0xd7, 0xae, 0x5d, 0x63, 0xfc, 0x48, 0x73,
0xba, 0xf8, 0xfa, 0xfa, 0xc2, 0x83, 0x82, 0x61, 0x17, 0xb0, 0x7d, 0xfb, 0x76,
0x56, 0x9d, 0x3a, 0x38, 0x38, 0x10, 0x73, 0x86, 0x38, 0x0a, 0x85, 0x62, 0xee,
0xdc, 0xb9, 0xac, 0xfa, 0xa5, 0x88, 0xb3, 0xb3, 0xb3, 0x5c, 0x2e, 0xef, 0xee,
0xee, 0x1e, 0x19, 0x19, 0xb9, 0x74, 0xe9, 0x12, 0xbb, 0x4b, 0xbd, 0x08, 0x12,
0x1b, 0x1b, 0x4b, 0x7a, 0x22, 0x11, 0x57, 0xc7, 0xda, 0x4f, 0x9f, 0xe3, 0x80,
0x67, 0x9f, 0x7d, 0x56, 0xf7, 0xe1, 0x71, 0x00, 0xc0, 0xd5, 0xab, 0x57, 0xad,
0xf4, 0xde, 0xa1, 0x46, 0x70, 0x70, 0x70, 0x64, 0x64, 0xa4, 0x83, 0x83, 0x83,
0x89, 0xed, 0x1d, 0x1c, 0x1c, 0xe2, 0xe2, 0xe2, 0x4e, 0x9d, 0x3a, 0xa5, 0xb7,
0xb3, 0x2b, 0x2a, 0x2a, 0xfa, 0xf7, 0x6c, 0x1c, 0x43, 0x10, 0x24, 0x2b, 0x2b,
0x0b, 0x7f, 0x63, 0xa3, 0xa3, 0xa3, 0xa5, 0xa5, 0xa5, 0x1b, 0x36, 0x6c, 0x98,
0x39, 0x73, 0xa6, 0xde, 0x96, 0x73, 0xe7, 0xce, 0xdd, 0xba, 0x75, 0x6b, 0x59,
0x59, 0x19, 0xe9, 0xd9, 0x50, 0xc8, 0xd4, 0xd4, 0x14, 0x83, 0x9d, 0x9d, 0x55,
0x9c, 0xab, 0x21, 0x10, 0x08, 0x46, 0x47, 0x47, 0xed, 0xec, 0x1e, 0xda, 0x82,
0x0d, 0x00, 0x68, 0x69, 0x69, 0xe9, 0xec, 0xec, 0x54, 0x2a, 0x95, 0x18, 0x86,
0x39, 0x3a, 0x3a, 0xce, 0x9a, 0x35, 0xcb, 0xd7, 0xd7, 0xd7, 0xf8, 0xee, 0x9d,
0xfa, 0xfa, 0xfa, 0xb7, 0xde, 0x7a, 0xab, 0xa1, 0xa1, 0x81, 0xe5, 0x90, 0xb9,
0x45, 0x20, 0x10, 0xdc, 0xbb, 0x77, 0x4f, 0xef, 0xed, 0x60, 0x3a, 0xed, 0xed,
0xed, 0x9b, 0x37, 0x6f, 0xfe, 0xf7, 0x6c, 0x10, 0x23, 0x91, 0x92, 0x92, 0x42,
0x79, 0x2b, 0x74, 0x6d, 0x6d, 0x6d, 0x62, 0x62, 0xa2, 0x25, 0x27, 0x59, 0xdc,
0x20, 0x93, 0xc9, 0xde, 0x7c, 0xf3, 0xcd, 0xaa, 0xaa, 0x2a, 0xdd, 0x7d, 0x71,
0xba, 0x4c, 0x4e, 0x4e, 0x5e, 0xb9, 0x72, 0x25, 0x33, 0x33, 0x93, 0xce, 0xb9,
0x3d, 0xa6, 0x60, 0x15, 0x7d, 0x10, 0x09, 0xa9, 0x54, 0x1a, 0x1a, 0x1a, 0x1a,
0x1e, 0x1e, 0x1e, 0x10, 0x10, 0x30, 0x73, 0xe6, 0x4c, 0x57, 0x57, 0xd7, 0xf1,
0xf1, 0x71, 0x95, 0x4a, 0x35, 0x3c, 0x3c, 0xdc, 0xd9, 0xd9, 0xd9, 0xda, 0xda,
0xda, 0xd2, 0xd2, 0x72, 0xf9, 0xf2, 0x65, 0xe6, 0x97, 0x46, 0x79, 0x78, 0x78,
0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0x78, 0xac, 0x83, 0xff,
0x01, 0x3c, 0x49, 0xe0, 0x03, 0x23, 0xc9, 0x69, 0x85, 0x00, 0x00, 0x00, 0x00,
0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask1(iconMask1Data);

const uchar iconMask4Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x06, 0x79, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0xdd, 0x5f, 0x48, 0x53, 0x7d, 0x18, 0x07, 0xf0, 0xb3, 0x3f, 0x4e, 0xc3, 0xda,
0xf2, 0x2c, 0xe8, 0x22, 0xd7, 0x4d, 0xe6, 0x92, 0x82, 0x95, 0x21, 0x5a, 0xb4,
0xd2, 0x0a, 0xa9, 0xfb, 0xbc, 0x09, 0x9c, 0x49, 0x41, 0x17, 0x12, 0x12, 0x92,
0x50, 0x37, 0xa5, 0xb3, 0xb6, 0xb2, 0x32, 0x58, 0xa3, 0x9b, 0xa0, 0x3f, 0x44,
0x44, 0x64, 0x17, 0xd9, 0x88, 0x08, 0xc4, 0x58, 0xb0, 0x66, 0xa0, 0x45, 0x2b,
0xb4, 0x65, 0x63, 0x0d, 0x1b, 0x2d, 0xdd, 0x4a, 0xd0, 0x6c, 0x9b, 0xe7, 0xf7,
0x5e, 0x8c, 0xf7, 0x70, 0xde, 0xb3, 0x75, 0xdc, 0x9f, 0xb3, 0x33, 0x7d, 0xf9,
0x7e, 0xee, 0x3c, 0x9c, 0x3d, 0xcf, 0xf3, 0xfb, 0xb6, 0x75, 0xce, 0x76, 0xf1,
0x3b, 0x14, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x52, 0x93, 0x25, 0x1f,
0x3a, 0x7c, 0xf8, 0x70, 0x51, 0x51, 0xd1, 0x9d, 0x3b, 0x77, 0xb8, 0x07, 0x2b,
0x2b, 0x2b, 0x0f, 0x1d, 0x3a, 0xa4, 0xd7, 0xeb, 0x75, 0x3a, 0x5d, 0x3c, 0x1e,
0xff, 0xf4, 0xe9, 0x93, 0xd7, 0xeb, 0x7d, 0xf1, 0xe2, 0xc5, 0xc7, 0x8f, 0x1f,
0xa5, 0x1a, 0x75, 0xc9, 0xf8, 0xf3, 0xe7, 0x0f, 0x21, 0xe4, 0xdc, 0xb9, 0x73,
0x89, 0x3f, 0x77, 0xee, 0xdc, 0xe9, 0x76, 0xbb, 0x09, 0x21, 0x84, 0x90, 0xdf,
0xbf, 0x7f, 0x7b, 0xbd, 0x5e, 0x9f, 0xcf, 0xb7, 0xb0, 0xb0, 0x40, 0x08, 0x61,
0x18, 0x66, 0x60, 0x60, 0x60, 0xd7, 0xae, 0x5d, 0x05, 0x9d, 0x57, 0x72, 0xe4,
0x5f, 0x5d, 0x5d, 0x5d, 0x76, 0xbb, 0x9d, 0x61, 0x98, 0x48, 0x24, 0x62, 0xb5,
0x5a, 0x0d, 0x06, 0x03, 0x7b, 0x4e, 0x71, 0x71, 0xb1, 0xc1, 0x60, 0xb0, 0xdb,
0xed, 0x73, 0x73, 0x73, 0x84, 0x90, 0x9e, 0x9e, 0x1e, 0x99, 0x2c, 0xc5, 0x9b,
0xf1, 0xff, 0x89, 0xfc, 0xd7, 0xc3, 0x87, 0x0f, 0xd7, 0xae, 0x5d, 0xfb, 0xb7,
0x93, 0xd7, 0xac, 0x59, 0x33, 0x30, 0x30, 0x40, 0x08, 0xb9, 0x7f, 0xff, 0xbe,
0x4a, 0xa5, 0x92, 0x72, 0xce, 0x82, 0xe1, 0x05, 0xd4, 0xd5, 0xd5, 0x25, 0x7c,
0xbe, 0x42, 0xa1, 0xb0, 0xd9, 0x6c, 0x84, 0x10, 0x8b, 0xc5, 0x22, 0xcd, 0x84,
0x05, 0x46, 0x92, 0x74, 0x77, 0x77, 0x2f, 0xfa, 0x2a, 0x87, 0xc3, 0x11, 0x8b,
0xc5, 0xb6, 0x6d, 0xdb, 0x26, 0xc1, 0x84, 0x05, 0x96, 0x1c, 0x10, 0x21, 0xa4,
0xb5, 0xb5, 0x55, 0xf8, 0x55, 0x3a, 0x9d, 0x6e, 0x66, 0x66, 0x66, 0x70, 0x70,
0x50, 0x9a, 0x21, 0x25, 0x23, 0x4f, 0x3e, 0xe4, 0x70, 0x38, 0x78, 0x47, 0xa2,
0xd1, 0x68, 0x34, 0x1a, 0x15, 0x2e, 0x14, 0x08, 0x04, 0x9a, 0x9a, 0x9a, 0x6e,
0xdd, 0xba, 0x25, 0xda, 0x68, 0x00, 0x00, 0xb0, 0x54, 0x6e, 0x7f, 0x57, 0xae,
0x5c, 0xa9, 0x54, 0x2a, 0x7f, 0xfe, 0xfc, 0x99, 0xe6, 0xf9, 0xe5, 0xe5, 0xe5,
0x5b, 0xb6, 0x6c, 0xa9, 0xaa, 0xaa, 0xa2, 0x69, 0x5a, 0xa3, 0xd1, 0x30, 0x0c,
0x33, 0x3d, 0x3d, 0x1d, 0x0e, 0x87, 0x7d, 0x3e, 0x9f, 0xdb, 0xed, 0x9e, 0x9e,
0x9e, 0xce, 0xeb, 0xb4, 0x52, 0x3b, 0x7a, 0xf4, 0x68, 0x2c, 0x16, 0x9b, 0x9b,
0x9b, 0x3b, 0x75, 0xea, 0x94, 0xf0, 0x99, 0x46, 0xa3, 0xd1, 0x66, 0xb3, 0x4d,
0x4c, 0x4c, 0xa4, 0xbc, 0x17, 0x61, 0x8d, 0x8f, 0x8f, 0xdb, 0x6c, 0xb6, 0xed,
0xdb, 0xb7, 0x4b, 0x33, 0x7f, 0xde, 0x4d, 0x4e, 0x4e, 0xb2, 0x6b, 0x63, 0xbf,
0x24, 0xf3, 0x98, 0x4c, 0x26, 0x8f, 0xc7, 0x23, 0x9c, 0x4b, 0xb2, 0xf7, 0xef,
0xdf, 0x9b, 0x4c, 0x26, 0xb9, 0x3c, 0xc5, 0xdd, 0xcc, 0x72, 0xc2, 0x5b, 0x15,
0x2f, 0xa3, 0xaa, 0xaa, 0xaa, 0xa1, 0xa1, 0xa1, 0xe4, 0xc5, 0xc7, 0x62, 0x31,
0xbf, 0xdf, 0xff, 0xea, 0xd5, 0xab, 0x07, 0x0f, 0x1e, 0xdc, 0xbd, 0x7b, 0xd7,
0xe1, 0x70, 0x0c, 0x0f, 0x0f, 0xcf, 0xce, 0xce, 0x26, 0x9f, 0x39, 0x3a, 0x3a,
0xba, 0x6f, 0xdf, 0xbe, 0x02, 0x2d, 0x4e, 0x0c, 0xc9, 0x4b, 0x4a, 0x7c, 0x01,
0x2c, 0x29, 0x29, 0x31, 0x9b, 0xcd, 0x89, 0x9f, 0x5f, 0x58, 0x81, 0x40, 0xa0,
0xb7, 0xb7, 0xb7, 0xba, 0xba, 0x3a, 0xe5, 0xfb, 0x42, 0xa9, 0x54, 0x56, 0x57,
0x57, 0x77, 0x76, 0x76, 0x7e, 0xf8, 0xf0, 0x81, 0x57, 0xb3, 0xaf, 0xaf, 0xaf,
0xa8, 0xa8, 0x48, 0xf2, 0xc5, 0x89, 0x21, 0xe5, 0xa7, 0xc3, 0x6a, 0xb5, 0xba,
0x5c, 0x2e, 0xee, 0x91, 0xc1, 0xc1, 0x41, 0xa3, 0xd1, 0x98, 0xfe, 0xef, 0x2a,
0xb5, 0xb5, 0xb5, 0xcf, 0x9f, 0x3f, 0xe7, 0x56, 0x18, 0x1e, 0x1e, 0x5e, 0xb7,
0x6e, 0x5d, 0x5e, 0xd7, 0x92, 0x17, 0x29, 0x03, 0xe2, 0x0a, 0x85, 0x42, 0xcd,
0xcd, 0xcd, 0xd9, 0x15, 0x6f, 0x6c, 0x6c, 0xfc, 0xf2, 0xe5, 0x0b, 0x5b, 0xea,
0xf3, 0xe7, 0xcf, 0xe5, 0xe5, 0xe5, 0xe2, 0xce, 0x9f, 0x77, 0xc2, 0xe9, 0x3c,
0x7a, 0xf4, 0x88, 0xa6, 0xe9, 0x5c, 0xea, 0x6b, 0x34, 0x9a, 0xfe, 0xfe, 0x7e,
0xb6, 0xe0, 0xc4, 0xc4, 0xc4, 0x32, 0xcb, 0x48, 0x38, 0xa0, 0x9e, 0x9e, 0x1e,
0x51, 0xba, 0x5c, 0xba, 0x74, 0x89, 0xad, 0xe9, 0x76, 0xbb, 0x97, 0xd3, 0xff,
0x47, 0x8b, 0x7e, 0xc4, 0xcc, 0x66, 0xb3, 0x28, 0x8d, 0x2e, 0x5e, 0xbc, 0xc8,
0xd6, 0xbc, 0x76, 0xed, 0x9a, 0x28, 0x35, 0xa5, 0xb0, 0x68, 0x40, 0x22, 0xbe,
0x8f, 0xb8, 0x9f, 0xb5, 0x65, 0x73, 0xed, 0x4f, 0x27, 0x20, 0xb1, 0x32, 0xd2,
0x68, 0x34, 0xec, 0x8d, 0xf8, 0xe8, 0xe8, 0xe8, 0xf2, 0xb8, 0x87, 0x4c, 0x33,
0x20, 0x42, 0xc8, 0x99, 0x33, 0x67, 0x72, 0x6f, 0xd7, 0xd8, 0xd8, 0xc8, 0x16,
0x34, 0x99, 0x4c, 0xb9, 0x17, 0xcc, 0xbb, 0xf4, 0x03, 0x9a, 0x9f, 0x9f, 0xcf,
0xf1, 0x8a, 0x96, 0xc0, 0xde, 0x1f, 0x3d, 0x7b, 0xf6, 0x2c, 0xf7, 0x6a, 0x79,
0x17, 0x08, 0x04, 0xd2, 0x0c, 0x28, 0x16, 0x8b, 0xa9, 0xd5, 0xea, 0xdc, 0x3b,
0x56, 0x56, 0x56, 0x7e, 0xfb, 0xf6, 0x8d, 0xa4, 0xf1, 0x5b, 0xfb, 0x92, 0x70,
0xf0, 0xe0, 0xc1, 0x74, 0x32, 0x9a, 0x9c, 0x9c, 0x3c, 0x76, 0xec, 0x98, 0x58,
0x4d, 0xb5, 0x5a, 0xad, 0x5e, 0xaf, 0x17, 0xab, 0x1a, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0xf0, 0x2c, 0x95, 0xbd, 0x5c, 0x29, 0x8a, 0x52, 0xab, 0xd5,
0x15, 0x15, 0x15, 0xab, 0x57, 0xaf, 0x56, 0xab, 0xd5, 0xec, 0xf6, 0xac, 0x89,
0x1d, 0x5a, 0xa7, 0xa6, 0xa6, 0x22, 0x91, 0x48, 0x41, 0xa6, 0xca, 0x3e, 0xa0,
0x86, 0x86, 0x86, 0x13, 0x27, 0x4e, 0x50, 0x14, 0x75, 0xfb, 0xf6, 0xed, 0x27,
0x4f, 0x9e, 0x64, 0x51, 0x41, 0x2e, 0x97, 0xd7, 0xd6, 0xd6, 0x1e, 0x38, 0x70,
0xa0, 0xa6, 0xa6, 0x66, 0xf3, 0xe6, 0xcd, 0xeb, 0xd7, 0xaf, 0x17, 0x38, 0x39,
0x10, 0x08, 0xb8, 0x5c, 0xae, 0xd7, 0xaf, 0x5f, 0xbb, 0x5c, 0xae, 0x91, 0x91,
0x91, 0x45, 0x77, 0x48, 0x2f, 0xb0, 0x96, 0x96, 0x96, 0x78, 0x3c, 0xce, 0x6e,
0x5c, 0x73, 0xf6, 0xec, 0xd9, 0x8c, 0x5e, 0xbe, 0x77, 0xef, 0xde, 0x7b, 0xf7,
0xee, 0x4d, 0x4d, 0x4d, 0xa5, 0xbf, 0xb5, 0x12, 0x57, 0x38, 0x1c, 0xb6, 0xdb,
0xed, 0x35, 0x35, 0x35, 0x79, 0x5a, 0x9d, 0x08, 0x7c, 0x3e, 0x1f, 0x6f, 0xe8,
0xbf, 0x6d, 0x52, 0xcb, 0x55, 0x5a, 0x5a, 0xda, 0xde, 0xde, 0x3e, 0x36, 0x36,
0x96, 0x5d, 0x2e, 0xc9, 0x3c, 0x1e, 0x4f, 0x7b, 0x7b, 0x7b, 0x49, 0x49, 0x49,
0xfe, 0x57, 0x9c, 0xa1, 0x94, 0xe3, 0x0a, 0x64, 0xa4, 0x50, 0x28, 0x8e, 0x1f,
0x3f, 0x1e, 0x0c, 0x06, 0xc5, 0x8a, 0x86, 0xcb, 0xef, 0xf7, 0x37, 0x37, 0x37,
0xe7, 0xe9, 0xd1, 0x30, 0x59, 0x16, 0x25, 0x84, 0xa4, 0x3c, 0xde, 0xdd, 0xdd,
0x9d, 0xfc, 0x71, 0xab, 0xaf, 0xaf, 0xbf, 0x71, 0xe3, 0xc6, 0xa6, 0x4d, 0x9b,
0x04, 0x0a, 0xce, 0xcf, 0xcf, 0x8f, 0x8d, 0x8d, 0x79, 0x3c, 0x9e, 0x60, 0x30,
0xf8, 0xeb, 0xd7, 0xaf, 0x99, 0x99, 0x19, 0xb9, 0x5c, 0xae, 0xd5, 0x6a, 0x69,
0x9a, 0xd6, 0x6a, 0xb5, 0x1b, 0x37, 0x6e, 0x34, 0x18, 0x0c, 0x4a, 0xa5, 0x52,
0xa0, 0xc2, 0xdb, 0xb7, 0x6f, 0x4f, 0x9e, 0x3c, 0x39, 0x34, 0x34, 0x94, 0xe1,
0x52, 0xf2, 0x43, 0xe0, 0xdf, 0x93, 0xfb, 0x24, 0x17, 0x95, 0x4a, 0xd5, 0xdb,
0xdb, 0xcb, 0x30, 0x4c, 0xca, 0x33, 0xe3, 0xf1, 0xb8, 0xd3, 0xe9, 0x3c, 0x7d,
0xfa, 0xf4, 0xd6, 0xad, 0x5b, 0x15, 0x0a, 0x85, 0x70, 0xc7, 0x15, 0x2b, 0x56,
0x18, 0x8d, 0xc6, 0xce, 0xce, 0x4e, 0xde, 0x0e, 0xb8, 0x5c, 0x0c, 0xc3, 0x58,
0x2c, 0x16, 0xe1, 0x1c, 0x25, 0x22, 0xfc, 0x9e, 0x4f, 0x3c, 0xc9, 0x65, 0xc3,
0x86, 0x0d, 0xef, 0xde, 0xbd, 0x4b, 0x79, 0x42, 0x30, 0x18, 0x34, 0x9b, 0xcd,
0x3a, 0x9d, 0x2e, 0xbb, 0xee, 0x7a, 0xbd, 0xde, 0x6a, 0xb5, 0x72, 0xb7, 0xe9,
0xe6, 0x72, 0x3a, 0x9d, 0x85, 0xdf, 0xaa, 0x55, 0x38, 0x20, 0x42, 0xc8, 0xcd,
0x9b, 0x37, 0x43, 0xa1, 0x50, 0xf2, 0xf1, 0xef, 0xdf, 0xbf, 0xb7, 0xb5, 0xb5,
0x89, 0xb2, 0x8f, 0x6a, 0x71, 0x71, 0x71, 0x47, 0x47, 0x47, 0x38, 0x1c, 0x4e,
0xee, 0xf2, 0xe3, 0xc7, 0x8f, 0xdd, 0xbb, 0x77, 0xe7, 0xde, 0x22, 0x7b, 0x8b,
0x06, 0x94, 0x2c, 0x1e, 0x8f, 0x5b, 0x2c, 0x96, 0x55, 0xab, 0x56, 0x89, 0x3b,
0x49, 0x59, 0x59, 0xd9, 0xe5, 0xcb, 0x97, 0x63, 0xb1, 0x18, 0xaf, 0xdd, 0xec,
0xec, 0x6c, 0x7d, 0x7d, 0xbd, 0xb8, 0xbd, 0x32, 0x90, 0x69, 0x3a, 0x5e, 0xaf,
0xb7, 0xae, 0xae, 0x2e, 0x7f, 0xf3, 0xec, 0xd8, 0xb1, 0xe3, 0xeb, 0xd7, 0xaf,
0xc9, 0x19, 0x35, 0x34, 0x34, 0xe4, 0xaf, 0xa9, 0x90, 0x8c, 0xd2, 0xe9, 0xef,
0xef, 0x2f, 0x2d, 0x2d, 0xcd, 0xf7, 0x48, 0x34, 0x4d, 0x27, 0x9e, 0x74, 0xc6,
0xcb, 0x68, 0xcf, 0x9e, 0x3d, 0xf9, 0x6e, 0x9d, 0x42, 0x46, 0x01, 0x89, 0xb5,
0x91, 0xef, 0xa2, 0x64, 0x32, 0x59, 0x5f, 0x5f, 0x1f, 0xaf, 0x7b, 0x28, 0x14,
0x2a, 0xc0, 0x36, 0xed, 0x19, 0x05, 0x44, 0x08, 0x39, 0x7f, 0xfe, 0xbc, 0x64,
0xb3, 0x5d, 0xbd, 0x7a, 0x95, 0xd7, 0xdd, 0xe9, 0x74, 0x4a, 0x7d, 0xed, 0xcf,
0x34, 0xa0, 0x82, 0x67, 0x64, 0xb5, 0x5a, 0x25, 0xeb, 0x4e, 0x51, 0x59, 0x05,
0x24, 0x65, 0x46, 0x32, 0x99, 0xec, 0xe9, 0xd3, 0xa7, 0xdc, 0xd6, 0x0c, 0xc3,
0x48, 0x7a, 0x51, 0xcb, 0x2e, 0x20, 0x42, 0xc8, 0x85, 0x0b, 0x17, 0xa4, 0x99,
0x90, 0xa6, 0x69, 0xbf, 0xdf, 0xcf, 0x6d, 0x3d, 0x32, 0x32, 0x22, 0xdd, 0xa3,
0x3c, 0xb3, 0x0e, 0x48, 0xca, 0x8c, 0xea, 0xea, 0xea, 0xa2, 0xd1, 0x28, 0xb7,
0x75, 0xd6, 0xcf, 0x9e, 0xc8, 0x58, 0x2e, 0x01, 0x49, 0x99, 0xd1, 0x95, 0x2b,
0x57, 0xb8, 0x7d, 0xfd, 0x7e, 0xbf, 0x44, 0xbf, 0x8d, 0xe4, 0x18, 0x10, 0x21,
0xa4, 0xa9, 0xa9, 0x49, 0x82, 0x39, 0xcb, 0xca, 0xca, 0x78, 0xdf, 0x45, 0xda,
0xda, 0xda, 0x32, 0xaa, 0x50, 0xb0, 0x2d, 0xef, 0x5b, 0x5a, 0x5a, 0x24, 0xe8,
0x12, 0x89, 0x44, 0x78, 0x57, 0x86, 0x4c, 0x1f, 0x74, 0x9a, 0x65, 0x40, 0xc1,
0x60, 0x30, 0xbb, 0x17, 0xb2, 0x18, 0x86, 0xc9, 0xb1, 0x42, 0x9a, 0xae, 0x5f,
0xbf, 0x3e, 0x3e, 0x3e, 0xce, 0xfe, 0xf9, 0xf2, 0xe5, 0x4b, 0x29, 0xba, 0x5a,
0x2c, 0x96, 0x5c, 0x3e, 0x5f, 0x0b, 0x0b, 0x0b, 0xfb, 0xf7, 0xef, 0x97, 0x62,
0x50, 0x8a, 0xa2, 0x28, 0xaa, 0xa2, 0xa2, 0xe2, 0xf1, 0xe3, 0xc7, 0x6f, 0xde,
0xbc, 0xe9, 0xe8, 0xe8, 0x90, 0xe8, 0x42, 0xa6, 0x52, 0xa9, 0x2c, 0x16, 0x4b,
0x62, 0xdf, 0xfc, 0x8c, 0x30, 0x0c, 0xe3, 0xf3, 0xf9, 0x8e, 0x1c, 0x39, 0x22,
0xc5, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4b, 0xd5, 0x3f, 0x36,
0x7d, 0x3d, 0x37, 0xd1, 0x8f, 0xbc, 0x3e, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45,
0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask4(iconMask4Data);

const uchar iconMask5Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x06, 0x5b, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0xdd, 0x61, 0x48, 0x13, 0x7d, 0x1c, 0x07, 0xf0, 0xdd, 0xdc, 0xd6, 0x42, 0xd2,
0xdc, 0x84, 0x08, 0xe7, 0x8b, 0xa8, 0xb4, 0x22, 0x50, 0x17, 0xe1, 0x16, 0xad,
0x56, 0x56, 0xd0, 0x9b, 0xde, 0xf9, 0x72, 0xd3, 0x28, 0x88, 0xf0, 0x85, 0x2f,
0x24, 0xa1, 0x5e, 0x54, 0xb6, 0xec, 0x56, 0x56, 0x0b, 0xd6, 0xde, 0x05, 0x41,
0x84, 0x44, 0x68, 0x6f, 0x96, 0x94, 0x6f, 0xcc, 0x30, 0x90, 0x29, 0x14, 0xd2,
0x24, 0xd7, 0x5c, 0x63, 0xae, 0x39, 0xb2, 0x9c, 0x35, 0xd2, 0x72, 0x37, 0xef,
0x9e, 0x17, 0xe3, 0x19, 0xf7, 0xec, 0xce, 0x39, 0x6f, 0xf3, 0xe6, 0x7c, 0xbe,
0x9f, 0x57, 0x6e, 0xfe, 0xef, 0xf7, 0xff, 0xdd, 0x97, 0xdd, 0x76, 0x77, 0x2f,
0xfe, 0x27, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xd8, 0x88, 0x15,
0x47, 0xec, 0xdb, 0xb7, 0xef, 0xe4, 0xc9, 0x93, 0xbb, 0x77, 0xef, 0xae, 0xaa,
0xaa, 0x92, 0xc9, 0x64, 0xc1, 0x60, 0xd0, 0xe3, 0xf1, 0xf4, 0xf4, 0xf4, 0x7c,
0xfe, 0xfc, 0x99, 0x3d, 0xac, 0xa9, 0xa9, 0x89, 0xa2, 0xa8, 0xee, 0xee, 0xee,
0x35, 0x6b, 0x75, 0xfd, 0x39, 0x7c, 0xf8, 0xb0, 0xd3, 0xe9, 0xa4, 0x69, 0x9a,
0x61, 0x98, 0xa5, 0xa5, 0x25, 0xbf, 0xdf, 0xef, 0xf5, 0x7a, 0xff, 0xfc, 0xf9,
0xc3, 0x30, 0x0c, 0xc3, 0x30, 0x2e, 0x97, 0xeb, 0xd0, 0xa1, 0x43, 0x89, 0x91,
0xd7, 0xaf, 0x5f, 0x67, 0x18, 0x66, 0x71, 0x71, 0x31, 0xbf, 0x0d, 0x8b, 0x87,
0x20, 0x88, 0x9b, 0x37, 0x6f, 0x32, 0x0c, 0xb3, 0xb0, 0xb0, 0xe0, 0x70, 0x38,
0x6a, 0x6a, 0x6a, 0x36, 0x6d, 0xda, 0x94, 0xfc, 0x6f, 0x4d, 0x4d, 0x8d, 0xd5,
0x6a, 0x9d, 0x9b, 0x9b, 0xa3, 0x69, 0xda, 0xe1, 0x70, 0x74, 0x74, 0x74, 0x30,
0xff, 0xca, 0x63, 0xcf, 0xe2, 0x51, 0x28, 0x14, 0xdd, 0xdd, 0xdd, 0x0c, 0xc3,
0x38, 0x9d, 0xce, 0xf2, 0xf2, 0xf2, 0xe5, 0x86, 0x6d, 0xdb, 0xb6, 0xed, 0xf9,
0xf3, 0xe7, 0xcc, 0x7f, 0x89, 0xd9, 0x67, 0xde, 0x90, 0x24, 0xc9, 0x30, 0x8c,
0xdd, 0x6e, 0x2f, 0x2a, 0x2a, 0x4a, 0x3f, 0x92, 0xfd, 0xd9, 0xf9, 0xbf, 0x04,
0x54, 0x57, 0x57, 0x47, 0x51, 0x54, 0x5f, 0x5f, 0xdf, 0x8a, 0x23, 0x6f, 0xdc,
0xb8, 0xc1, 0x70, 0x88, 0xd0, 0x61, 0x9e, 0x0d, 0x0c, 0x0c, 0x44, 0xa3, 0xd1,
0xca, 0xca, 0xca, 0xf4, 0xc3, 0xce, 0x9e, 0x3d, 0xcb, 0x4d, 0x67, 0x43, 0x06,
0x24, 0x4d, 0x79, 0xfd, 0xf8, 0xf1, 0xe3, 0xc6, 0xc6, 0xc6, 0x60, 0x30, 0x98,
0x7e, 0xb3, 0x58, 0x2c, 0x16, 0x8b, 0xc5, 0x52, 0xde, 0xcc, 0xe4, 0x73, 0x07,
0x00, 0x00, 0xab, 0xb0, 0xf2, 0xb5, 0xd8, 0xfa, 0xa1, 0x56, 0xab, 0xeb, 0xeb,
0xeb, 0x77, 0xec, 0xd8, 0xa1, 0x52, 0xa9, 0xd4, 0x6a, 0xb5, 0x54, 0x2a, 0xfd,
0xf5, 0xeb, 0x57, 0x24, 0x12, 0xf9, 0xf4, 0xe9, 0x93, 0xdb, 0xed, 0xfe, 0xfa,
0xf5, 0x6b, 0x86, 0x75, 0xb6, 0x6e, 0xdd, 0x1a, 0x8f, 0xc7, 0x7f, 0xff, 0xfe,
0xbd, 0xa6, 0xdd, 0x8a, 0xe7, 0xc0, 0x81, 0x03, 0x76, 0xbb, 0xdd, 0xe3, 0xf1,
0xf0, 0x9e, 0x58, 0x24, 0xf9, 0x7c, 0x3e, 0xbb, 0xdd, 0x6e, 0x30, 0x18, 0xd2,
0x57, 0xbb, 0x74, 0xe9, 0xd2, 0xc2, 0xc2, 0x02, 0x45, 0x51, 0xe7, 0xce, 0x9d,
0x13, 0xa7, 0xff, 0xb5, 0x22, 0x95, 0x4a, 0xcd, 0x66, 0xf3, 0xc7, 0x8f, 0x1f,
0xd3, 0xe7, 0xc2, 0xe5, 0x76, 0xbb, 0xcd, 0x66, 0x33, 0x6f, 0xcd, 0xc4, 0x45,
0x75, 0x42, 0x28, 0x14, 0x12, 0x79, 0x8f, 0x72, 0xa9, 0xa1, 0xa1, 0xe1, 0xc3,
0x87, 0x0f, 0xdc, 0x9d, 0x9f, 0x9f, 0x9f, 0x1f, 0x19, 0x19, 0xe9, 0xeb, 0xeb,
0x7b, 0xf2, 0xe4, 0xc9, 0xb3, 0x67, 0xcf, 0xde, 0xbd, 0x7b, 0x17, 0x08, 0x04,
0x28, 0x8a, 0xe2, 0x8e, 0x1c, 0x1c, 0x1c, 0xdc, 0xbb, 0x77, 0x2f, 0xbb, 0x26,
0x3b, 0x9d, 0x02, 0x3e, 0xad, 0x95, 0xcb, 0xe5, 0x36, 0x9b, 0x2d, 0x65, 0x4f,
0xc6, 0xc7, 0xc7, 0xdb, 0xdb, 0xdb, 0xb5, 0x5a, 0xad, 0x4c, 0x26, 0xe3, 0x6e,
0x22, 0x95, 0x4a, 0xb5, 0x5a, 0x6d, 0x57, 0x57, 0x57, 0x30, 0x18, 0x64, 0x6f,
0xb5, 0xb8, 0xb8, 0x68, 0xb1, 0x58, 0x94, 0x4a, 0xa5, 0x84, 0xef, 0xb2, 0xb1,
0x20, 0x03, 0xaa, 0xa8, 0xa8, 0x18, 0x19, 0x19, 0x61, 0xef, 0x43, 0x7f, 0x7f,
0x7f, 0x7d, 0x7d, 0x7d, 0x86, 0x9b, 0x13, 0x04, 0x61, 0x30, 0x18, 0x06, 0x06,
0x06, 0xd8, 0x15, 0x86, 0x87, 0x87, 0xad, 0x56, 0x2b, 0xcf, 0xa1, 0x58, 0x70,
0x01, 0x69, 0x34, 0x9a, 0xc9, 0xc9, 0xc9, 0x64, 0xf7, 0x5f, 0xbe, 0x7c, 0x39,
0x75, 0xea, 0x94, 0xb0, 0x52, 0x26, 0x93, 0x69, 0x66, 0x66, 0x86, 0x37, 0x94,
0x42, 0x0d, 0x48, 0xa3, 0xd1, 0xf8, 0x7c, 0xbe, 0x64, 0xeb, 0xbd, 0xbd, 0xbd,
0xa5, 0xa5, 0xa5, 0xd9, 0x14, 0x54, 0xa9, 0x54, 0x3d, 0x3d, 0x3d, 0x1b, 0x24,
0x20, 0xb9, 0x5c, 0xee, 0x72, 0xb9, 0x92, 0x7d, 0xdf, 0xb9, 0x73, 0x27, 0x27,
0x65, 0x13, 0x37, 0x45, 0x37, 0x42, 0x40, 0x0f, 0x1e, 0x3c, 0x48, 0x36, 0x7d,
0xfb, 0xf6, 0xed, 0x9c, 0xd4, 0xb4, 0x58, 0x2c, 0x1b, 0xe4, 0x10, 0x6b, 0x68,
0x68, 0x60, 0x1f, 0x59, 0x39, 0xa9, 0xb9, 0xe2, 0x67, 0xa7, 0x60, 0x02, 0x92,
0x4a, 0xa5, 0xc9, 0xf3, 0x1d, 0x9f, 0xcf, 0x97, 0xe5, 0xf7, 0x4e, 0x42, 0x86,
0xe9, 0x14, 0x46, 0x40, 0x66, 0xb3, 0x39, 0xd9, 0xae, 0xe0, 0xdf, 0x2c, 0xb6,
0x2b, 0x57, 0xae, 0x64, 0x98, 0x4e, 0x61, 0x04, 0xf4, 0xea, 0xd5, 0xab, 0x44,
0xaf, 0xfd, 0xfd, 0xfd, 0xd9, 0x57, 0x53, 0xa9, 0x54, 0x7f, 0xff, 0xfe, 0xdd,
0x50, 0x01, 0x25, 0xee, 0x6d, 0x4f, 0x4f, 0x4f, 0x57, 0x55, 0x55, 0x65, 0x5f,
0xad, 0xa4, 0xa4, 0x84, 0xf7, 0xb2, 0x83, 0xd7, 0x8a, 0xb7, 0x95, 0xd7, 0x8b,
0xea, 0xea, 0x6a, 0xb5, 0x5a, 0x9d, 0xab, 0x6a, 0xe7, 0xcf, 0x9f, 0x0f, 0x85,
0x42, 0x99, 0xa4, 0x73, 0xfa, 0xf4, 0xe9, 0x5c, 0x4d, 0x0a, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x5c, 0x79, 0x5b, 0xcb, 0xb5, 0xac, 0xac, 0xac, 0xbc,
0xbc, 0x3c, 0xb1, 0x2a, 0x6b, 0x72, 0x61, 0xd6, 0x68, 0x34, 0xfa, 0xf3, 0xe7,
0xcf, 0xc9, 0xc9, 0xc9, 0x68, 0x34, 0x9a, 0xaf, 0xc6, 0x52, 0x88, 0x17, 0x90,
0x42, 0xa1, 0xd0, 0x6a, 0xb5, 0x7a, 0xbd, 0x5e, 0xa7, 0xd3, 0xe9, 0xf5, 0xfa,
0xf4, 0xab, 0xc2, 0x4f, 0x4d, 0x4d, 0x8d, 0x8f, 0x8f, 0x8f, 0x8e, 0x8e, 0xbe,
0x7e, 0xfd, 0xda, 0xe5, 0x72, 0xd1, 0x34, 0x2d, 0x60, 0xc6, 0x33, 0x67, 0xce,
0x34, 0x37, 0x37, 0x4b, 0x24, 0x12, 0xbb, 0xdd, 0xfe, 0xe6, 0xcd, 0x1b, 0x61,
0x6d, 0x8b, 0xe1, 0xe0, 0xc1, 0x83, 0x0e, 0x87, 0x23, 0x12, 0x89, 0x64, 0xbe,
0xf4, 0x11, 0xdb, 0x8f, 0x1f, 0x3f, 0x9e, 0x3e, 0x7d, 0x7a, 0xfc, 0xf8, 0xf1,
0x55, 0x4d, 0x7a, 0xed, 0xda, 0xb5, 0x64, 0x85, 0x78, 0x3c, 0xde, 0xd4, 0xd4,
0xb4, 0x46, 0x7b, 0x27, 0x9c, 0x52, 0xa9, 0x6c, 0x6d, 0x6d, 0x75, 0xbb, 0xdd,
0xc2, 0x72, 0xe1, 0x9a, 0x98, 0x98, 0x68, 0x6d, 0x6d, 0x2d, 0x2e, 0x2e, 0x5e,
0x71, 0x6a, 0xee, 0xb2, 0xad, 0x7e, 0xbf, 0x5f, 0x84, 0x5d, 0xce, 0x14, 0x41,
0x10, 0x26, 0x93, 0x29, 0x10, 0x08, 0xe4, 0x2a, 0x1a, 0xb6, 0x70, 0x38, 0x7c,
0xe1, 0xc2, 0x85, 0x34, 0xcf, 0xfc, 0xe0, 0xa6, 0x93, 0x20, 0x70, 0x5f, 0x84,
0x86, 0xb0, 0x2c, 0xa3, 0xd1, 0x68, 0xb3, 0xd9, 0x6a, 0x6b, 0x6b, 0xd3, 0x8c,
0x89, 0xc7, 0xe3, 0x63, 0x63, 0x63, 0x5e, 0xaf, 0x77, 0x76, 0x76, 0x36, 0x12,
0x89, 0xcc, 0xce, 0xce, 0xd2, 0x34, 0x5d, 0x52, 0x52, 0x52, 0x5a, 0x5a, 0xba,
0x7d, 0xfb, 0xf6, 0xfd, 0xfb, 0xf7, 0xef, 0xd9, 0xb3, 0x27, 0xb1, 0x48, 0xed,
0x72, 0x26, 0x26, 0x26, 0x2e, 0x5e, 0xbc, 0x38, 0x38, 0x38, 0x98, 0xf2, 0x7e,
0x47, 0x47, 0xc7, 0xd5, 0xab, 0x57, 0x79, 0x37, 0x21, 0x88, 0x7c, 0xaf, 0x2e,
0x2e, 0x93, 0xc9, 0x48, 0x92, 0x4c, 0x3c, 0x2c, 0x89, 0xd7, 0xf0, 0xf0, 0x70,
0x7b, 0x7b, 0xbb, 0xc1, 0x60, 0xd8, 0xbc, 0x79, 0x73, 0xfa, 0x52, 0x45, 0x45,
0x45, 0xb5, 0xb5, 0xb5, 0x97, 0x2f, 0x5f, 0x1e, 0x1a, 0x1a, 0x8a, 0xc7, 0xe3,
0xbc, 0xd5, 0x68, 0x9a, 0xee, 0xea, 0xea, 0x52, 0x28, 0x14, 0xc9, 0xad, 0x78,
0x97, 0xfc, 0xcd, 0xf2, 0x13, 0x94, 0x33, 0x1a, 0x8d, 0x66, 0x68, 0x68, 0x88,
0xb7, 0xb3, 0x50, 0x28, 0x64, 0xb5, 0x5a, 0xab, 0xab, 0xab, 0x85, 0x55, 0xae,
0xac, 0xac, 0xb4, 0x58, 0x2c, 0xe1, 0x70, 0x98, 0xb7, 0xf8, 0xd8, 0xd8, 0xd8,
0xce, 0x9d, 0x3b, 0x25, 0xcb, 0x3c, 0x29, 0x66, 0xbd, 0x04, 0x74, 0xe4, 0xc8,
0x91, 0xef, 0xdf, 0xbf, 0x73, 0x7b, 0x8a, 0x44, 0x22, 0x6d, 0x6d, 0x6d, 0xec,
0x27, 0x4b, 0x09, 0x26, 0x97, 0xcb, 0x5b, 0x5a, 0x5a, 0xbe, 0x7d, 0xfb, 0xc6,
0x9d, 0x65, 0x66, 0x66, 0xe6, 0xd1, 0xa3, 0x47, 0xe9, 0xd3, 0xc9, 0x67, 0x40,
0x46, 0xa3, 0x71, 0x7e, 0x7e, 0x3e, 0xa5, 0x1b, 0x8a, 0xa2, 0xee, 0xde, 0xbd,
0x5b, 0x56, 0x56, 0x96, 0xdb, 0xb9, 0xb6, 0x6c, 0xd9, 0x42, 0x92, 0xe4, 0x72,
0x07, 0xdd, 0x7a, 0x0c, 0xe8, 0xd8, 0xb1, 0x63, 0xdc, 0x74, 0xa6, 0xa6, 0xa6,
0xf4, 0x7a, 0xfd, 0xda, 0x4d, 0xaa, 0xd3, 0xe9, 0xbc, 0x5e, 0x6f, 0x01, 0x04,
0x74, 0xf4, 0xe8, 0x51, 0x6e, 0x3a, 0x4e, 0xa7, 0x53, 0xa5, 0x52, 0xad, 0xf5,
0xd4, 0xc5, 0xc5, 0xc5, 0xbd, 0xbd, 0xbd, 0xeb, 0x3a, 0xa0, 0x8a, 0x8a, 0x0a,
0xee, 0xaa, 0xdf, 0x36, 0x9b, 0x4d, 0xb4, 0x5f, 0xd3, 0xcc, 0x17, 0xb5, 0xcd,
0x43, 0x40, 0x32, 0x99, 0x8c, 0xfb, 0x9b, 0x75, 0xff, 0xfe, 0x7d, 0xd1, 0x1a,
0xe8, 0xec, 0xec, 0x5c, 0x55, 0x3a, 0x62, 0x07, 0xc4, 0x5d, 0x46, 0x7f, 0x9d,
0xa7, 0x23, 0x6a, 0x40, 0x46, 0xa3, 0x31, 0xe5, 0x6c, 0xf0, 0xe5, 0xcb, 0x97,
0xa2, 0x1d, 0x59, 0xc2, 0xd2, 0x11, 0x2f, 0x20, 0x82, 0x20, 0xde, 0xbf, 0x7f,
0xcf, 0x9e, 0x38, 0x10, 0x08, 0x88, 0xf0, 0xad, 0x9c, 0x70, 0xeb, 0xd6, 0x2d,
0x61, 0xe9, 0x88, 0x17, 0x90, 0xc9, 0x64, 0x62, 0xcf, 0x1a, 0x8b, 0xc5, 0x74,
0x3a, 0x9d, 0x38, 0x53, 0x67, 0x93, 0x8e, 0x48, 0x01, 0x29, 0x95, 0xca, 0x94,
0x6b, 0xf4, 0x7b, 0xf7, 0xee, 0x89, 0x31, 0x71, 0xd6, 0xe9, 0x88, 0x14, 0x50,
0x4b, 0x4b, 0x0b, 0x7b, 0xca, 0x48, 0x24, 0x92, 0xf3, 0x73, 0x65, 0x5e, 0x8d,
0x8d, 0x8d, 0x59, 0xa6, 0x23, 0x38, 0xa0, 0xd4, 0x87, 0x40, 0xa6, 0x57, 0x57,
0x57, 0xc7, 0x7e, 0xd9, 0xd9, 0xd9, 0x39, 0x37, 0x37, 0x27, 0x6c, 0xe2, 0x55,
0xc9, 0xe3, 0xfd, 0xc0, 0xd5, 0x05, 0xf4, 0xf6, 0xed, 0xdb, 0xe4, 0xdf, 0x1e,
0x8f, 0xe7, 0xe1, 0xc3, 0x87, 0xb9, 0xee, 0x87, 0x9f, 0xb0, 0x7b, 0xd2, 0x6c,
0xe1, 0x70, 0x38, 0x27, 0x9d, 0xac, 0x80, 0x20, 0x88, 0xb6, 0xb6, 0xb6, 0xd1,
0xd1, 0xd1, 0x17, 0x2f, 0x5e, 0xec, 0xda, 0xb5, 0x4b, 0x8c, 0x29, 0x25, 0x12,
0x89, 0x44, 0x72, 0xe2, 0xc4, 0x89, 0xa5, 0xa5, 0xa5, 0x6c, 0x8e, 0x2f, 0x92,
0x24, 0x45, 0xeb, 0x36, 0x3f, 0x9a, 0x9b, 0x9b, 0xfd, 0x7e, 0x7f, 0x9a, 0xbb,
0x71, 0xcb, 0x99, 0x9e, 0x9e, 0x26, 0x49, 0x92, 0x7d, 0x5f, 0x0d, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x20, 0xef, 0xfe, 0x01, 0xb9, 0xca, 0x3a, 0x37, 0x28,
0x7f, 0x37, 0x35, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42,
0x60, 0x82 };
IconMask iconMask5(iconMask5Data);

const uchar iconMask6Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x54, 0x00, 0x00, 0x00, 0x8c, 0x08, 0x02,
0x00, 0x00, 0x00, 0x6d, 0x64, 0x19, 0xd4, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0d, 0xb2, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x7d, 0x4c, 0x1b, 0x65, 0x1c, 0xc7, 0xfb, 0x42, 0x29, 0xa4, 0x05, 0xdc,
0x14, 0x0b, 0x55, 0x5e, 0x1c, 0xe3, 0x45, 0x20, 0x10, 0x10, 0xb7, 0x11, 0x82,
0xac, 0x40, 0x55, 0xe8, 0xe6, 0x96, 0x2d, 0x28, 0x59, 0x52, 0x87, 0x42, 0x02,
0xb1, 0xa6, 0xc9, 0x98, 0x7f, 0xf0, 0x0f, 0x5a, 0x87, 0x59, 0x46, 0xc2, 0x0c,
0x4e, 0x20, 0x64, 0x6c, 0x23, 0x31, 0x73, 0x2a, 0x19, 0x9b, 0xd4, 0xcd, 0x18,
0xb7, 0x0c, 0x67, 0x65, 0x96, 0x95, 0x2c, 0x2c, 0x64, 0x48, 0xd9, 0x3a, 0x5e,
0xa4, 0x1d, 0xb0, 0x59, 0x5c, 0xc1, 0x02, 0x7d, 0xb9, 0xc7, 0x3f, 0xce, 0x9c,
0xe7, 0x5d, 0x7b, 0xbd, 0xbb, 0x5e, 0x5b, 0xd4, 0xfb, 0xfc, 0xc5, 0x6e, 0xbf,
0xe7, 0xf7, 0xfb, 0x7d, 0x7b, 0xf7, 0x3c, 0x77, 0xcf, 0x73, 0xcf, 0xf3, 0x1c,
0x87, 0xc3, 0xc2, 0xc2, 0xc2, 0xe1, 0xc8, 0x64, 0x32, 0xad, 0x56, 0xbb, 0xb8,
0xb8, 0x08, 0x41, 0x10, 0xf0, 0x02, 0x04, 0x41, 0x8b, 0x8b, 0x8b, 0x5a, 0xad,
0x56, 0x26, 0x93, 0x85, 0x3a, 0x5f, 0x86, 0x88, 0x8c, 0x8c, 0xec, 0xe8, 0xe8,
0x20, 0xd0, 0xec, 0xf1, 0x57, 0xe8, 0xe8, 0xe8, 0x88, 0x8c, 0x8c, 0x0c, 0x75,
0xee, 0x74, 0xe0, 0xa2, 0xff, 0xd1, 0xd1, 0xd1, 0xa1, 0x52, 0xa9, 0x56, 0x57,
0x57, 0x8f, 0x1c, 0x39, 0xf2, 0xcd, 0x37, 0xdf, 0xfc, 0xf2, 0xcb, 0x2f, 0x10,
0x04, 0x79, 0x2c, 0xc6, 0xe3, 0xf1, 0x9e, 0x7f, 0xfe, 0xf9, 0xdd, 0xbb, 0x77,
0xbf, 0xff, 0xfe, 0xfb, 0x91, 0x91, 0x91, 0x9d, 0x9d, 0x9d, 0xef, 0xbe, 0xfb,
0x2e, 0x9d, 0xf0, 0x5c, 0xee, 0xb6, 0x6d, 0xdb, 0x8a, 0x8a, 0x8a, 0xa4, 0x52,
0x69, 0x5c, 0x5c, 0x5c, 0x78, 0x78, 0x38, 0x0d, 0x27, 0x0e, 0x87, 0x63, 0x7e,
0x7e, 0xde, 0x62, 0xb1, 0x0c, 0x0d, 0x0d, 0xdd, 0xbc, 0x79, 0x13, 0x00, 0x40,
0xd9, 0x85, 0x4c, 0x26, 0x83, 0x20, 0xc8, 0x6e, 0xb7, 0xe7, 0xe4, 0xe4, 0x90,
0x2f, 0x95, 0x93, 0x93, 0x63, 0xb7, 0xdb, 0x21, 0x08, 0xa2, 0x7a, 0xfd, 0x6f,
0xda, 0xb4, 0xe9, 0xd8, 0xb1, 0x63, 0x16, 0x8b, 0x85, 0xfc, 0x55, 0x46, 0x06,
0x8b, 0xc5, 0x72, 0xec, 0xd8, 0xb1, 0x4d, 0x9b, 0x36, 0x51, 0x13, 0xaf, 0xd5,
0x6a, 0x01, 0x00, 0x4d, 0x4d, 0x4d, 0xd4, 0x8a, 0x71, 0x38, 0x4d, 0x4d, 0x4d,
0x00, 0x00, 0xad, 0x56, 0x4b, 0xbe, 0x48, 0x43, 0x43, 0x83, 0xd5, 0x6a, 0x65,
0x56, 0x36, 0x1a, 0xab, 0xd5, 0xda, 0xd0, 0xd0, 0x40, 0x41, 0xc3, 0xe2, 0xe2,
0x22, 0x00, 0x20, 0x2b, 0x2b, 0x8b, 0xaa, 0xf8, 0xac, 0xac, 0x2c, 0x00, 0xc0,
0xe2, 0xe2, 0x22, 0x19, 0x63, 0x81, 0x40, 0xd0, 0xd3, 0xd3, 0x13, 0x38, 0xd9,
0x68, 0x7a, 0x7a, 0x7a, 0x04, 0x02, 0x01, 0x41, 0x32, 0x7f, 0xd7, 0x79, 0x08,
0x82, 0xb8, 0x5c, 0x2e, 0x9f, 0xcf, 0x47, 0xea, 0x79, 0x58, 0x58, 0xd8, 0xb3,
0xcf, 0x3e, 0x3b, 0x3d, 0x3d, 0x8d, 0x29, 0x93, 0x9c, 0x9c, 0x3c, 0x37, 0x37,
0xe7, 0x72, 0xb9, 0xe0, 0x7f, 0xf2, 0x78, 0x3c, 0xb7, 0xdb, 0x0d, 0x00, 0xe0,
0xf1, 0x78, 0x3e, 0xc5, 0x7f, 0xf5, 0xd5, 0x57, 0xaf, 0xbf, 0xfe, 0x3a, 0xfa,
0xc8, 0xd2, 0xd2, 0xd2, 0xe5, 0xcb, 0x97, 0x47, 0x47, 0x47, 0xe7, 0xe7, 0xe7,
0x1d, 0x0e, 0x07, 0x89, 0x1f, 0x10, 0x4b, 0x78, 0x78, 0x78, 0x5c, 0x5c, 0x5c,
0x5e, 0x5e, 0x5e, 0x65, 0x65, 0x25, 0xe6, 0x82, 0xef, 0xeb, 0xeb, 0x7b, 0xe3,
0x8d, 0x37, 0x7c, 0xbb, 0x80, 0x7f, 0x2d, 0xf4, 0x91, 0xde, 0xde, 0x5e, 0x00,
0xc0, 0xfe, 0xfd, 0xfb, 0xd1, 0x07, 0xf7, 0xef, 0xdf, 0x0f, 0x00, 0xe8, 0xed,
0xed, 0x25, 0x2e, 0xeb, 0x91, 0xe6, 0xe6, 0x66, 0xf4, 0x99, 0x59, 0x5a, 0x5a,
0x3a, 0x74, 0xe8, 0x90, 0x50, 0x28, 0xf4, 0x9d, 0x1c, 0x39, 0x84, 0x42, 0xe1,
0xa1, 0x43, 0x87, 0x96, 0x96, 0x96, 0xd0, 0x51, 0x9a, 0x9b, 0x9b, 0x7d, 0x97,
0xc4, 0x0b, 0x78, 0xf8, 0xf0, 0x21, 0x00, 0xe0, 0xcc, 0x99, 0x33, 0xe8, 0x83,
0x67, 0xce, 0x9c, 0x01, 0x00, 0x3c, 0x7c, 0xf8, 0x90, 0xb8, 0x2c, 0x9e, 0xcc,
0xcc, 0x4c, 0x97, 0xcb, 0x85, 0xe4, 0x34, 0x31, 0x31, 0x91, 0x9a, 0x9a, 0x4a,
0x56, 0x16, 0x15, 0x52, 0x53, 0x53, 0x27, 0x26, 0x26, 0x90, 0x40, 0x2e, 0x97,
0x2b, 0x33, 0x33, 0xd3, 0x47, 0x19, 0xbc, 0x80, 0xfe, 0xfe, 0x7e, 0x00, 0x40,
0x4d, 0x4d, 0x0d, 0xfa, 0x60, 0x4d, 0x4d, 0x0d, 0x00, 0xa0, 0xbf, 0xbf, 0x9f,
0xb8, 0x2c, 0x1e, 0xb8, 0x41, 0x85, 0x99, 0x9f, 0x9f, 0x4f, 0x48, 0x48, 0x20,
0xaf, 0x87, 0x2a, 0x09, 0x09, 0x09, 0xf3, 0xf3, 0xf3, 0x48, 0x38, 0xdf, 0x8d,
0x31, 0x5e, 0x80, 0x58, 0x2c, 0x2e, 0x2c, 0x2c, 0xc4, 0x5b, 0x16, 0x16, 0x16,
0x8a, 0xc5, 0x62, 0xe2, 0xb2, 0x18, 0x52, 0x52, 0x52, 0xd0, 0x97, 0xa2, 0x42,
0xa1, 0x20, 0xab, 0x83, 0x2e, 0x0a, 0x85, 0x02, 0x1d, 0x31, 0x25, 0x25, 0x85,
0xc8, 0x9a, 0x64, 0xbd, 0xa5, 0x57, 0xb6, 0xb1, 0xb1, 0x11, 0xc9, 0x43, 0xa7,
0xd3, 0xd1, 0x8b, 0x42, 0x15, 0x9d, 0x4e, 0x87, 0x04, 0x6d, 0x6c, 0x6c, 0xc4,
0x1b, 0x78, 0x6d, 0x9f, 0x9f, 0x7a, 0xea, 0x29, 0x85, 0x42, 0xc1, 0xe5, 0x72,
0xf1, 0xff, 0x25, 0x12, 0x89, 0x5a, 0x5a, 0x5a, 0x74, 0x3a, 0xdd, 0xca, 0xca,
0x0a, 0xc9, 0x9f, 0xec, 0xd5, 0x57, 0x5f, 0x45, 0xfe, 0xfe, 0xfc, 0xf3, 0xcf,
0xc9, 0x25, 0xef, 0x2f, 0xe7, 0xce, 0x9d, 0xf3, 0x98, 0x80, 0x07, 0x30, 0x32,
0xda, 0xdb, 0xdb, 0x01, 0x00, 0xa7, 0x4f, 0x9f, 0x0e, 0x0b, 0x0b, 0x43, 0x9b,
0x15, 0x14, 0x14, 0xdc, 0xbb, 0x77, 0x0f, 0xe0, 0x20, 0xbe, 0x4b, 0x19, 0x8d,
0x46, 0xc4, 0x32, 0x23, 0x23, 0x83, 0xa6, 0x1a, 0x8a, 0x64, 0x64, 0x64, 0x20,
0x41, 0x8d, 0x46, 0x23, 0x91, 0x29, 0x46, 0xfc, 0x8b, 0x2f, 0xbe, 0xb8, 0xbc,
0xbc, 0x0c, 0x00, 0xb8, 0x7d, 0xfb, 0x76, 0x5d, 0x5d, 0x5d, 0x66, 0x66, 0xa6,
0x44, 0x22, 0x91, 0xcb, 0xe5, 0x0e, 0x87, 0x03, 0x00, 0x70, 0xe3, 0xc6, 0x8d,
0x92, 0x92, 0x12, 0x91, 0x48, 0xc4, 0xe1, 0x70, 0x92, 0x93, 0x93, 0x01, 0x00,
0x33, 0x33, 0x33, 0x04, 0xce, 0x61, 0x57, 0x30, 0x98, 0xf6, 0x22, 0x70, 0x88,
0xc5, 0x62, 0x24, 0xe8, 0xf2, 0xf2, 0x32, 0x91, 0x29, 0xdc, 0x99, 0x43, 0x3f,
0xa8, 0x14, 0x16, 0x16, 0x4e, 0x4e, 0x4e, 0xe2, 0x4f, 0xb2, 0xd5, 0x6a, 0xe5,
0xf3, 0xf9, 0x88, 0x59, 0x5d, 0x5d, 0x1d, 0x00, 0x60, 0x60, 0x60, 0x80, 0xc0,
0x39, 0xba, 0xb8, 0xdf, 0xa2, 0x28, 0x40, 0x36, 0xae, 0xc7, 0xc7, 0xdb, 0x88,
0x88, 0x08, 0xa5, 0x52, 0x79, 0xf1, 0xe2, 0xc5, 0x3b, 0x77, 0xee, 0x58, 0x2c,
0x96, 0x3f, 0xfe, 0xf8, 0x03, 0x00, 0x80, 0xae, 0x3f, 0x22, 0x91, 0xc8, 0x64,
0x32, 0x01, 0x00, 0x0e, 0x1e, 0x3c, 0xc8, 0x40, 0x12, 0x4c, 0x43, 0x36, 0x2e,
0x99, 0x8e, 0x0d, 0xdc, 0xc2, 0xc1, 0x57, 0x3b, 0x4c, 0x67, 0x67, 0x27, 0x00,
0xc0, 0x64, 0x32, 0x11, 0xf7, 0x46, 0xc9, 0x24, 0x11, 0x1e, 0x1e, 0xde, 0xd5,
0xd5, 0x65, 0xb5, 0x5a, 0x75, 0x3a, 0xdd, 0xd6, 0xad, 0x5b, 0x89, 0x72, 0xe5,
0x70, 0xb6, 0x6e, 0xdd, 0xaa, 0xd3, 0xe9, 0xac, 0x56, 0x6b, 0x57, 0x57, 0x17,
0x41, 0x68, 0xb2, 0xe2, 0xc9, 0x74, 0x69, 0xd1, 0x5e, 0x44, 0x22, 0x11, 0xac,
0xdc, 0xe5, 0x72, 0x95, 0x95, 0x95, 0x11, 0xe7, 0x4a, 0x26, 0x09, 0x8d, 0x46,
0x83, 0xd8, 0x8c, 0x8d, 0x8d, 0x11, 0xf4, 0x14, 0x78, 0x3c, 0xde, 0xd8, 0xd8,
0x18, 0x62, 0xac, 0xd1, 0x68, 0xfc, 0x89, 0xfb, 0x17, 0x1d, 0x1d, 0x1d, 0x00,
0x00, 0xbb, 0xdd, 0xde, 0xd4, 0xd4, 0x94, 0x95, 0x95, 0x85, 0x0f, 0x0f, 0x7b,
0x49, 0x4e, 0x4e, 0xae, 0xab, 0xab, 0x83, 0xaf, 0x76, 0x97, 0xcb, 0x55, 0x5b,
0x5b, 0xeb, 0xc3, 0x2f, 0xb9, 0x24, 0x60, 0x87, 0x08, 0xf9, 0xf9, 0xf9, 0xde,
0x2c, 0xf3, 0xf3, 0xf3, 0xd1, 0x96, 0x26, 0x93, 0xc9, 0x9f, 0xb8, 0x7f, 0x41,
0x75, 0x18, 0xcb, 0x64, 0x32, 0xf9, 0x3c, 0xe7, 0xe4, 0x93, 0x40, 0x9e, 0x1a,
0x60, 0x2a, 0x2a, 0x2a, 0xbc, 0x59, 0x56, 0x54, 0x54, 0xa0, 0x2d, 0x57, 0x56,
0x56, 0xfc, 0x89, 0xfb, 0x0f, 0x88, 0x07, 0x30, 0x1d, 0x0e, 0xc7, 0xcc, 0xcc,
0xcc, 0xc0, 0xc0, 0xc0, 0xc1, 0x83, 0x07, 0xc9, 0x8f, 0x3a, 0x91, 0x49, 0x62,
0x78, 0x78, 0x18, 0xb1, 0x81, 0x20, 0x28, 0x29, 0x29, 0xc9, 0x9b, 0x65, 0x52,
0x52, 0x12, 0x3a, 0xb7, 0xe1, 0xe1, 0x61, 0x7f, 0xe2, 0x06, 0x1c, 0x32, 0x49,
0xec, 0xda, 0xb5, 0x0b, 0x1e, 0x17, 0x00, 0xb8, 0x2e, 0x33, 0x1e, 0xb8, 0xbb,
0x0d, 0x00, 0x70, 0xbb, 0xdd, 0xbb, 0x76, 0xed, 0xf2, 0x27, 0x6e, 0xc0, 0x21,
0x99, 0x44, 0x59, 0x59, 0x59, 0x77, 0x77, 0xb7, 0x5a, 0xad, 0x46, 0x3f, 0x47,
0x78, 0x84, 0xcf, 0xe7, 0xab, 0xd5, 0xea, 0xee, 0xee, 0x6e, 0xe2, 0x7a, 0x47,
0x1c, 0xd7, 0xc3, 0xa3, 0x7b, 0x20, 0x40, 0xc7, 0xf6, 0xd8, 0x5f, 0x08, 0x49,
0x5c, 0xdf, 0x03, 0x4f, 0xff, 0x61, 0xc2, 0x7c, 0x9b, 0xfc, 0x1b, 0xd8, 0xbc,
0x79, 0x73, 0x65, 0x65, 0x65, 0x7a, 0x7a, 0xba, 0x54, 0x2a, 0x8d, 0x8a, 0x8a,
0x0a, 0x75, 0x3a, 0xff, 0x24, 0x70, 0x0d, 0x4f, 0x5e, 0x5e, 0xde, 0xe5, 0xcb,
0x97, 0xd1, 0x03, 0x64, 0xde, 0x60, 0x36, 0x2e, 0x05, 0x7c, 0x26, 0x51, 0x5b,
0x5b, 0xab, 0xd7, 0xeb, 0xbb, 0xba, 0xba, 0xc8, 0xbf, 0xf9, 0x12, 0x08, 0x04,
0x94, 0x9e, 0x4a, 0x98, 0x53, 0x43, 0x11, 0xe2, 0x24, 0x72, 0x72, 0x72, 0x90,
0xff, 0xfd, 0xfe, 0xfb, 0xef, 0xc9, 0x8c, 0xe7, 0x46, 0x47, 0x47, 0xff, 0xf0,
0xc3, 0x0f, 0x24, 0x65, 0x03, 0x00, 0x6c, 0x36, 0x1b, 0xde, 0xc9, 0x86, 0xa8,
0xf3, 0xb1, 0xb1, 0xb1, 0xc8, 0xdf, 0x72, 0xb9, 0xfc, 0xfc, 0xf9, 0xf3, 0x6f,
0xbe, 0xf9, 0xe6, 0xd2, 0xd2, 0x92, 0x37, 0x7b, 0x1e, 0x8f, 0xd7, 0xdf, 0xdf,
0x5f, 0x52, 0x52, 0x82, 0x3e, 0x78, 0xeb, 0xd6, 0xad, 0x6f, 0xbf, 0xfd, 0x76,
0x6a, 0x6a, 0x0a, 0xe9, 0xba, 0xc7, 0xc7, 0xc7, 0x7f, 0xf2, 0xc9, 0x27, 0xf0,
0xdf, 0x0f, 0x1e, 0x3c, 0x08, 0x40, 0xe2, 0xe4, 0x20, 0x3e, 0xf3, 0x61, 0x61,
0x61, 0x3f, 0xfd, 0xf4, 0x13, 0xda, 0x66, 0x61, 0x61, 0x41, 0xa9, 0x54, 0x7a,
0x7b, 0xdf, 0x72, 0xe5, 0xca, 0x15, 0xb4, 0xf1, 0xe4, 0xe4, 0x64, 0x69, 0x69,
0x29, 0xde, 0xac, 0xac, 0xac, 0x0c, 0xb1, 0x19, 0x1c, 0x1c, 0x64, 0x58, 0x12,
0x79, 0x7c, 0xd6, 0xbd, 0x98, 0x98, 0x98, 0x5b, 0xb7, 0x6e, 0x61, 0xae, 0xd5,
0xdf, 0x7e, 0xfb, 0xed, 0xd4, 0xa9, 0x53, 0x6f, 0xbf, 0xfd, 0xf6, 0xcb, 0x2f,
0xbf, 0x9c, 0x93, 0x93, 0x93, 0x9b, 0x9b, 0x5b, 0x56, 0x56, 0x76, 0xf6, 0xec,
0x59, 0xb4, 0xcd, 0xcf, 0x3f, 0xff, 0xfc, 0xc4, 0x13, 0x4f, 0x78, 0xf4, 0x79,
0xf4, 0xe8, 0x51, 0xc4, 0x0c, 0xf3, 0xf6, 0x21, 0xa8, 0xa0, 0x9b, 0x25, 0x6f,
0x0f, 0x39, 0xb1, 0xb1, 0xb1, 0x23, 0x23, 0x23, 0xe4, 0xab, 0x31, 0x00, 0xc0,
0xe1, 0x70, 0x48, 0x24, 0x12, 0x6f, 0x41, 0xef, 0xdc, 0xb9, 0x83, 0x58, 0x56,
0x55, 0x55, 0x05, 0x4c, 0x9c, 0x2f, 0xe0, 0x61, 0x22, 0x18, 0x74, 0x0d, 0xc7,
0xc0, 0xe7, 0xf3, 0xdf, 0x7b, 0xef, 0x3d, 0x78, 0xbc, 0x88, 0x0c, 0x1f, 0x7d,
0xf4, 0x91, 0x37, 0x57, 0x3b, 0x76, 0xec, 0x40, 0xcc, 0xd6, 0xd7, 0xd7, 0x43,
0x79, 0xf3, 0x1f, 0x1d, 0x1d, 0x45, 0x52, 0xd9, 0xb1, 0x63, 0x07, 0xb1, 0x71,
0x72, 0x72, 0xf2, 0xc7, 0x1f, 0x7f, 0x6c, 0x36, 0x9b, 0x7d, 0x9e, 0xf6, 0xe8,
0xe8, 0x68, 0x6f, 0x4e, 0x7e, 0xfc, 0xf1, 0x47, 0xc4, 0xf2, 0xd2, 0xa5, 0x4b,
0x4c, 0x0b, 0xa2, 0xc2, 0xb9, 0x73, 0xe7, 0x90, 0x54, 0x5a, 0x5a, 0x5a, 0xc8,
0x14, 0xe1, 0xf1, 0x78, 0x25, 0x25, 0x25, 0x1f, 0x7c, 0xf0, 0xc1, 0xa9, 0x53,
0xa7, 0xbe, 0xfb, 0xee, 0xbb, 0xd1, 0xd1, 0x51, 0x83, 0xc1, 0x80, 0xae, 0x17,
0x04, 0x3d, 0xd9, 0xea, 0xea, 0x6a, 0xf4, 0xcf, 0x54, 0x54, 0x54, 0xc4, 0x9c,
0x14, 0xea, 0xa0, 0xb3, 0x99, 0x9b, 0x9b, 0xa3, 0x3d, 0x87, 0x67, 0xcf, 0x9e,
0x3d, 0x88, 0x9f, 0xaf, 0xbf, 0xfe, 0xda, 0xa3, 0x4d, 0x6e, 0x6e, 0x2e, 0x7a,
0x5c, 0xe4, 0xe2, 0xc5, 0x8b, 0x7e, 0x24, 0xce, 0x04, 0xd1, 0xd1, 0xd1, 0xe8,
0x9a, 0xfc, 0xe1, 0x87, 0x1f, 0xd2, 0xf3, 0x53, 0x55, 0x55, 0x85, 0x38, 0xe9,
0xeb, 0xeb, 0xc3, 0x1b, 0xa4, 0xa6, 0xa6, 0xce, 0xcc, 0xcc, 0x20, 0x36, 0x6b,
0x6b, 0x6b, 0x41, 0x7b, 0x47, 0x42, 0x44, 0x4b, 0x4b, 0x0b, 0x92, 0x93, 0xdb,
0xed, 0xde, 0xb3, 0x67, 0x0f, 0x0d, 0x27, 0xc4, 0xe2, 0xe5, 0x72, 0x39, 0x66,
0xb6, 0x0b, 0xf1, 0x80, 0x7a, 0xf0, 0x88, 0x8a, 0x8a, 0x42, 0xbf, 0x36, 0x76,
0x3a, 0x9d, 0xef, 0xbc, 0xf3, 0x0e, 0x55, 0x27, 0xde, 0xc4, 0x4b, 0xa5, 0xd2,
0x9e, 0x9e, 0x1e, 0x4c, 0xf7, 0xa6, 0xad, 0xad, 0x8d, 0x51, 0x05, 0xfe, 0x51,
0x5c, 0x5c, 0x0c, 0xbf, 0xed, 0x42, 0xb8, 0x71, 0xe3, 0x86, 0x42, 0xa1, 0x20,
0x3f, 0x16, 0x88, 0x11, 0x2f, 0x14, 0x0a, 0x15, 0x0a, 0x45, 0x4f, 0x4f, 0x0f,
0xfe, 0xee, 0x78, 0xf2, 0xe4, 0x49, 0x9f, 0xd3, 0x64, 0x82, 0x37, 0xa8, 0x02,
0x53, 0x53, 0x53, 0x73, 0xfa, 0xf4, 0x69, 0x4c, 0x5a, 0xcb, 0xcb, 0xcb, 0xe3,
0xe3, 0xe3, 0x64, 0xe6, 0xe4, 0xc4, 0xc5, 0xc5, 0x15, 0x17, 0x17, 0xc3, 0x7f,
0x3f, 0x7e, 0xfc, 0x58, 0x28, 0x14, 0x46, 0x44, 0x44, 0x60, 0x6c, 0xdc, 0x6e,
0x77, 0x63, 0x63, 0xe3, 0x89, 0x13, 0x27, 0x18, 0x4c, 0x9b, 0x31, 0x2a, 0x2a,
0x2a, 0x7e, 0xff, 0xfd, 0x77, 0x10, 0x18, 0xc6, 0xc6, 0xc6, 0x76, 0xee, 0xdc,
0x19, 0x6a, 0x89, 0x84, 0x6c, 0xd9, 0xb2, 0xa5, 0xaf, 0xaf, 0x8f, 0x59, 0xd9,
0xbf, 0xfe, 0xfa, 0xeb, 0x5b, 0x6f, 0xbd, 0x45, 0x66, 0x46, 0xd8, 0x86, 0xa0,
0xa0, 0xa0, 0xe0, 0xd3, 0x4f, 0x3f, 0x9d, 0x9d, 0x9d, 0xf5, 0x47, 0xf3, 0xd4,
0xd4, 0x54, 0x7b, 0x7b, 0xbb, 0x4c, 0x26, 0xc3, 0xcc, 0x23, 0x20, 0x43, 0xb0,
0xeb, 0xbc, 0x47, 0x12, 0x12, 0x12, 0x28, 0xcd, 0xbd, 0x85, 0x20, 0xe8, 0xd1,
0xa3, 0x47, 0x0f, 0x1e, 0x3c, 0xb0, 0x58, 0x2c, 0x04, 0xaf, 0x6b, 0x58, 0x58,
0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0x58, 0xfe, 0xd3,
0x30, 0xd0, 0xa5, 0x8d, 0x8f, 0x8f, 0x7f, 0xed, 0xb5, 0xd7, 0x8a, 0x8b, 0x8b,
0x9f, 0x79, 0xe6, 0x19, 0xa9, 0x54, 0x2a, 0x95, 0x4a, 0x03, 0x31, 0xa9, 0x7c,
0x65, 0x65, 0xc5, 0x62, 0xb1, 0x58, 0x2c, 0x16, 0xb3, 0xd9, 0xac, 0xd3, 0xe9,
0xb4, 0x5a, 0x6d, 0x28, 0xdf, 0x3a, 0x0b, 0x85, 0x42, 0xb5, 0x5a, 0xad, 0xd7,
0xeb, 0x29, 0x2d, 0x3c, 0x66, 0x0a, 0x08, 0x82, 0xf4, 0x7a, 0xbd, 0x5a, 0xad,
0x66, 0x70, 0x65, 0x1a, 0x29, 0x78, 0x3c, 0x9e, 0x52, 0xa9, 0x9c, 0x9e, 0x9e,
0x0e, 0xbe, 0x66, 0x3c, 0xd3, 0xd3, 0xd3, 0x4a, 0xa5, 0x32, 0x48, 0xa3, 0x57,
0x89, 0x89, 0x89, 0x06, 0x83, 0x21, 0xd4, 0x92, 0xb1, 0x18, 0x0c, 0x86, 0xc4,
0xc4, 0xc4, 0xc0, 0x2a, 0x2f, 0x2a, 0x2a, 0x5a, 0x58, 0x58, 0x08, 0xb5, 0x52,
0xcf, 0x2c, 0x2c, 0x2c, 0x04, 0xf0, 0x85, 0x64, 0x75, 0x75, 0xf5, 0xfa, 0xfa,
0x7a, 0xa8, 0x35, 0x12, 0xb1, 0xbe, 0xbe, 0x5e, 0x5d, 0x5d, 0xcd, 0xbc, 0xf2,
0xa2, 0xa2, 0x22, 0x02, 0xe5, 0x46, 0xa3, 0xb1, 0xb5, 0xb5, 0xb5, 0xbc, 0xbc,
0x3c, 0x2d, 0x2d, 0x2d, 0x40, 0xeb, 0x87, 0xc4, 0x62, 0x71, 0x5a, 0x5a, 0x5a,
0x79, 0x79, 0x79, 0x6b, 0x6b, 0x2b, 0x7a, 0xad, 0x16, 0x5e, 0x3f, 0xc3, 0xe7,
0x3f, 0x31, 0x31, 0xd1, 0xdb, 0xd5, 0x3e, 0x32, 0x32, 0xe2, 0x71, 0x32, 0x50,
0xa0, 0x29, 0x2d, 0x2d, 0xf5, 0x36, 0x87, 0x65, 0x61, 0x61, 0x81, 0xb1, 0xfa,
0xcf, 0xe3, 0xf1, 0x3c, 0xb6, 0x70, 0x4e, 0xa7, 0x53, 0xa5, 0x52, 0x05, 0x73,
0x16, 0x31, 0x06, 0x2e, 0x97, 0xab, 0x52, 0xa9, 0x9c, 0x4e, 0x27, 0x3e, 0x37,
0x83, 0xc1, 0xc0, 0x4c, 0xfb, 0xaf, 0x54, 0x2a, 0xf1, 0xde, 0xad, 0x56, 0xeb,
0x06, 0xd9, 0x27, 0x45, 0x26, 0x93, 0x79, 0xdc, 0x84, 0x41, 0xa9, 0x54, 0xfa,
0xeb, 0x5a, 0x28, 0x14, 0xe2, 0xef, 0xe7, 0x4e, 0xa7, 0x73, 0x83, 0x28, 0x87,
0x91, 0xc9, 0x64, 0xf8, 0xf3, 0x3f, 0x3d, 0x3d, 0xed, 0xef, 0xf3, 0x8f, 0x5a,
0xad, 0xc6, 0xff, 0xa8, 0x2a, 0x95, 0x8a, 0xa1, 0xb4, 0x19, 0x43, 0xa5, 0x52,
0xe1, 0xf3, 0x54, 0xab, 0xd5, 0x7e, 0x39, 0x45, 0xaf, 0x7b, 0x81, 0x19, 0x19,
0x19, 0x09, 0x61, 0x3d, 0xf7, 0x06, 0x97, 0xcb, 0xc5, 0xb7, 0x7f, 0x7a, 0xbd,
0x9e, 0xbe, 0xc7, 0xf8, 0xf8, 0x78, 0xfc, 0x73, 0x7b, 0x48, 0xda, 0x76, 0x32,
0x94, 0x96, 0x96, 0x62, 0x52, 0x85, 0x20, 0x28, 0x3e, 0x3e, 0x9e, 0xa6, 0xbb,
0xfa, 0xfa, 0x7a, 0x8c, 0xbb, 0x89, 0x89, 0x09, 0x46, 0x13, 0x66, 0x18, 0xfc,
0xfd, 0xbf, 0xbe, 0xbe, 0x9e, 0xc0, 0x9e, 0xe8, 0x7e, 0xf0, 0xd2, 0x4b, 0x2f,
0x61, 0x8e, 0x10, 0xaf, 0x16, 0x0e, 0x39, 0xf8, 0xc9, 0x69, 0x78, 0x09, 0x68,
0x88, 0xc4, 0x4b, 0xa5, 0x52, 0xcc, 0x91, 0x2b, 0x57, 0xae, 0xd0, 0x4b, 0x2b,
0x38, 0xe0, 0xd3, 0xc3, 0x4b, 0x40, 0x43, 0x4d, 0xfc, 0xec, 0xec, 0x2c, 0xbd,
0xb4, 0x82, 0x03, 0x3e, 0x3d, 0x62, 0xf1, 0x44, 0xa0, 0x57, 0xfc, 0xc3, 0x04,
0x6d, 0xdd, 0x3f, 0x3d, 0xd0, 0xbb, 0x05, 0xc0, 0x10, 0xef, 0x19, 0x40, 0x74,
0xd3, 0x02, 0xb8, 0xb9, 0xf1, 0x1b, 0xf0, 0x26, 0x87, 0x81, 0x52, 0xce, 0xff,
0x92, 0xe9, 0x3b, 0x81, 0x81, 0x15, 0xcf, 0x34, 0x11, 0x11, 0x11, 0xed, 0xed,
0xed, 0x53, 0x53, 0x53, 0xf0, 0x54, 0x29, 0xfc, 0x3c, 0xc1, 0x20, 0x78, 0xf0,
0x17, 0xfc, 0xd3, 0x32, 0x99, 0x52, 0x7c, 0x3e, 0x1f, 0xbd, 0x3b, 0x0f, 0x00,
0x40, 0xa7, 0xd3, 0xf9, 0x5c, 0x18, 0xcc, 0x94, 0x07, 0x7a, 0x39, 0x33, 0xe6,
0xa8, 0xb6, 0xb6, 0x16, 0x5f, 0x90, 0xcc, 0xee, 0x0a, 0x8c, 0x78, 0x08, 0xb1,
0xf8, 0xeb, 0xd7, 0xaf, 0xe3, 0x0b, 0x5e, 0xbf, 0x7e, 0x9d, 0x7c, 0x5c, 0x7f,
0x3c, 0x84, 0x58, 0x3c, 0xbc, 0x91, 0x1c, 0x06, 0xcc, 0x16, 0x72, 0x81, 0xf3,
0x40, 0x29, 0x67, 0xb6, 0xb5, 0x67, 0x94, 0xf1, 0xf1, 0x71, 0x92, 0x07, 0x03,
0xe7, 0x81, 0x24, 0xcc, 0x8b, 0xff, 0xec, 0xb3, 0xcf, 0x48, 0x1e, 0x0c, 0x9c,
0x07, 0x06, 0xa0, 0x57, 0xe7, 0xff, 0xd7, 0xb7, 0x3a, 0x4e, 0x48, 0x1f, 0x72,
0x28, 0xe5, 0xcc, 0x76, 0x6c, 0xfe, 0xaf, 0xb0, 0xe2, 0xff, 0xaf, 0x6c, 0x88,
0x6d, 0x23, 0x48, 0x22, 0x12, 0x89, 0x5e, 0x79, 0xe5, 0x95, 0xca, 0xca, 0xca,
0x94, 0x94, 0x94, 0xc0, 0x4d, 0xfe, 0xf9, 0x0b, 0xc6, 0x6e, 0x1b, 0x7e, 0x93,
0x97, 0x97, 0x77, 0xe1, 0xc2, 0x85, 0xd5, 0xd5, 0x55, 0x7c, 0x4a, 0x3e, 0xa1,
0x19, 0x92, 0x9e, 0xa3, 0x8c, 0x8c, 0x8c, 0xf4, 0xf4, 0x74, 0x9a, 0x21, 0x71,
0x24, 0x25, 0x25, 0x9d, 0x3d, 0x7b, 0xd6, 0x9f, 0x39, 0x4f, 0x34, 0x03, 0x53,
0x75, 0xf4, 0xf4, 0xd3, 0x4f, 0x23, 0xaf, 0xb7, 0x86, 0x86, 0x86, 0x08, 0x76,
0x48, 0x20, 0x09, 0x23, 0xcb, 0x0f, 0x69, 0xc6, 0xa6, 0xea, 0xe8, 0xc2, 0x85,
0x0b, 0x68, 0xe3, 0xb1, 0xb1, 0xb1, 0xcd, 0x9b, 0x37, 0xd3, 0x8c, 0xcd, 0xe1,
0x1c, 0x3e, 0x7c, 0x18, 0xd9, 0x21, 0x8e, 0x36, 0xeb, 0xeb, 0xeb, 0x34, 0xc3,
0x53, 0x15, 0x8f, 0xd9, 0xca, 0x10, 0x00, 0x60, 0x30, 0x18, 0x08, 0x76, 0x76,
0x20, 0xe0, 0xf0, 0xe1, 0xc3, 0x7e, 0xca, 0x86, 0x79, 0xf4, 0xe8, 0x11, 0x2d,
0xe9, 0xd4, 0xc5, 0x63, 0x36, 0xb1, 0x84, 0x19, 0x1e, 0x1e, 0x4e, 0x4b, 0x4b,
0xa3, 0x14, 0x57, 0xa1, 0x50, 0x78, 0x3b, 0xe7, 0x56, 0xab, 0xb5, 0xb7, 0xb7,
0x77, 0xef, 0xde, 0xbd, 0x1e, 0x27, 0xff, 0xec, 0xdc, 0xb9, 0x13, 0x63, 0x7f,
0xff, 0xfe, 0x7d, 0x6a, 0x9a, 0x11, 0xa8, 0x8a, 0xc7, 0xbf, 0xd8, 0x84, 0x59,
0x5b, 0x5b, 0xd3, 0x68, 0x34, 0x24, 0xa7, 0x0a, 0x14, 0x17, 0x17, 0x7b, 0xdc,
0xe5, 0x6b, 0x75, 0x75, 0xf5, 0xe8, 0xd1, 0xa3, 0x31, 0x31, 0x31, 0x04, 0x65,
0x0f, 0x1c, 0x38, 0x80, 0x29, 0x75, 0xf5, 0xea, 0x55, 0x0a, 0x82, 0xd1, 0x50,
0x15, 0xcf, 0x41, 0xed, 0xce, 0x88, 0x67, 0x6a, 0x6a, 0xea, 0xc8, 0x91, 0x23,
0xd9, 0xd9, 0xd9, 0x04, 0xc5, 0x93, 0x92, 0x92, 0xf0, 0x75, 0x07, 0x00, 0x30,
0x37, 0x37, 0x57, 0x50, 0x50, 0xe0, 0x33, 0xfa, 0xf1, 0xe3, 0xc7, 0x31, 0x05,
0x3b, 0x3b, 0x3b, 0x09, 0xec, 0x19, 0xee, 0xd8, 0x84, 0x87, 0x87, 0x0f, 0x0c,
0x0c, 0x10, 0x6f, 0x29, 0x3e, 0x3e, 0x3e, 0x3e, 0x34, 0x34, 0x64, 0x36, 0x9b,
0xe7, 0xe6, 0xe6, 0xcc, 0x66, 0xf3, 0xda, 0xda, 0x9a, 0x40, 0x20, 0x88, 0x8d,
0x8d, 0xcd, 0xcf, 0xcf, 0x6f, 0x68, 0x68, 0x40, 0xef, 0x28, 0x0c, 0x63, 0x36,
0x9b, 0xb7, 0x6f, 0xdf, 0x6e, 0x36, 0x9b, 0x89, 0x43, 0x73, 0x38, 0x9c, 0x7b,
0xf7, 0xee, 0x61, 0xf6, 0xb1, 0xaf, 0xaf, 0xaf, 0x3f, 0x79, 0xf2, 0xa4, 0xcf,
0x82, 0x1e, 0xa0, 0x71, 0xe6, 0x39, 0x1c, 0x8e, 0x40, 0x20, 0xf8, 0xf2, 0xcb,
0x2f, 0xbd, 0x9d, 0x7f, 0xaa, 0xb8, 0xdd, 0x6e, 0x32, 0xe7, 0x9c, 0xc3, 0xe1,
0x64, 0x67, 0x67, 0xe3, 0x8b, 0xd3, 0xff, 0x72, 0x84, 0xcd, 0x66, 0xc3, 0xf8,
0x22, 0xb9, 0xcf, 0x10, 0x97, 0xcb, 0xad, 0xab, 0xab, 0x63, 0xe4, 0x4b, 0x35,
0x98, 0xef, 0x47, 0x10, 0x80, 0xf9, 0x5a, 0x08, 0x00, 0xc0, 0xaf, 0x77, 0xca,
0xf8, 0x89, 0x0e, 0x94, 0xda, 0x6d, 0x89, 0x44, 0xf2, 0xc5, 0x17, 0x5f, 0xf8,
0xa3, 0xdc, 0x6e, 0xb7, 0x13, 0xb7, 0x70, 0x08, 0x62, 0xb1, 0x18, 0x3f, 0x4d,
0xd2, 0xaf, 0x0d, 0x43, 0x06, 0x07, 0x07, 0x31, 0xee, 0xca, 0xcb, 0xcb, 0xa9,
0x3a, 0xa9, 0xa8, 0xa8, 0x80, 0xbf, 0x27, 0x45, 0x03, 0x9f, 0xbb, 0xdf, 0x22,
0xa0, 0xf7, 0xc9, 0x46, 0xc8, 0xcd, 0xcd, 0xa5, 0x9a, 0xed, 0xdf, 0x60, 0x36,
0x5f, 0x03, 0x00, 0xb4, 0xb6, 0xb6, 0xd2, 0x73, 0xf5, 0xc2, 0x0b, 0x2f, 0x9c,
0x38, 0x71, 0xe2, 0xee, 0xdd, 0xbb, 0x94, 0xc4, 0xef, 0xdd, 0xbb, 0x97, 0x8c,
0x73, 0x89, 0x44, 0x82, 0xbf, 0x47, 0x90, 0xd9, 0x00, 0x8f, 0xa8, 0xf5, 0xae,
0xaf, 0xaf, 0xef, 0xee, 0xee, 0x46, 0x1f, 0x31, 0x1a, 0x8d, 0x7e, 0x6e, 0x38,
0xb4, 0x65, 0xcb, 0x96, 0xbc, 0xbc, 0xbc, 0xac, 0xac, 0xac, 0xe7, 0x9e, 0x7b,
0x2e, 0x26, 0x26, 0x26, 0x2a, 0x2a, 0x8a, 0xc7, 0xe3, 0x39, 0x9d, 0xce, 0xc7,
0x8f, 0x1f, 0xcb, 0xe5, 0x72, 0xcc, 0xf7, 0x87, 0xd2, 0xd3, 0xd3, 0x27, 0x27,
0x27, 0x89, 0x1d, 0x72, 0xb9, 0xdc, 0xf3, 0xe7, 0xcf, 0xef, 0xdb, 0xb7, 0x0f,
0x73, 0x7c, 0xfb, 0xf6, 0xed, 0x37, 0x6f, 0xde, 0xa4, 0x9f, 0x68, 0x90, 0xa7,
0xa2, 0xd1, 0x9b, 0x08, 0xe2, 0xf1, 0x82, 0xf7, 0xb8, 0x73, 0x14, 0x65, 0xf4,
0x7a, 0x3d, 0xc6, 0x6f, 0xe0, 0x26, 0x21, 0xe2, 0x35, 0xf8, 0x2c, 0x52, 0x55,
0x55, 0x85, 0x3f, 0x3d, 0x0e, 0x87, 0xc3, 0xe7, 0xb7, 0x01, 0x48, 0x11, 0xcc,
0xe9, 0xa7, 0x54, 0xc5, 0x57, 0x55, 0x55, 0xd9, 0xed, 0x76, 0x7c, 0x29, 0xc6,
0x76, 0x85, 0x0a, 0xe6, 0xc4, 0x63, 0xf2, 0xe2, 0xb9, 0x5c, 0xae, 0x46, 0xa3,
0xf1, 0x38, 0xc2, 0x71, 0xed, 0xda, 0x35, 0x1a, 0x7b, 0xc6, 0x78, 0x25, 0x68,
0x53, 0xce, 0x49, 0x8a, 0x97, 0x48, 0x24, 0xf0, 0x47, 0xb5, 0xf0, 0x98, 0x4c,
0xa6, 0x27, 0x9f, 0x7c, 0x92, 0xc9, 0x9c, 0x82, 0xb6, 0xd8, 0xc0, 0xa7, 0x78,
0xb1, 0x58, 0xac, 0xd1, 0x68, 0x3c, 0xf6, 0x7c, 0x00, 0x00, 0x36, 0x9b, 0x8d,
0xc6, 0x97, 0x06, 0x7d, 0x13, 0x9c, 0x65, 0x26, 0x04, 0xe2, 0xb3, 0xb3, 0xb3,
0x9b, 0x9b, 0x9b, 0x09, 0x16, 0x76, 0xd9, 0x6c, 0x36, 0xb9, 0x5c, 0xce, 0x48,
0x1a, 0x1e, 0x20, 0x5e, 0x60, 0x34, 0x31, 0x31, 0xe1, 0xff, 0x02, 0x23, 0xbc,
0xdb, 0x03, 0x07, 0x0e, 0x1c, 0x3f, 0x7e, 0xdc, 0xe3, 0xd7, 0xa2, 0xd0, 0x98,
0x4c, 0xa6, 0x80, 0x9c, 0x73, 0x34, 0x1b, 0x73, 0x69, 0xd9, 0xb5, 0x6b, 0xd7,
0x18, 0xae, 0xe7, 0xde, 0xd8, 0x50, 0x8b, 0x0a, 0x1d, 0x0e, 0x47, 0x5b, 0x5b,
0x1b, 0x93, 0x6d, 0xbb, 0x4f, 0x36, 0xc8, 0x72, 0xd2, 0xbe, 0xbe, 0x3e, 0x66,
0x9e, 0x64, 0xa8, 0x12, 0xda, 0x85, 0xc4, 0x83, 0x83, 0x83, 0xdb, 0xb6, 0x6d,
0x0b, 0x81, 0x6c, 0x34, 0xf0, 0x12, 0xf2, 0xe1, 0xe1, 0xe1, 0xe0, 0x2c, 0x21,
0x9f, 0x9d, 0x9d, 0x6d, 0x6b, 0x6b, 0xf3, 0xab, 0x97, 0x8a, 0x63, 0x23, 0x6e,
0x1e, 0xe0, 0x70, 0x38, 0x96, 0x97, 0x97, 0x6d, 0x36, 0xdb, 0xfd, 0xfb, 0xf7,
0x8d, 0x46, 0xe3, 0xed, 0xdb, 0xb7, 0x07, 0x07, 0x07, 0xef, 0xde, 0xbd, 0xeb,
0x7f, 0xaa, 0x2c, 0x2c, 0x2c, 0x2c, 0x2c, 0x2c, 0x2c, 0x2c, 0x2c, 0xff, 0x71,
0xfe, 0x04, 0xa8, 0x3b, 0xaf, 0x97, 0xd9, 0xd2, 0x0b, 0x9c, 0x00, 0x00, 0x00,
0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask6(iconMask6Data);

} // namespace

void init_style_editor(int scale) {
	if (inited) return;
	inited = true;

	init_style_basic(scale);
	init_style_window(scale);
	init_style_widgets(scale);
	init_style_chat(scale);

	initPxValues(scale);

	_photoEditorControlsHeight = px146;
	_photoEditorControlsBottomSkip = px20;
	_photoEditorControlsCenterSkip = px6;
	_photoEditorContentMargins = { px20, px20, px20, px146 };
	_photoEditorButtonIconFg = st::mediaviewPipControlsFg;
	_photoEditorButtonIconFgOver = st::mediaviewPipControlsFgOver;
	_photoEditorButtonIconFgActive = st::lightButtonFg;
	_photoEditorButtonIconFgInactive = st::mediaviewPipPlaybackInactive;
	_photoEditorButtonBarHeight = px50;
	_photoEditorButtonBarWidth = st::windowMinWidth;
	_photoEditorButtonBarPadding = { px2, px0, px2, px0 };
	_photoEditorTextButtonPadding = { px22, px0, px22, px0 };
	_photoEditorRotateButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask1, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask1, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorFlipButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorFlipIconActive = { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorPaintModeButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorPaintIconActive = { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorUndoButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorRedoButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorStickersButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px5, px5 }, px40, { st::shadowFg, 650, 200 } };
	_photoEditorStickersIconActive = { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorUndoButtonInactive = { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFgInactive, { px0, px0 } } };
	_photoEditorRedoButtonInactive = { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFgInactive, { px0, px0 } } };
	_photoEditorColorPickerWidth = px250;
	_photoEditorColorPickerLineHeight = px10;
	_photoEditorColorPickerCanvasHeight = px300;
	_photoEditorColorPickerCircleSize = px24;
	_photoEditorColorPickerCircleBigSize = px50;
	_photoEditorColorPickerCircleSkip = px50;
	_photoEditorCropPointSize = px10;
	_photoEditorCropMinSize = px20;
	_photoEditorItemHandleSize = px10;
}

} // namespace internal
} // namespace style
